<?php

namespace App\Http\Controllers;

date_default_timezone_set('Europe/Madrid');


use Mail;
use DateTime;
use App\Email;
use DatePeriod;

// Controladores importados
use DateInterval;


// Mains
use Carbon\Carbon;
use App\Models\User;
use App\Models\Noticia;
use Illuminate\Support\Arr;
use Jenssegers\Agent\Agent;


// Utils
use Illuminate\Http\Request;
use App\Models\Configuracion;
use Illuminate\Support\Facades\DB;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Gate;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Facades\Validator;
use Illuminate\Validation\Rules\Password;


// Models
use Illuminate\Foundation\Bus\DispatchesJobs;
use App\Http\Controllers\ViewsAdminController;

use Illuminate\Routing\Controller as BaseController;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Foundation\Auth\Access\AuthorizesRequests;

class HelpersAdminController extends BaseController
{
  use AuthorizesRequests, DispatchesJobs, ValidatesRequests;


  /*
  **************************************************
  Importacion de controladores
  **************************************************
  */

  // private $views_admin_controller;
  
  public function __construct()
  {
      // $this->views_admin_controller = new ViewsAdminController();
  }



  /*
  **************************************************
  Funciones de CRUD
  **************************************************
  */



  /*
  **************************************************
  Funciones AJAX - JS - JQUERY
  **************************************************
  */

  public function get_modal(Request $request)
  {
    $views_admin_controller = new ViewsAdminController;
    switch ($request['name']):
      case 'open-new-usuario':
        return $views_admin_controller->get_modal_new_user($request);
        break;
      case 'open-edit-usuario':
        return $views_admin_controller->get_modal_edit_user($request);
        break;
      case 'open-new-asociado':
        return $views_admin_controller->get_modal_new_asociado($request);
        break;
      case 'open-edit-asociado':
        return $views_admin_controller->get_modal_edit_asociado($request);
        break;
      case 'open-new-categoria-asociado':
        return $views_admin_controller->get_modal_new_categoria_asociado($request);
        break;
      case 'open-new-frame':
        return $views_admin_controller->get_modal_new_frame($request);
        break;
      case 'open-edit-frame':
        return $views_admin_controller->get_modal_edit_frame($request);
        break;
    endswitch;
  }



  /*
  **************************************************
  HELPERS
  **************************************************
  */

  // FECHAS

  public function get_next_week()
  {
    $today = new Carbon();
    $week = [];

    for ($i = 0; $i <= 7; $i++):
      $to_clone = clone ($today);
      $day = $to_clone->addDay($i);
      $week[$i] = (object) [
        'fecha' => $day->format('d-m-Y'),
        'dia_semana' => $day->dayOfWeekIso
      ];
    endfor;

    return $week;
  }

  public function get_fecha_sql($fecha)
  {
    $fecha = new Carbon($fecha);
    return $fecha->format('Y-m-d');
  }

  public function get_fecha_nosql($fecha)
  {
    $fecha = new Carbon($fecha);
    return $fecha->format('d-m-Y');
  }

  public function get_fecha_larga($fecha)
  {
    setlocale(LC_ALL, 'es_ES');
    $fecha = new Carbon($fecha);
    $date = $fecha->formatLocalized('%A, %d de %B del %Y');
    return $date;
  }



  public function validatePassword(Request $request)
  {
    $validator = Validator::make($request->all(), [
      'pass' => [
        'required',
        Password::min(8)
          ->mixedCase() //Al menos una mayuscula y una minuscula
          ->symbols() //Al menus un simbolo
          ->uncompromised() //Sin comprometer para pwnedpasswords.com (dataleak)
      ],
      'pass_confirmation' => 'same:pass'
    ]);

    if ($validator->fails()) {
      $errors = $validator->errors();
      return response()->json([
        'success' => false,
        'myerrors' => $errors
      ]);
    } else {
      return response()->json([
        'success' => true
      ]);
    }
  }
  public function InternalValidationPassword(Request $request)
  {
    $validator = Validator::make($request->all(), [
      'pass' => [
        'required',
        Password::min(8)
          ->mixedCase() //Al menos una mayuscula y una minuscula
          ->symbols() //Al menus un simbolo
          ->uncompromised() //Sin comprometer para pwnedpasswords.com (dataleak)
      ],
      'pass_confirmation' => 'same:pass'
    ]);

    if ($validator->fails()) {
      $errors = $validator->errors();
      return (Object) [
        'success' => false,
        'myerrors' => $errors
      ];
    } else {
      return (object) [
        'success' => true
      ];
    }
  }

  public function saveOrder(Request $request)
  {
    return response()->json([
      'data' => $request
    ]);

    $data = $request['data'];
    foreach($data->items as $item) {
      dd($item);
    }
    if ($data == null) {
      return response()->json([
        'success' => false,
        'myerrors' => "error"
      ]);
    } else {
      return response()->json([
        'success' => true
      ]);
    }
  }

  // GETTERS

  public function get_agent()
  {
    $agent = new Agent();
    return $agent;
  }

  public function sessionar(Request $request)
  {
    session([
      $request['key'] => $request['value']
    ]);

    return 'el valor de $' . $request['key'] . ' se seteo a: ' . session($request['key']);
  }

  public function sessionar_interno(Request $request)
  {
    session([
      $request['key'] => $request['value']
    ]);
  }

  public function userExist(Request $request) {
    $exist = false;
    // Recogemos el user de nuestro sistema
    $user = User::where('email', '=', $request->email)->first();
    
    if($user != null) :
      $exist = true;
    endif;
    
    return response()->json([
      'success' => $exist,
    ]);
  }

  public function userExistNewPass(Request $request) {
    $exist = false;
    $newpass = false;
    // Recogemos el user de nuestro sistema
    $user = User::where('email', '=', $request->email)->first();

    if($user != null) :
      $exist = true;
      $newpass = $user->cambiar_password;
    endif;
    
    return response()->json([
      'success' => $exist,
      'new_pass' => $newpass
    ]);
  }

// GETTERS FROM VIEWS

}