<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;

// Controladores importados
use App\Http\Controllers\ViewsController;
use App\Http\Controllers\DataController;


// Mains
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Gate;
use Validator;


// Utils
use Illuminate\Support\Facades\DB;
use DateTime;
use DateInterval;
use DatePeriod;
use Carbon\Carbon;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Arr;
use Illuminate\Validation\Rules\Password;


// Models

use App\Email;
use Mail;

class ReservasController extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;


    /*
      **************************************************
        Importacion de controladores
      **************************************************
    */

    // protected $WSController;
    //
    // public function __construct(WSController $WSController)
    // {
    //     $this->WSController = $WSController;
    // }



    /*
      **************************************************
        Funciones de CRUD
      **************************************************
    */



    /*
      **************************************************
        Funciones AJAX - JS - JQUERY
      **************************************************
    */



    /*
      **************************************************
        HELPERS
      **************************************************
    */


        public function InternalValidationPassword(Request $request) {

          $validator = Validator::make($request->all(),[
            'pass' => [
              'required',
              Password::min(8)
              ->mixedCase() //Al menos una mayuscula y una minuscula
              ->symbols() //Al menus un simbolo
              ->uncompromised() //Sin comprometer para pwnedpasswords.com (dataleak)
            ],
            'pass_confirmation' => 'same:pass'
          ]);

          if ($validator->fails()){
            $errors = $validator->errors();
            return (Object)[
              'success' => false,
              'myerrors' => $errors
            ];
          } else {
            return (object)[
              'success' => true
            ];
          }
        }


        // Función que comprueba si un usuario existe y si está en estado de cambio de password o no.
        public function comprobarUserStatus(Request $request) {
          $user = Usuario::where('VCODUSU', '=', $request['user'])->where('VCAMBIAR_PASS_PROXIMO_ACCESO', '=', 'S')->first();
          $response = (!$user == NULL);

          return response()->json([
              'have_to_change' => $response
          ]);
        }



}
