<?php

namespace App\Http\Controllers;

date_default_timezone_set('Europe/Madrid');

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use Illuminate\Routing\Controller as BaseController;


// Mains
use Illuminate\Http\Request;
use App\Http\Controllers\Controller;
use Illuminate\Support\Facades\Auth;
use Illuminate\Support\Facades\Gate;
// use Jenssegers\Agent\Agent;

// Controladores
// use App\Http\Controllers\WSController;
use App\Http\Controllers\DataController;
use App\Http\Controllers\HelpersController;

// Utils
use Illuminate\Support\Facades\DB;
use DateTime;
use DateInterval;
use DatePeriod;
use PDF;
use Carbon\Carbon;
use Illuminate\Support\Facades\Hash;
use Illuminate\Support\Arr;

// Models
// use App\Models\NombreModelo;
use App\Models\Configuracion;
use App\Models\CategoriaInstalaciones;
use App\Models\Instalacion;
use App\Models\Reserva;
use App\Models\TurnoDefault;
use App\Models\TurnoPreciso;
use App\Models\SubdivisionPrecisa;
use App\Models\SubdivisionDefault;
use App\Models\TipoSub;




class ViewsController extends BaseController
{



  /*
    **************************************************
      Importacion de controladores
    **************************************************
  */

  // protected $NameController;
  //
  // public function __construct(NameController $NameController)
  // {
  //     $this->NameController = $NameController;
  // }
  // protected $DataController;
  //
  // public function __construct(DataController $DataController)
  // {
  //     $this->DataController = $DataController;
  // }

  private $data_controller;

  public function __construct()
  {
    // $this->agent = new Agent();
    $this->configuracion = Configuracion::where('id','=', 1)->get()[0];
    $this->data_controller = new DataController;
  }





  /*
    **************************************************
      USUARIO PAGES + GUEST
    **************************************************
  */

  public function getPage(Request $request) {
    switch($request['url']) :
      case "home":
        return self::get_page_home();
        break;
      case "reservar":
        return $this->get_reservar();
        break;
      case "reservas":
        return $this->get_reservas();
        break;
      case "eventos":
        return $this->get_eventos();
        break;
      case "blog":
        return $this->get_blog();
        break;
      case "ver_instalaciones":
        return $this->get_instalaciones_categoria($request);
        break;
      default:
        return $this->get_section_home();
        break;
    endswitch;

  }

  public function get_home() {
    if(Auth::check()) :
      return view('home.home', [
          // 'noticias' => DataController::getNoticiasPortada(),
          'noticias' => $this->data_controller->getNoticiasPortada(),
          'configuraciones' => $this->configuracion
        ]);
    else :
      // return dd(DataController::getNoticiasPortada());
      return view('home.home', [
          // 'noticias' => $this->getNoticiasLiga(),
          'noticias' => $this->data_controller->getNoticiasPortada(),
          'configuraciones' => $this->configuracion
          // 'noticias' => 'hello',
      ]);
    endif;

  }

  public function get_page_home() {
    if(Auth::check()) :
      return view('home.home', [
          // 'noticias' => DataController::getNoticiasPortada(),
          'noticias' => $this->data_controller->getNoticiasPortada(),
          'configuraciones' => $this->configuracion
        ]);
    else :
      // return dd(DataController::getNoticiasPortada());
      return view('home.home', [
          // 'noticias' => $this->getNoticiasLiga(),
          'noticias' => $this->data_controller->getNoticiasPortada(),
          'configuraciones' => $this->configuracion
          // 'noticias' => 'hello',
      ]);

    endif;

  }

  public function get_reservas() {
    if(Auth::check()) :
      return view('sections.reservas', [
        'configuraciones' => $this->configuracion,
        // 'reservas' => Reserva::Activas()->get()
        'reservas' => Reserva::ForUser(Auth::user()->id)->orderBy('id_status')->get()
        ]);
    else :
      return view('sections.reservas', [
        'configuraciones' => $this->configuracion
      ]);
    endif;

  }

  public function get_reservar() {
    if(Auth::check()) :
      return view('sections.reservar', [
        'configuraciones' => $this->configuracion,
        'categorias' => CategoriaInstalaciones::Activas()->get(),
        'inst_sin_cat' => Instalacion::where('id_categoria', '=', 0)->get()

        ]);
    else :
      return view('sections.reservar', [
        'configuraciones' => $this->configuracion,
        'categorias' => CategoriaInstalaciones::Activas()->get(),
        'inst_sin_cat' => Instalacion::SinCategoria()->get()

      ]);
    endif;

  }

  public function get_eventos() {
    if(Auth::check()) :
      return view('sections.eventos', [
          // 'noticias' => $this->getNoticiasLiga(),
        ]);
    else :
      return view('sections.eventos', [
          // 'noticias' => $this->getNoticiasLiga(),

      ]);
    endif;

  }

  public function get_page_asociados() {
    if(Auth::check()) :
      return view('pages.asociados', [
          // 'noticias' => $this->getNoticiasLiga(),
        ]);
    else :
      return view('pages.asociados', [
          // 'noticias' => $this->getNoticiasLiga(),

      ]);
    endif;
  }

  public function get_page_convenios() {
    if(Auth::check()) :
      return view('pages.convenios', [
          // 'noticias' => $this->getNoticiasLiga(),
        ]);
    else :
      return view('pages.convenios', [
          // 'noticias' => $this->getNoticiasLiga(),

      ]);
    endif;
  }

  public function get_page_about() {
    if(Auth::check()) :
      return view('pages.aboutus', [
          // 'noticias' => $this->getNoticiasLiga(),
        ]);
    else :
      return view('pages.aboutus', [
          // 'noticias' => $this->getNoticiasLiga(),

      ]);
    endif;
  }

  public function get_page_blog() {
    if(Auth::check()) :
      return view('pages.blog', [
          // 'noticias' => $this->getNoticiasLiga(),
        ]);
    else :
      return view('pages.blog', [
          // 'noticias' => $this->getNoticiasLiga(),

      ]);
    endif;
  }

  public function get_page_post() {
    if(Auth::check()) :
      return view('pages.blog-single', [
          // 'noticias' => $this->getNoticiasLiga(),
        ]);
    else :
      return view('pages.blog-single', [
          // 'noticias' => $this->getNoticiasLiga(),

      ]);
    endif;
  }

  public function get_blog() {
    if(Auth::check()) :
      return view('sections.blog', [
          // 'noticias' => $this->getNoticiasLiga(),
        ]);
    else :
      return view('sections.blog', [
          // 'noticias' => $this->getNoticiasLiga(),

      ]);
    endif;
  }



  /*
    **************************************************
      SECCIONES
    **************************************************
  */




  /*
    **************************************************
      SEMI - MODALES
    **************************************************
  */

  private function get_instalaciones_categoria(Request $request) {
    $categoria = CategoriaInstalaciones::ById($request['id']);
    $instalaciones = Instalacion::byCat($request['id'])->get();
    return view('semi-modals.instalaciones-from-cat', [
      'categoria' => $categoria,
      'instalaciones' => $instalaciones
    ]);
  }

  /*
    **************************************************
      MODALES
    **************************************************
  */

  public function get_info_instalacion(Request $request) {
    $instalacion = Instalacion::find($request['id']);
    // dd($this->get_turnos_default($request['id']));
    // dd($this->get_next_week());
    return view('modals.instalacion-info', [
      'instalacion' => $instalacion,
      'imagen' => $instalacion->get_imagen(),
      'turnos' => $this->get_turnos_nextweek($request['id'])
    ]);
  }

  public function get_reserva_instalacion(Request $request) {
    $instalacion = Instalacion::find($request['id']);
    // dd($this->get_turnos_default($request['id']));
    // dd($this->get_next_week());
    return view('modals.instalacion-reserva', [
      'instalacion' => $instalacion,
      'imagen' => $instalacion->get_imagen(),
      'turnos' => $this->get_turnos_reservables($request['id'])
    ]);
  }

  public function get_reserva_turno(Request $request) {

    if($request['tipo'] == 'default') :
      $turno = TurnoDefault::find($request['id']);
    else :
      $turno = TurnoPreciso::find($request['id']);
    endif;

    $instalacion = $turno->instalacion;

    // Si tiene subdivisiones
    if($instalacion->has_subdivisiones()) :

      // Tiene subdivisiones precisas
      // *********************************************
      if($instalacion->has_subdivisiones_pre()) :
          // TURNO ES DEFAULT
          if($turno->TIPO == 'default') :
            // Get subdivisiones x dia_semana + por fecha para este turno
            $sub_turno = SubdivisionPrecisa::ForDiaSemana($turno)->get();

          // TURNO ES PRECISO
          else :
            // Get subdivisiones x dia_semana + por fecha para este turno
            $sub_turno = SubdivisionPrecisa::ForDiaSemanaPreciso($turno)->get();

          endif;
          // dump($sub_turno);
      endif;


      // No tienes subdivisiones precisas - SON DEFAULT
      // *********************************************
      if(count($sub_turno) == 0) :

        // TURNO ES DEFAULT
        if($turno->TIPO == 'default') :
          // Get subdivisiones x dia_semana + por fecha para este turno
          $sub_turno = SubdivisionDefault::ForDiaSemana($turno)->get();

        // TURNO ES PRECISO
        else :
          // Get subdivisiones x dia_semana + por fecha para este turno
          $sub_turno = SubdivisionDefault::ForDiaSemanaPreciso($turno)->get();

        endif;


      endif;


      // TIPOS de subdivisiones que tenemos.
      $tipos = [];
      foreach($sub_turno as $i => $sub) :
        $tipos[$i] = $sub->tipo;
      endforeach;
      $tipos = array_unique($tipos);

    // No tiene subdivisiones
    else :

      $sub_turno = NULL;
      $tipos = NULL;

    endif;


    return view('modals.reserva-new-edit', [
      'turno' => $turno,
      'subdivisiones' => $sub_turno,
      'tipos' => $tipos,
    ]);
  }




  /*
    **************************************************
      Funciones HELPERS
    **************************************************
  */

  private function get_turnos_nextweek($id_ins) {
    $turnos = [];

    foreach(HelpersController::get_next_week() as $index => $day) :
      $turnos_precisos = $this->check_turno_preciso($day->fecha, $id_ins);

      if(count($turnos_precisos) == 0) :
        $turno_dia = TurnoDefault::ByInsDay($id_ins, $day->dia_semana)->get();
        if(count($turno_dia) > 0) :
          $turnos[$index] = $turno_dia;
        else :
          $turnos[$index] = [
            "dia_escrito" => $this->dia_escrito($day->dia_semana)
          ];
        endif;
      else :
        $turnos[$index] = $turnos_precisos;
      endif;
    endforeach;

    return $turnos;
  }

  private function get_turnos_reservables($id_ins) {
    $turnos = [];

    foreach(HelpersController::get_next_week() as $index => $day) :
      // echo $day->fecha."<br>";
      // var_dump($this->check_turno_preciso($day->fecha, $id_ins));
      // echo "<br>";
      $turnos_precisos = $this->check_turno_preciso($day->fecha, $id_ins);

      if(count($turnos_precisos) == 0) :
        $turno_dia = $this->get_turnos_ByInsReservable($id_ins, $day);
        // dd($turno_dia);
        if(count($turno_dia) > 0) :
          $turnos[$index] = $turno_dia;
        else :
          // dd($this->dia_escrito($day->dia_semana));
          $turnos[$index] = [
            "dia_escrito" => $this->dia_escrito($day->dia_semana)
          ];
        endif;
      else :
        $turnos[$index] = $turnos_precisos;
      endif;
    endforeach;

    return $turnos;
  }

  private function get_turnos_ByInsReservable($id_ins, $dia) {
    $turnos = TurnoDefault::ByInsDay($id_ins, $dia->dia_semana)->get();
    $back = [];
    $i = 0;

    foreach($turnos as $turno) :
      if($turno->compare_times($id_ins, $dia->fecha) == true) :
        $back[$i] = $turno;
        $i++;
      endif;
    endforeach;

    return $back;
  }

  private function check_turno_preciso($fecha, $ins) {
    $turno = TurnoPreciso::ByFechaIns($fecha, $ins)->get();

    return $turno;
  }

  private function dia_escrito($num) {
    $dias = [
      'lunes', 'martes', 'miercoles', 'jueves', 'viernes', 'sábado', 'domingo'
    ];

    return $dias[$num-1];
  }

}
