<?php 
public function get_section_home() {
  Session::put('agent', HelpersAdminController::get_agent());

  if(Auth::check()) :
    return view('sections.home', [
        // 'noticias' => DataController::getNoticiasPortada(),
        'noticias' => DataController::getNoticiasPortada(),
        'configuraciones' => $this->configuracion
      ]);
  else :
    // return dd(DataController::getNoticiasPortada());
    return view('sections.home', [
        // 'noticias' => $this->getNoticiasLiga(),
        'noticias' => DataController::getNoticiasPortada(),
        'configuraciones' => $this->configuracion
        // 'noticias' => 'hello',
    ]);
  endif;
}


public function get_instalaciones() {

if(Auth::check()) :
  $vista = Configuracion::find(1)->get_vista('instalaciones');

  switch($vista) :
    case 'simple';
      $view = 'admin.sections.instalaciones-simple';
      break;
    case 'square';
      $view = 'admin.sections.instalaciones';
      break;
  endswitch;

  return view($view, [
      'titulo' => 'Instalaciones',
      'subtitulo' => 'Grupos de instalaciones creadas',
      'sin_categoria' => Instalacion::SinCategoria()->get(),
      'categorias' => CategoriaInstalaciones::all()
    ]);

else :
  // return dd(DataController::getNoticiasPortada());
  return view('login', [

  ]);

endif;
}

public function get_reservas(Request $request) {
$view = 'admin.sections.reservas';

if(Auth::check() && (Gate::any(['is-admin', 'is-root']))) :
  $reservas = Reserva::ForAdmins();
elseif(Gate::any(['is-supervisor', 'is-gerente'])) :
  $inst = [];
  foreach(Auth::user()->instalaciones() as $user_ins) :
    array_push($inst, $user_ins->instalacion_id);
  endforeach;
  $reservas = Reserva::ForInstalaciones($inst);
else :
  return view('login', [

  ]);
endif;

  if($request['filtro']) :
    switch($request['filtro']) :
      case 'hoy':
      return view($view, [
        'titulo' => 'Reservas para hoy',
        'subtitulo' => 'Reservas actuales de hoy',
        // 'reservas' => Reserva::Hoy()->get(),
        'reservas' => $reservas->Hoy()->get(),
        'filtro' => 'hoy'
      ]);
      break;

      case 'semana':
      return view($view, [
        'titulo' => 'Reservas de la próxima semana',
        'subtitulo' => 'Reservas actuales para los próximos 7 días',
        'reservas' => $reservas->Semana()->get(),
        'filtro' => 'semana'
      ]);
      break;

      case 'mes':
      return view($view, [
        'titulo' => 'Reservas del próximo mes',
        'subtitulo' => 'Reservas actuales para el próximo mes.',
        'reservas' => $reservas->Mes()->get(),
        'filtro' => 'mes'
      ]);
      break;

    endswitch;

  else :
    return view($view, [
      'titulo' => 'Reservas',
      'subtitulo' => 'Reservas actuales',
      'reservas' => $reservas->AllByDate()->get()
    ]);
  endif;


}


public function get_reserva(Request $request) {

if(Auth::check()) :
  $view = 'admin.sections.reserva-nueva-editar';
  Session::put('agent', HelpersAdminController::get_agent());

  if($request['id']) :
    return view($view, [
      'titulo' => 'Editar Reserva',
      'subtitulo' => 'Modificar una reserva del sistema.',
      'reserva' => Reserva::find($request['id'])
    ]);
  else :
    // $turnos_res = HelpersAdminController::get_turnos_reservablesNW($id_ins);
    // return view($view, [
    //   'titulo' => 'Crear Reserva',
    //   'subtitulo' => 'Agregar una nueva reserva al sistema.',
    //   'reservas' => Reserva::all()
    // ]);
    return back();
  endif;

else :
  // return dd(DataController::getNoticiasPortada());
  return view('login', [

  ]);

endif;
}

public function get_nueva_reserva(Request $request) {

if(Auth::check()) :
  $view = 'admin.modals.selector-instalacion';
  Session::put('agent', HelpersAdminController::get_agent());

    // $turnos_res = HelpersAdminController::get_turnos_reservablesNW($id_ins);
    return view($view, [
      'titulo' => 'Crear Reserva',
      'subtitulo' => 'Agregar una nueva reserva al sistema.',
      'instalaciones' => Instalacion::Actives()->get()
    ]);
else :
  // return dd(DataController::getNoticiasPortada());
  return view('login', [

  ]);

endif;
}

public function get_instalacion(Request $request) {
// dd(HelpersAdminController::get_agent());
// dd(count(SubdivisionPrecisa::ByIns($id)->get()));
$id = $request['id'];

$inst = [];
array_push($inst, $id);
$reservas = Reserva::ForInstalaciones($inst)->get();

if(Auth::check() && (Gate::allows('is-admin') || Gate::allows('is-root'))) :
  return view('admin.sections.instalacion', [
      'instalacion' => Instalacion::find($id),
      'divisiones_def' => SubdivisionDefault::ByIns($id)->get(),
      'divisiones_pre' => SubdivisionPrecisa::ByIns($id)->get(),
      'tipos' => TipoSub::ByIns($id)->get(),
      'turnos_def' => TurnoDefault::ByIns($id)->OrderBy('dia_semana', 'ASC')->OrderBy('activo', 'DESC')->OrderBy('hora_comienzo', 'ASC')->get(),
      'turnos_pre' => TurnoPreciso::ByIns($id)->OrderBy('dia', 'ASC')->OrderBy('hora_comienzo', 'ASC')->get(),
      'categorias' => CategoriaInstalaciones::all(),
      'reservas' => $reservas,
      'agent' => session('agent')
    ]);

elseif(Gate::allows('is-gerente') || Gate::allows('is-supervisor')) :
  return view('admin.sections.instalacion', [
      'instalacion' => Instalacion::find($id),
      'divisiones_def' => SubdivisionDefault::ByIns($id)->get(),
      'divisiones_pre' => SubdivisionPrecisa::ByIns($id)->get(),
      'tipos' => TipoSub::ByIns($id)->get(),
      'turnos_def' => TurnoDefault::ByIns($id)->OrderBy('dia_semana', 'ASC')->OrderBy('activo', 'DESC')->OrderBy('hora_comienzo', 'ASC')->get(),
      'turnos_pre' => TurnoPreciso::ByIns($id)->OrderBy('dia', 'ASC')->OrderBy('hora_comienzo', 'ASC')->get(),
      'categorias' => CategoriaInstalaciones::all(),
      'reservas' => $reservas,
      'agent' => session('agent')
    ]);
else :
  // return dd(DataController::getNoticiasPortada());
  return view('login', [

  ]);

endif;

}

public function get_cat_instalaciones() {
if(Auth::check()) :
  $view = 'admin.sections.categorias-instalaciones';

  return view($view, [
      'titulo' => 'Categorias de Instalaciones',
      'subtitulo' => 'Grupos de instalaciones existentes',
      'categorias' => CategoriaInstalaciones::all(),
      'agent' => session('agent')
    ]);

else :
  // return dd(DataController::getNoticiasPortada());
  return view('login', [

  ]);

endif;
}