<?php

namespace App\Models;

use App\Models\Asociado;
use File;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Factories\HasFactory;

class CategoriaAsociado extends Model
{
    use HasFactory;
    //  Table
    protected $table = 'categorias_asociados';
    // Routes
    protected $logo_route = '/imagenes/categoria-asociado/';
    protected $logo_route_admin = '/storage/imagenes/categoria-asociado/';

    // Primary ID
    // protected $primaryKey = '';

    public function isActive() {
      return $this->activo == 1;
    }
   
    public function get_asociados() : array
    {
      $asociados = Asociado::all();
      $in_this_cat = [];
      foreach($asociados as $asociado) :
        in_array($this->id, $asociado->get_categorias_array()) ? array_push($in_this_cat, $asociado) : false;
      endforeach;
      return $in_this_cat;
    }

    public function get_asociados_activos() : array
    {
      $asociados = Asociado::Actives()->get();
      $in_this_cat = [];
      foreach($asociados as $asociado) :
        in_array($this->id, $asociado->get_categorias_array()) ? array_push($in_this_cat, $asociado) : false;
      endforeach;
      return $in_this_cat;
    }

    public function onDelete()
    {
      // delete in all asociados
      foreach($this->get_asociados() as $asociado) :
        $asociado->delete_categoria($this->id);
      endforeach;
    }
    
    
  // IMAGENES 
  public function get_dir_imagen() {
    return $this->logo_route;
  }  
  public function get_dir_admin_imagen() {
    return $this->logo_route_admin;
  }  
  public function get_imagen() {
    return $this->get_dir_imagen().$this->imagen;
  }
  public function get_imagen_admin() {
    return $this->get_dir_admin_imagen().$this->imagen;
  }
  public function del_imagen() {
    if(count($this::ByImg()->get()) <= 1) :
      if(File::exists(public_path($this->get_imagen_admin()))){
          File::delete(public_path($this->get_imagen_admin()));
          return true;
      }else{
          dd('File does not exists.');
      }
    else :
      return false;
    endif;
  }

  //SCOPE
  public function scopeByImg($query) {
    return $query->where('imagen', '=', $this->imagen);
  }
    /*
        ********************
          SCOPES
        ********************
    */

    public function scopeActives($query) {
      return $query->where('activo', '=', 1);
    }

}
