<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use App\Models\User;
use File;

class Noticia extends Model
{
    use HasFactory;

    //  Table
    protected $table = 'noticias';

    // Routes
    protected $img_route = '/imagenes/noticias/';
    protected $img_route_admin = '/storage/imagenes/noticias/';

    // Primary ID
    // protected $primaryKey = '';


    // public function config() {
    //   return $this->hasOne('App\Models\ConfigInstalacion', 'IDCLI', 'IDCLI');
    //   // return $this->hasOne('App\Models\ClienteConfig', 'COD', 'CODCLI');
    // }
    public function categoria() {
      if($this->id_categoria != 0) :
        return $this->hasOne('App\Models\CategoriaNoticias', 'id', 'id_categoria');
      else :
        return 0;
      endif;
    }

    public function toggle_destacar() {
        $this->destacado = !$this->destacado;
        $this->save();
    }

    // IMAGE FUNCTIONS
    public function get_dir_imagen() {
      return $this->img_route;
    }  
    public function get_dir_admin_imagen() {
      return $this->img_route_admin;
    }  
    public function get_imagen() {
      return $this->get_dir_imagen().$this->imagen;
    }
    public function set_imagen($file_name) {
      return $this->imagen = $file_name;
    }
    public function get_imagen_admin() {
      return $this->get_dir_admin_imagen().$this->imagen;
    }
    public function del_imagen() {
      if(count($this::ByImg()->get()) <= 1) :
        if(File::exists(public_path($this->get_imagen_admin()))){
            File::delete(public_path($this->get_imagen_admin()));
            return true;
        }else{
            dd('File does not exists.');
        }
      else :
        return false;
      endif;
    }

    /*
        ********************
          SCOPES
        ********************
    */

    // public function scopeForAgencia($query, $agencia_id) {
    //   return $query->where('CODAGE', '=', $agencia_id);
    // }
    public function scopeDestacadas($query) {
      return $query->where('destacado', '=', 1);
    }

}
