<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

use Carbon\Carbon;

use App\Http\Controllers\HelpersController;

use App\Models\User;

class TurnoPreciso extends Model
{
    use HasFactory;

    //  Table
    protected $table = 'turnos_precisos';

    // Primary ID
    // protected $primaryKey = '';

    public $TIPO = "preciso";

    // public function config() {
    //   return $this->hasOne('App\Models\ConfigInstalacion', 'IDCLI', 'IDCLI');
    //   // return $this->hasOne('App\Models\ClienteConfig', 'COD', 'CODCLI');
    // }

    public function get_fecha_of() {
      return HelpersController::get_fecha_nosql($this->dia);
    }

    public function get_fecha_sql() {
      return $this->dia;
    }

    public function get_fecha_of_larga() {
      return HelpersController::get_fecha_larga($this->dia);
    }

    public function get_hora_comienzo() {
      $hora = new Carbon($this->hora_comienzo);
      $hora = $hora->format('H:i');
      return $hora;
    }

    public function get_hora_termino() {
      $hora = new Carbon($this->hora_termino);
      $hora = $hora->format('H:i');
      return $hora;
    }

    public function type() {
      return 1;
    }
    /*
    ********************
      HELPERS
    ********************
    */

    public function dia_semana() {
      $dias = [
        'lunes', 'martes', 'miercoles', 'jueves', 'viernes', 'sábado', 'domingo'
      ];

      $day = new Carbon($this->dia);
      $day = $day->dayOfWeekIso;
      return $dias[$day-1];
    }

    public function get_dia_semana() {
      $day = new Carbon($this->dia);
      return $day->dayOfWeekIso;
    }

    public function is_booked($date) {
      return HelpersController::user_have_turno($this, $date);
    }

    public function is_full_booked() {
      return HelpersController::turno_full_booked($this);
    }

    /*
        ********************
          SCOPES
        ********************
    */

    // public function scopeForAgencia($query, $agencia_id) {
    //   return $query->where('CODAGE', '=', $agencia_id);
    // }

    public function scopeByFechaIns($query, $fecha, $ins) {
      $fecha = new Carbon($fecha);
      return $query->whereDate('dia', '=', $fecha->toDateString())->where('id_ins', '=', $ins);
    }

    public function scopeByIns($query, $id_ins) {
      return $query->where([['id_ins', '=', $id_ins]]);
    }

}
