<?php

namespace App\Providers;

use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;
use Illuminate\Support\Facades\Gate;
use App\Models\User;


class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the application.
     *
     * @var array<class-string, class-string>
     */
    protected $policies = [
        // 'App\Models\Model' => 'App\Policies\ModelPolicy',
    ];

    /**
     * Register any authentication / authorization services.
     *
     * @return void
     */
    public function boot()
    {
      $this->registerPolicies();

      // Declaramos Las Gates (Permisos) necesarias.

      // Arriba a abajo

      //
      //
      // // **** ADMINISTRADOR DE SISTEMA **** \\
      // Gate::define('manage-agencias', function(Usuario $user) {
      //   return $user->tipo_de_usuario->ABREVIATURA === 'ROOT' || $user->tipo_de_usuario->ABREVIATURA === 'SYS';
      // });
      //
      // // **** ADMINISTRADOR Y SUBAGENCIAS **** \\
      // Gate::define('manage-clientes', function(Usuario $user) {
      //   $answer = $user->tipo_de_usuario->ABREVIATURA === 'ROOT' || $user->tipo_de_usuario->ABREVIATURA === 'SYS' || ($user->tipo_de_usuario->ABREVIATURA === 'AGE');
      //   return $answer;
      // });
      //
      // // **** ADMINISTRADOR, AGENCIAS Y CLIENTES **** \\
      // Gate::define('manage-direcciones', function(Usuario $user) {
      //   $answer = $user->tipo_de_usuario->ABREVIATURA === 'ROOT' || $user->tipo_de_usuario->ABREVIATURA === 'SYS' || $user->tipo_de_usuario->ABREVIATURA === 'AGE' || $user->tipo_de_usuario->ABREVIATURA === 'CLI';
      //   return $answer;
      // });
      //
      // // **** CLIENTES **** \\
      //
      // // For CLIENTES -- admins --
      // Gate::define('manage-dptos', function(Usuario $user) {
      //   $answer = $user->tipo_de_usuario->ABREVIATURA === 'ROOT' || $user->tipo_de_usuario->ABREVIATURA === 'SYS' || $user->tipo_de_usuario->ABREVIATURA === 'AGE' || ($user->tipo_de_usuario->ABREVIATURA === 'CLI' && ($user->rol_de_usuario->ABREVIATURA === 'ADMIN'));
      //   return $answer;
      // });
      //
      // // for CLIENTES -- Jefe de departamentos --
      // Gate::define('manage-destinatarios-dpto', function(Usuario $user) {
      //   $answer = $user->tipo_de_usuario->ABREVIATURA === 'ROOT' || $user->tipo_de_usuario->ABREVIATURA === 'SYS' || $user->tipo_de_usuario->ABREVIATURA === 'AGE' || ($user->tipo_de_usuario->ABREVIATURA === 'CLI' && ($user->rol_de_usuario->ABREVIATURA === 'ADMIN' || $user->rol_de_usuario->ABREVIATURA === 'JDEPART'));
      //   return $answer;
      // });
      //
      // // for CLIENTES -- Usuarios de sistema --
      // Gate::define('manage-destinatarios-propios', function(Usuario $user) {
      //   $answer = $user->tipo_de_usuario->ABREVIATURA === 'ROOT' || $user->tipo_de_usuario->ABREVIATURA === 'SYS' || $user->tipo_de_usuario->ABREVIATURA === 'AGE' || ($user->tipo_de_usuario->ABREVIATURA === 'CLI' && ($user->rol_de_usuario->ABREVIATURA === 'GEST'));
      //   return $answer;
      // });


      // DE ABAJO a ARRIBA
      // **** CLIENTES **** \\

      // For Asociados
      /*
        - Usuario que solo puede modificar sus propios datos
      */
      Gate::define('is-asociado', function(User $user) {
        $answer = $user->role->nombre === 'asociado';
        return $answer;
      });

      // For Escritor
      /*
        - Crear, modificar y eliminar sus propios eventos
        - Crear, modificar y eliminar sus propias noticias
      */
      Gate::define('is-escritor', function(User $user) {
        $answer = $user->role->nombre === 'escritor';
        return $answer;
      });

      // For Gestor
      /*
        - Crear, modificar y eliminar eventos
        - Crear, modificar y eliminar asociados
        - Crear, modificar y eliminar convenios
        - Crear, modificar y eliminar noticias
      */
      Gate::define('is-gestor', function(User $user) {
        $answer = $user->role->nombre === 'gestor';
        return $answer;
      });


      // For Admin
      /*
        - Crear, modificar y eliminar eventos
        - Crear, modificar y eliminar asociados
        - Crear, modificar y eliminar categorias de asociados
        - Crear, modificar y eliminar convenios
        - Crear, modificar y eliminar noticias
        - Crear, modificar y eliminar categorias de noticias
        - Crear, modificar y eliminar usuarios
        - Modificar datos de configuración
        - Modificar datos de Home-page
        - Modificar datos de las páginas
      */
      Gate::define('is-admin', function(User $user) {
        $answer = $user->role->nombre === 'admin';
        return $answer;
      });

      // **** ROOT **** \\
      Gate::define('is-root', function(User $user) {
        $answer = $user->role->nombre === 'root';
        return $answer;
      });

        //
    }
}
