<?php

namespace App\View\Components;

use Illuminate\View\Component;

class Button extends Component
{
    /**
     * Create a new component instance.
     *
     * @return void
     */
    
    public $content;
    public $type;
    public $class;
    public $raw;
    public $onclick;

    
    /**
     * __construct
     *
     * @param  mixed $content
     * @param  mixed $type
     * @param  mixed $class
     * @return void
     */
    public function __construct($content = '', $type = '', $class = '', $raw = '', $onclick = '')
    {
        $this->content = $content;
        $this->type = $type;
        $this->class = $class;
        $this->raw = $raw;
        $this->onclick = $onclick;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\Contracts\View\View|\Closure|string
     */
    public function render()
    {
        return view('admin.components-views.form.buttons.button');
    }
}