async function bloquearAsociado(id) {
  await axios.post('/admin/api/bloquear-asociado', {
      // Variables a pasar aqui jQuery -> Controller
      'id' : id,
      })
      .then((response) => {
              // console.log(response);
              // Tratamos la respuesta recogida desde el controlador
              location.reload();
               // Mostramos el mensaje de confirmación de que todo fue bien
          },
          (error) => {
              console.log(error);
          }
  );
}

async function desbloquearAsociado(id) {
  await axios.post('/admin/api/desbloquear-asociado', {
      // Variables a pasar aqui jQuery -> Controller
      'id' : id,
      })
      .then((response) => {
              // console.log(response);
              // Tratamos la respuesta recogida desde el controlador
              location.reload();
               // Mostramos el mensaje de confirmación de que todo fue bien
          },
          (error) => {
              console.log(error);
          }
  );
}

async function pausarAsociado(id) {
  await axios.post('/admin/api/pausar-asociado', {
      // Variables a pasar aqui jQuery -> Controller
      'id' : id,
      })
      .then((response) => {
              // console.log(response);
              // Tratamos la respuesta recogida desde el controlador
              location.reload();
               // Mostramos el mensaje de confirmación de que todo fue bien
          },
          (error) => {
              console.log(error);
          }
  );
}

function openAsociadoNuevo() {
  let name = 'open-new-asociado';
  let data = {
    'titulo': "<i class='bx bx-plus'></i> Crear un nuevo asociado"
  };
  alertify.ajaxAlertMyHome('get_modal', name, data);
  void (0);
}

function openAsociadoEdit(asociadoId) {
  let name = 'open-edit-asociado';
  let data = {
    'titulo': "<i class='bx bxs-edit-alt'></i> Editar asociado",
    'asociado_id' : asociadoId
  };
  alertify.ajaxAlertMyHome('get_modal', name, data);
  void (0);
}

function openCatAsociadoNuevo(isSecond) {
  let name = 'open-new-categoria-asociado';
  let data = {
    'titulo': "<i class='bx bx2 bxs-color'></i>Crear una nueva categoría para asociado",
    'is_second' : isSecond
  };
  alertify.ajaxAlertMyHome('get_modal', name, data);
  void (0);
}

async function saveAsociado() {
  await axios.post('/admin/api/guardar-asociado', {
    // Variables a pasar aqui jQuery -> Controller
    'id' : $('#asociado_id').val(),
    'data' : {
      'nombre' : $('#asociado_name').val(),
      'email' : $('#asociado_email').val(),
      'telefono' : $('#asociado_phone').val(),
      'direccion' : $('#asociado_dir').val(),
      'web_link' : $('#asociado_web').val(),
      'activo' : $('#asociado_activo').is(":checked"),
      'destacado' : $('#asociado_destacado').is(":checked"),
      'categorias' : $('#asociado_cat')[0].selectize.items,
      'texto_corto' : $('.text-editor.t1')[0].firstChild.innerHTML,
      'texto' : $('.text-editor.t2')[0].firstChild.innerHTML,
    }
  })
    .then((response) => {
          // Tratamos la respuesta recogida desde el controlador
          if(response.data.success) {
            if($('input#logotipo').val() != '') {
              subir_archivo('logotipo', 'asociado', response.data.id);
            }
          }
          // Mostramos el mensaje de confirmación de que todo fue bien
          alertify.myAlert().destroy();
          showText('Se guardo correctamente', 'Exito', 'success');
          setTimeout(() => {
              location.reload();
          }, 2200);
        },
        (error) => {
            console.log(error);
        }
);
}

async function saveCategoriaAsociado(fromSecond) {
  await axios.post('/admin/api/guardar-categoria-asociado', {
    // Variables a pasar aqui jQuery -> Controller
    'id' : $('#cat_asociado_id').val(),
    'data' : {
      'nombre' : $('#cat_asociado_name').val(),
      'activo' : $('#cat_asociado_activo').is(":checked"),
      'descripcion' : $('.text-editor.t3')[0].firstChild.innerHTML,
    }
  })
    .then((response) => {
          // Tratamos la respuesta recogida desde el controlador
          if(response.data.success) {
            if($('input#imagen').val() != '') {
              subir_archivo('imagen', 'categoria-asociado', response.data.id);
            }
            // Mostramos el mensaje de confirmación de que todo fue bien
            showText('Se guardo correctamente', 'Exito', 'success');
            alertify.myAlert2().destroy();
            if(fromSecond) {
              addOptionCat(response.data.id, $('#cat_asociado_name').val())
            } else {
              setTimeout(() => {
                location.reload();
              }, 2200);         
            }
            }
        },
        (error) => {
            console.log(error);
        }
);
}

function addOptionCat(value, text) {
  var control = $('#asociado_cat')[0].selectize;
  control.addOption({
    'value': value,
    'text' : text
  });
  control.addItem(value);
  control.refreshOptions();
}

async function subir_archivo(file_sel, url, id) {
  let file = document.getElementById(file_sel).files[0];
  let data = new FormData();

  data.append('archivo', file, file.name);
  data.append('url', url);
  data.append('id_obj', id);

  let settings = {
    headers: { 'content-type': 'multipart/form-data' }
  };

  await axios.post('/admin/api/upload', data, settings)
    .then(response => {
      // if(url == 'asociado') {
      //   $('.show-logo').html('<img id="logo-loaded" src="'+ response.data.url + response.data.filename + '"/>');
      // } else if(url == 'categoria-asociado') {
      
      // }
    }).catch(response => {
      // console.log(response);
      // return false;
    });
}


