//  ****************************************************************
// GENERALES
//  ***************************

// Abrir cerrar pestaña
function toggleCardBody(e, pes) {
  let cardBody = $(e).closest('div.card').children('.card-body');

  if ($(cardBody).hasClass("opened") == true) {
    $(cardBody).hide('slow');
    $(cardBody).removeClass('opened');
    $(e).html("<i class='bx bx2 bxs-folder-plus'></i>");
    // $(e).html("<i class='bx bx2 bxs-chevron-up' ></i><i class='bx bx-grid-horizontal' ></i>");
  } else {
    $(cardBody).show('slow');
    $(cardBody).addClass('opened');
    $(e).html("<i class='bx bx2 bx-folder-minus' ></i>");
    sessionar('pestana_actual', pes);
    // $(e).html("<i class='bx bx2 bxs-chevron-down' ></i><i class='bx bx-dots-horizontal'></i>");
  }
}

function openCategoria(id) {
  window.location.href = "/admin/instalaciones/" + id;
}

function openInstalacion(id) {
  window.location.href = "/admin/instalacion/" + id;
}

function openReserva(id) {
  window.location.href = "/admin/reserva-editar/" + id;
}

function go(url, id) {
  switch (url) {
    case ('categorias-asociados'):
      window.location.href = "/admin/categorias-asociados";
      break;
    // case ('instalacion-reservas'):
      //   filtrar(url);
      //   break;
  }
}

function filtrar(apartado) {
  switch (apartado) {
    case ('instalacion-configuracion'):
      $('.section-instalacion').hide();
      $('ul.submenu li').removeClass('active');
      $('.section-instalacion.instalacion-configuracion').show();
      $('ul.submenu li[data-let name = configuracion]').addClass('active');
      break;
    case ('instalacion-divisiones'):
      $('.section-instalacion').hide();
      $('ul.submenu li').removeClass('active');
      $('.section-instalacion.instalacion-divisiones').show();
      $('ul.submenu li[data-let name = divisiones]').addClass('active');
      break;
    case ('instalacion-turnos'):
      $('.section-instalacion').hide();
      $('ul.submenu li').removeClass('active');
      $('.section-instalacion.instalacion-turnos').show();
      $('ul.submenu li[data-let name = turnos]').addClass('active');
      break;
    case ('instalacion-reservas'):
      $('.section-instalacion').hide();
      $('ul.submenu li').removeClass('active');
      $('.section-instalacion.instalacion-reservas').show();
      $('ul.submenu li[data-let name = reservas]').addClass('active');
      break;
  }
}

function goBack() {
  history.back();
}

// Subir archivos

async function subir_archivo(file_sel, url, id) {
  let file = document.getElementById(file_sel).files[0];
  let data = new FormData();

  data.append('archivo', file, file.name);
  data.append('url', url);
  data.append('id_obj', id);

  let settings = {
    headers: { 'content-type': 'multipart/form-data' }
  };

  await axios.post('/admin/api/upload', data, settings)
    .then(response => {
      $('div.prev-image').html('<img class="" src="/storage/imagenes/instalaciones/' + response.data.filename + '" style="width:100%"/>');
    }).catch(response => {
      // console.log(response);
      // return false;
    });
}

async function subir_archivo_normativa(file_sel, url, id) {
  let file = document.getElementById(file_sel).files[0];
  let data = new FormData();

  data.append('archivo', file, file.name);
  data.append('url', url);
  data.append('id_obj', id);

  let settings = {
    headers: { 'content-type': 'multipart/form-data' }
  };

  await axios.post('/admin/api/uploadNormativa', data, settings)
    .then(response => {
      console.log(response);
      // return true;
    }).catch(response => {
      console.log(response);
      // return false;
    });
}

async function validatePassInputs(id1) {

  let done = false;

  if ($('#' + id1).val().length >= 1) {
    await axios.post('/admin/api/validatePassword', {
      pass: $('#' + id1).val(),
      pass_confirmation: $('#' + id1 + '_confirmation').val(),
    })
      .then((response) => {
        if (response.data.success == true) {
          $('.display-errors').html(' ');
          $('.btn.sender').removeClass('disabled');
          done = true;
        } else {
          texting = '';
          if (response.data.myerrors.pass != undefined) {
            response.data.myerrors.pass.forEach(function (item) {
              item = item.replace('The pass must be at least 8 characters.', 'La contraseña debe contener 8 caracteres como mínimo.');
              item = item.replace('The pass confirmation does not match.', 'La contraseña y su confirmación deben coincidir.');
              item = item.replace(
                'The given pass has appeared in a data leak. Please choose a different pass.',
                'La contraseña aparece como vulnerada en un algún filtrado de datos y no es segura. Por favor, elija una diferente.'
              );
              item = item.replace('pass ', '');

              texting += '<span>' + item + '</span><br>';
            });
          }

          if (response.data.myerrors.pass_confirmation != undefined) {
            response.data.myerrors.pass_confirmation.forEach(function (item) {
              item = item.replace('The pass confirmation and pass must match.', 'La contraseña y la confirmación deben coincidir');
              texting += '<span>' + item + '</span><br>';
            });
          }
          // console.log(texting);
          $('.display-errors').html(texting);
          $('.btn.sender').addClass('disabled');
        }

      },
        (error) => {
          console.log(error);
        }
      );
  }

  return done;
}
