// myAlert dialog
alertify.myAlert || alertify.dialog('myAlert', function factory() {
  return {
    main: function (content, title) {
      this.setContent(content);
      this.setHeader(title);
    },
    setup: function () {
      return {
        options: {
          modal: true,
          basic: true,
          maximizable: false,
          resizable: true,
          padding: false,
          maintainFocus: false,
          transition: 'fade',
          autoReset: false,
        }
      };
    }
  };
});

// myAlert2 dialog
alertify.myAlert2 || alertify.dialog('myAlert2', function factory() {
  return {
    main: function (content, title) {
      this.setContent(content);
      this.setHeader(title);

    },
    setup: function () {
      return {
        options: {
          modal: true,
          basic: true,
          maximizable: false,
          resizable: true,
          padding: false,
          maintainFocus: false,
          transition: 'fade',
          autoReset: false,
        }
      };
    }
  };
});

// myAlert dialog
alertify.myAlertNC || alertify.dialog('myAlertNC', function factory() {

  return {
    main: function (content, title) {
      this.setContent(content);
      this.setHeader(title);

      this.set({
        onshow: function () {
          $('#pass').on('input', function () {
            validatePassInputs('pass');
          });
          $('#pass_confirmation').on('input', function () {
            validatePassInputs('pass');
          });
        }
      });
    },
    setup: function () {
      return {
        options: {
          modal: true,
          basic: true,
          maximizable: true,
          resizable: true,
          closable: false,
          padding: false,
          maintainFocus: false,
          transition: 'fade',
          autoReset: false,
        }
      };
    }
  };
});


//custom wrapper to load external contents
alertify.ajaxAlertMyHome = async function (action, var1, var2) {

  // ****************************************
  // DIRECCIONES
  // ****************************************


  if (action == 'reserva_turno') {

    await axios.post('/modals/getReservaTurno', {
      // Variables a pasar aqui jQuery -> Controller
      'id': var1,
      'tipo': var2
    })
      .then((response) => {
        // console.log(response);
        // Tratamos la respuesta recogida desde el controlador
        // EJ :
        ownTitle = "<span class='title-alertify-modal'>Reserva en proceso</span>";
        // console.log(response.data);
        // Ejecutamos la acciones necesarias
        //  EJ :
        alertify.myAlert(response.data, ownTitle).resizeTo('80%', '80%');
        // Mostramos la primera tab-step


        //



        // Agregamos las funcionalidades jQuery o JS necesario para que el modal funcione.
        // $.import_js('js/form-multi2.js');

      },
        (error) => {
          console.log(error);
        }
      );

  } else if (action == 'ver_test') {

    await axios.post('/api/verTest', {
      // Variables a pasar aqui jQuery -> Controller

    })
      .then((response) => {
        // Tratamos la respuesta recogida desde el controlador
        // EJ :
        // ownTitle = "<span class='title-alertify-modal'><i class='fas fa-spell-check'></i>Test de Web Service</span>";




        // Ejecutamos la acciones necesarias
        //  EJ :
        // alertify.myAlert(response.data, ownTitle).resizeTo('80%', '80%');



        // Agregamos las funcionalidades jQuery o JS necesario para que el modal funcione.

      },
        (error) => {
          console.log(error);
        }
      );

  }
  // GET MODAL
  else if (action == 'get_modal') {

    await axios.post('/admin/api/get_modal', {
      // Variables a pasar aqui jQuery -> Controller
      'name': var1,
      'data': var2
    })
      .then((response) => {
        // Tratamos la respuesta recogida desde el controlador
        // EJ :
        ownTitle = "<span class='title-alertify-modal'>" + var2.titulo + "</span>";
        if(var2.is_second) {
          alertify.myAlert2(response.data, ownTitle).resizeTo('70%', '70%');
        } else {
          alertify.myAlert(response.data, ownTitle).resizeTo('80%', '80%');
        }

        // Agregamos las funcionalidades jQuery o JS necesario para que el modal funcione.

        /**
         * OPEN NEW USER
         */

        if (var1 == 'open-new-usuario') {
          $('[data-toggle=tooltip]').tooltip();

          $('input.form-control').on('focus blur', function (e) {
            $(this).parents('.form-group').toggleClass('focused', (e.type === 'focus' || this.value.length > 0));
          }).trigger('blur');

          $('input#primerinicio').on('change', function () {
            if ($(this).is(':checked')) {
              $('.password-div input').prop('type', 'text').val('')
              $('.password-div').hide('slow')
              $('.btn.sender').removeClass('disabled')
            } else {
              $('.password-div').css('display', 'flex')
              $('.password-div input').val('')
              $('.btn.sender').addClass('disabled')
            }
          });

          /**
           * Validamos la contraseña y su confirmación.
           */
          
          $('.password-div input').on('input', function () {
            validatePassInputs('pass').then(result => {
              return;
            }
            );
          });

          
        /**
         * OPEN EDIT USER
         */
        } else if (var1 == 'open-edit-usuario') {
          $('[data-toggle=tooltip]').tooltip();

          $('input.form-control').on('focus blur', function (e) {
            $(this).parents('.form-group').toggleClass('focused', (e.type === 'focus' || this.value.length > 0));
          }).trigger('blur');
        
        /**
        * OPEN NEW ASOCIADO
        */
        } else if (var1 == 'open-new-asociado') {
          $('[data-toggle=tooltip]').tooltip();

          var $catSelect = $('#asociado_cat').selectize({
            plugins: ["remove_button"],
            persist: false
          });
          $('input.form-control').on('focus blur', function (e) {
            $(this).parents('.form-group').toggleClass('focused', (e.type === 'focus' || this.value.length > 0));
          }).trigger('blur');
          var quill1 = new Quill('.text-editor.t1', {
            theme: 'snow'
          });
          var quill2 = new Quill('.text-editor.t2', {
            theme: 'snow'
          });

         /**
         * OPEN EDIT ASOCIADO
         */
        } else if (var1 == 'open-edit-asociado') {
          $('[data-toggle=tooltip]').tooltip();
          let $catSelect = $('#asociado_cat').selectize({
              plugins: ["remove_button"],
              persist: false
          });
          $('input.form-control').on('focus blur', function (e) {
            $(this).parents('.form-group').toggleClass('focused', (e.type === 'focus' || this.value.length > 0));
          }).trigger('blur');
          var quill1 = new Quill('.text-editor.t1', {
            theme: 'snow'
          });
          var quill2 = new Quill('.text-editor.t2', {
            theme: 'snow'
          });

         /**
        * OPEN NEW CATEGORIA ASOCIADO
        */
        } else if (var1 == 'open-new-categoria-asociado') {
          $('[data-toggle=tooltip]').tooltip();

          $('input.form-control').on('focus blur', function (e) {
            $(this).parents('.form-group').toggleClass('focused', (e.type === 'focus' || this.value.length > 0));
          }).trigger('blur');

          var quill3 = new Quill('.text-editor.t3', {
            theme: 'snow'
          });

          if(var2.is_second) {
            var control = $('#asociado_cat')[0].selectize;
            // control.addOption({
            //   value: 10,
            //   text: 'Something New',
            // });
          }

        /**
         * OPEN EDIT FRAME
         */
        } else if (var1 == 'open-edit-frame') {
          $('[data-toggle=tooltip]').tooltip();

          var quill1 = new Quill('.text-editor.t1', {
            theme: 'snow'
          });
        /**
         * OPEN NEW FRAME
         */
        } else if (var1 == 'open-new-frame') {
          $('[data-toggle=tooltip]').tooltip();

          var quill1 = new Quill('.text-editor.t1', {
            theme: 'snow'
          });

        } else if (var1 == 'selector-division') {
          var options = {
            onFocus: function () {
              user_select[0].selectize.clear();
            },
            sortField: "text"
          };
          var user_select = $('#user_select').selectize(options);
        } else if (var1 == 'reservas-user') {
          $(".reservas-user").fancyTable({
            // sortColumn: 2,
            globalSearch: false,
            perPage: 20,
            pagination: true,
            paginationClass: 'btn btn-secundary',
            paginationClassActive: 'btn btn-primary',
            inputPlaceholder: 'Buscar...',
            inputStyle: 'color:rgb(106, 136, 180);font-size:0.8rem;',
            onUpdate: function () {
              // $('.toggleable').hide('fast');
            }
          });

        }
      },
        (error) => {
          console.log(error);
        }
      );
  } //Finishing GET MODALS

  else if (action == 'get_') {

    await axios.post('/admin/api/get_', {
      // Variables a pasar aqui jQuery -> Controller
      'name': var1,
      'data': var2

    })
      .then((response) => {
        // Tratamos la respuesta recogida desde el controlador
        // EJ :
        ownTitle = "<span class='title-alertify-modal'><i class='fas fa-spell-check'></i>Test de Web Service</span>";
        // Ejecutamos la acciones necesarias
        //  EJ :
        alertify.myAlert(response.data, ownTitle).resizeTo('80%', '80%');
        // Agregamos las funcionalidades jQuery o JS necesario para que el modal funcione.
      },
        (error) => {
          console.log(error);
        }
      );
  } //Finishing

}

//  ******************************************************
// FINISH OF REDIRECTING FUNCTIONS
//  ******************************************************************************



//  ******************************************************
// HELPER FUNCTIONS
//  ******************************************************************************

async function sessionarEmpresa(empresa) {
  await axios.post('/api/sessionarEmpresa', {
    // VARS
  })
    .then((response) => {
      // RESPONSE


    },
      (error) => {
        console.log(error);
      }
    );
}
