// myAlert dialog
alertify.myAlert || alertify.dialog('myAlert', function factory() {
return {
  main: function(content, title) {
    this.setContent(content);
    this.setHeader(title);
  },
  setup: function() {
    return {
      options: {
        modal: true,
        basic: true,
        maximizable: true,
        resizable: true,
        padding: false,
        maintainFocus : false
      }
    };
  }
};
});

// myAlert2 dialog
alertify.myAlert2 || alertify.dialog('myAlert2', function factory() {
return {
  main: function(content, title) {
    this.setContent(content);
    this.setHeader(title);

  },
  setup: function() {
    return {
      options: {
        modal: true,
        basic: true,
        maximizable: true,
        resizable: true,
        padding: false,
        maintainFocus : false
      }
    };
  }
};
});

// myAlert dialog
alertify.myAlertNC || alertify.dialog('myAlertNC', function factory() {

return {
  main: function(content, title) {
    this.setContent(content);
    this.setHeader(title);

    this.set({
      onshow:function() {
        $('#pass').on('input', function() {
          validatePassInputs('pass');
        });
        $('#pass_confirmation').on('input', function() {
          validatePassInputs('pass');
        });
      }
    });
  },
  setup: function() {
    return {
      options: {
        modal: true,
        basic: true,
        maximizable: true,
        resizable: true,
        closable:false,
        padding: false,
        maintainFocus : false,
        transition: 'fade',
        autoReset: false,
      }
    };
  }
};
});


//custom wrapper to load external contents
alertify.ajaxAlertMyHome = async function(action, var1, var2) {

  // ****************************************
    // DIRECCIONES
  // ****************************************


    if(action == 'ver_nueva_direccion') {
      await axios.post('/api/verNuevaDireccion', {
            id_usuario : var1
          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-map-marked-alt'></i> Crear nueva Dirección</span>";
                  alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');
                  // alertify.myAlert(response.data, ownTitle);

                  // Funcion que verifica el CP
                  $('form#nueva-direccion input#cpostal').on("input", function() {
                    // Verificamos solo si esta activada la verificacion de CP
                    // if($("input[type=checkbox][id=verificacion_cp]").is(":checked")) {

                      if($('form#nueva-direccion input#cpostal').val().length == 5) {

                          axios.post('/api/getPoblacionFromCP', {
                                cp : $('form#nueva-direccion input#cpostal').val()
                              })
                              .then(
                                (response) => {
                                    if(response.data.poblacion == "none") {
                                            var message = 'El codigo postal introducido no existe en nuestra base de datos.';
                                            var title = 'Aviso :: Codigo postal no reconocido';
                                            var type = 'warning';
                                            showText(message, title, type);
                                    } else {
                                      $('form#nueva-direccion input#poblacion').val(response.data.poblacion);
                                    }
                                  },
                                (error) => {
                                  console.log(error);
                                });

                      } else if($('form#nueva-direccion input#cpostal').val().length == 0) {
                        $('form#nueva-direccion input#poblacion').val("");
                      }
                    // }

                  });

                // Funcion para mostrar internacional
                  // $("input[type=checkbox][id=verificacion_cp]").change(function() {
                  //   if($(this).is(":checked")) {
                  //     $('#nacional').show('slow');
                  //     $('#internacional').hide('fast');
                  //   } else {
                  //     $('#internacional').show('slow');
                  //     $('#nacional').hide('fast');
                  //   }
                  // });
                  //
                  // $('#internacional').hide('fast');
                  // $("input[type=checkbox][id=verificacion_cp]").prop( "checked", true );



              },
              (error) => {
                  console.log(error);
              }
      );

    } else if(action == 'ver_editar_direccion') {

      await axios.post('/api/verEditarDireccion', {
            id_dir : var1
          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-pencil-alt'></i> Editar Dirección</span>";
                  alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');
              },
              (error) => {
                  console.log(error);
              }
      );

    } else if(action == 'ver_editar_usuario') {

      await axios.post('/api/verEditarUsuario', {
            id_user : var1
          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-pencil-alt'></i> Editar Usuario</span>";
                  alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');

                  $('#role').change(function () {
                      // If roles selected GESTION o JDEPART
                      if($(this).val() == 2 || $(this).val() == 3) {
                        $('div.sel-dptos').show();

                        // If JDEPART and no DEPARTAMENTO
                        if(($(this).val() == 2) && ($('#dpto').val() == 'none')) {
                          var message = 'Para crear un Jefe de departamento debe seleccionar un departamento';
                          var title = 'Aviso :: Debe seleccionar departamento';
                          var type = 'warning';
                          showText(message, title, type);
                        }

                      // Ii selected administrador
                      } else if($(this).val() == 1) {
                        $('div.sel-dptos').hide();
                      }
                  });

                  $('#dpto').change(function () {

                      if(($(this).val() == 'none') && ($('#role').val() == 2)) {
                        var message = 'Para crear un Jefe de departamento debe seleccionar un departamento';
                        var title = 'Aviso :: Debe seleccionar departamento';
                        var type = 'warning';
                        showText(message, title, type);
                      }
                  });

              },
              (error) => {
                  console.log(error);
              }
      );

    } else if(action == 'ver_editar_usuario_admin') {

      await axios.post('/api/verEditarUsuarioAdmin', {
            id_user : var1
          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-pencil-alt'></i> Editar Administrador</span>";
                  alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');

              },
              (error) => {
                  console.log(error);
              }
      );

    } else if(action == 'ver_editar_dpto') {

      await axios.post('/api/verEditarDpto', {
            id_dep : var1
          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-pencil-alt'></i> Editar Departamento</span>";
                  alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');
              },
              (error) => {
                  console.log(error);
              }
      );
    } else if(action == 'ver_eliminar_dpto') {

      await axios.post('/api/verEliminarDpto', {
            id_dep : var1
          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-pencil-alt'></i> Eliminar Departamento</span>";
                  alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');
              },
              (error) => {
                  console.log(error);
              }
      );
    } else if(action == 'ver_editar_agencia') {

      await axios.post('/api/verEditarAgencia', {
            cod_age : var1
          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-pencil-alt'></i> Editar Agencia</span>";
                  alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');
              },
              (error) => {
                  console.log(error);
              }
      );

    } else if(action == 'ver_editar_pagina') {

      await axios.post('/api/verEditarPagina', {
            id_pag : var1
          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-pencil-alt'></i> Editar Página</span>";
                  alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');


                  tinymce.init({
                      selector: '#page-content',
                      plugins: 'table wordcount link',
                      menubar: 'file edit insert view format table tools help',
                      toolbar: 'link',
                      height : "640"
                  });

                  $(document).on('focusin', function(e) {
                      if ($(event.target).closest(".tox-dialog").length) {
                          e.stopImmediatePropagation();
                      }
                  });

              },
              (error) => {
                  console.log(error);
              }
      );
    } else if(action == 'ver_editar_cliente') {

      await axios.post('/api/verEditarCliente', {
            id_cli : var1
          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-pencil-alt'></i> Editar Cliente</span>";
                  alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');

                  $('#serv_disponibles').select2();

                  // Bind an event when adding
                  $('#serv_disponibles').on('select2:select', function (e) {
                    $('#serv_default').append(e.params.data.element.outerHTML);
                    return false;
                  });
                  // Bind an event when removing
                  $('#serv_disponibles').on('select2:unselect', function (e) {
                    $('#serv_default option[value="'+e.params.data.id+'"]').remove();
                    return false;
                  });

                  $('#serv_disponibles option:selected').each(function(i, item) {
                    $('#serv_default').append(item.outerHTML);
                  });

                  validarDinapaq();


                  $('#pass_dina').on('change', function() {
                    validarDinapaq();
                  });


                  $('#cod_agencia').on('change', function() {
                    validarDinapaq();
                  });

                  $('#cod_departamento').on('change', function() {
                    validarDinapaq();
                  });

              },
              (error) => {
                  console.log(error);
              }
      );
    } else if(action == 'ver_calles') {

      await axios.post('/api/verCalles', {

          })
          .then((response) => {
                  alertify.myAlert(response.data).resizeTo('80%', '70%');
              },
              (error) => {
                  console.log(error);
              }
      );

    } else if(action == 'ver_nueva_direccion_cli') {

      await axios.post('/api/verNuevaDireccionCli', {
            id_cliente : var1
          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-map-marker-alt'></i>Crear Dirección</span>";
                  alertify.myAlert(response.data, ownTitle).resizeTo('80%', '80%');
              },
              (error) => {
                  console.log(error);
              }
      );

  // ****************************************
    // DESTINATARIO
  // ****************************************

  } else if(action == 'ver_destinatario') {

    await axios.post('/api/verDestinatario', {
          id_destinatario : var1
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Destinatario</span>";
                alertify.myAlert(response.data, ownTitle).resizeTo('80%', '80%');
            },
            (error) => {
                console.log(error);
            }
    );


  } else if(action == 'ver_nuevo_destinatario_cli') {

    await axios.post('/api/verNuevoDestinatarioCli', {
          id_cliente : var1
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Crear Destinatario</span>";
                alertify.myAlert(response.data, ownTitle).resizeTo('80%', '80%');
            },
            (error) => {

                console.log(error);
            }
    );


    // ****************************************
      // ENVIO
    // ****************************************

  } else if(action == 'ver_nuevo_envio') {

    await axios.post('/api/verNuevoEnvio', {
          id_usuario : var1
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Registrar nuevo envio</span>";
                alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');

                //
                // // Funcion que verifica el CP
                // $('form#nuevo-envio input#cpostal').on("input", function() {
                //
                //
                //   if($('form#nuevo-envio input#cpostal').val().length == 5) {
                //
                //       axios.post('/api/getPoblacionFromCP', {
                //             cp : $('form#nuevo-envio input#cpostal').val()
                //           })
                //           .then(
                //             (response) => {
                //                 if(response.data.poblacion == "none") {
                //                         var message = 'El codigo postal introducido no existe en nuestra base de datos.';
                //                         var title = 'Aviso :: Codigo postal no reconocido';
                //                         var type = 'warning';
                //                         showText(message, title, type);
                //                 } else {
                //                   $('form#nuevo-envio input#poblacion').val(response.data.poblacion);
                //                 }
                //
                //               },
                //             (error) => {
                //               console.log(error);
                //             });
                //
                //   } else if($('form#nuevo-envio input#cpostal').val().length == 0) {
                //     $('form#nuevo-envio input#poblacion').val("");
                //   }
                //
                //
                // });

                // Funcion buscar por poblacion
                $('#poblacion').on("input", function() {
                  verBuscarCPWS();
                });

                // Funcion que verifica el CPAIS
                $('form#nuevo-envio input#cpais').on("input", function() {


                  if($('form#nuevo-envio input#cpais').val().length == 3) {

                      axios.post('/api/getPaisFromCP', {
                            cpais : $('form#nuevo-envio input#cpais').val()
                          })
                          .then(
                            (response) => {
                                if(response.data.nomPais == "none") {
                                        var message = 'El codigo postal introducido no existe en nuestra base de datos.';
                                        var title = 'Aviso :: Codigo de país no reconocido';
                                        var type = 'warning';
                                        showText(message, title, type);
                                } else {
                                  $('form#nuevo-envio input#nom_pais').val(response.data.nomPais);
                                }

                              },
                            (error) => {
                              console.log(error);
                            });

                  } else if($('form#nuevo-envio input#cpais').val().length == 0) {
                    $('form#nuevo-envio input#nom_pais').val("");
                  }


                });

            },
            (error) => {
                console.log(error);
            }

    );


  } else if(action == 'ver_editar_envio') {

    await axios.post('/api/verEditarEnvio', {
          id_envio : var1
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Editar envio</span>";
                alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');


                  // Funcion que verifica el CP
                  $('form#nuevo-envio input#cpostal').on("input", function() {

                    if($('form#nuevo-envio input#cpostal').val().length == 5) {

                        axios.post('/api/getPoblacionFromCP', {
                              cp : $('form#nuevo-envio input#cpostal').val()
                            })
                            .then(
                              (response) => {
                                  if(response.data.poblacion == "none") {
                                          var message = 'El codigo postal introducido no existe en nuestra base de datos.';
                                          var title = 'Aviso :: Codigo postal no reconocido';
                                          var type = 'warning';
                                          showText(message, title, type);
                                  } else {
                                    $('form#nuevo-envio input#poblacion').val(response.data.poblacion);
                                  }

                                },
                              (error) => {
                                console.log(error);
                              });

                    } else if($('form#nuevo-envio input#cpostal').val().length == 0) {
                      $('form#nuevo-envio input#poblacion').val("");
                    }
                    isKm0();
                  });

                  // Funcion que verifica los servicios y nos dice si es internacional
                  $('form#nuevo-envio #tiposervicio').change(function() {

                    if($(this).val() == '90' || $(this).val() == '91' || $(this).val() == '92') {
                      // Show internacional
                      $('.div_internacional').show('slow');
                      // Cambios en campos normales
                      $('#peso').val('0.100');
                      $('#reembolso').val('0.00');
                      $('#conacuse').attr('checked', false);
                      $('#reembolso_div').hide('fast');
                      $('#conacuse').hide('fast');
                      $('#contenido').show('slow');
                      // Cambios en campos cpostal y poblacion
                      $('#cpostal').val('0');
                      $('#poblacion').val('0');
                      $('.cpostal_nacional').hide('fast');
                      addSearch();

                    } else {

                      $('.cpostal_nacional').show('slow');
                      // $('#cpostal').val('');
                      // $('#poblacion').val('');
                      $('.div_internacional').hide('fast');
                      $('#reembolso_div').show('slow');
                      $('#conacuse').show('slow');
                      $('#contenido').hide('fast');
                    }
                  });

                  if($('form#nuevo-envio #cpais').val() == 'ES') {
                    $('.div_internacional').hide('fast');
                    $('#nom_pob_internacional').val('');
                    $('#cp_internacional').val('');
                    $('#cpais').val('');
                  } else {
                    $('.div_internacional').show('slow');
                  }

                  isKm0();
                  $('.div_internacional').hide('fast');


                var select = $('#cod_departamento_sel').selectize({
                  persist: false,
                });

                $('#cod_departamento_sel').on("click", function () {
                    var product_selectize = select[0].selectize;
                    product_selectize.clear();
                });


                function addSearch() {

                  // Funcion que verifica el CPAIS
                  $('form#nuevo-envio input#cpais').on("input", function() {


                    if($('form#nuevo-envio input#cpais').val().length >= 2) {

                        axios.post('/api/getPaisFromCP', {
                              cpais : $('form#nuevo-envio input#cpais').val()
                            })
                            .then(
                              (response) => {
                                  if(response.data.nom_pais == "none") {
                                          var message = 'El codigo postal introducido no existe en nuestra base de datos.';
                                          var title = 'Aviso :: Codigo de país no reconocido';
                                          var type = 'warning';
                                          showText(message, title, type);
                                  } else {
                                    $('form#nuevo-envio input#nom_pais').val(response.data.Nom_pais);
                                  }

                                },
                              (error) => {
                                console.log(error);
                              });

                    } else if($('form#nuevo-envio input#cpais').val().length == 0) {
                      $('form#nuevo-envio input#nom_pais').val("");
                    }


                  });
                }


                // });

            },
            (error) => {
                console.log(error);
            }
    );

    // ****************************************
      // AGENCIAS
    // ****************************************

  } else if(action == 'ver_nueva_agencia') {

    await axios.post('/api/verNuevaAgencia', {

        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Registrar nueva agencia</span>";
                alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');
                // alertify.myAlertNC(response.data, ownTitle);
            },
            (error) => {
                console.log(error);
            }
    );


    // ****************************************
      // DEPARTAMENTO
    // ****************************************

  } else if(action == 'ver_nuevo_dprto') {

    await axios.post('/api/verNuevoDprto', {
          id_cliente : var1
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-bezier-curve'></i> Registrar nuevo departamento</span>";
                alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');
            },
            (error) => {
                console.log(error);
            }
    );

    // ****************************************
      // CLIENTES
    // ****************************************
  // } else if(action == 'ver_nuevo_cliente') {
  //
  //     await axios.post('/api/verNuevoCliente', {
  //
  //         })
  //         .then((response) => {
  //                 ownTitle = "<span class='title-alertify-modal'><i class='fas fa-store-alt'></i> Registrar nuevo cliente</span>";
  //                 alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');
  //
  //             },
  //             (error) => {
  //                 console.log(error);
  //             }
  //     );
  } else if(action == 'ver_nuevo_cliente_admin') {

      await axios.post('/api/verNuevoClienteAdmin', {

          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-store-alt'></i> Registrar nuevo cliente</span>";
                  alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');

                  $('#serv_disponibles').select2();

                  // Bind an event when adding
                  $('#serv_disponibles').on('select2:select', function (e) {
                    $('#serv_default').append(e.params.data.element.outerHTML);
                    return false;
                  });
                  // Bind an event when removing
                  $('#serv_disponibles').on('select2:unselect', function (e) {
                    $('#serv_default option[value="'+e.params.data.id+'"]').remove();
                    return false;
                  });

                  $('#pass_dina').on('change', function() {
                    validarDinapaq();
                  });

                  $('#cod_agencia').on('change', function() {
                    validarDinapaq();
                  });

                  $('#cod_departamento').on('change', function() {
                    validarDinapaq();
                  });

                  $('#nombre_usuario').on('change', function() {
                    var p1 = document.getElementById("nombre_usuario").value;  //tomamos en una variable lo ingresado en el login nombre

                    var noValido = /\s/;

                    if(noValido.test(p1)){ // se chequea el regex de que el string no tenga espacio
                         $('#save-cliente').prop('disabled', true);
                         $(this).val('');
                         toastr.error('El nombre no puede contener espacios en blanco.', 'ESPACIOS EN BLANCO DETECTADOS');
                        return false;
                    } else {
                      $('#save-cliente').prop('disabled', '');
                      return false;
                    }
                  });
              },
              (error) => {
                  console.log(error);
              }
      );

  } else if(action == 'ver_nuevo_cliente_dpto') {

      await axios.post('/api/verNuevoClienteDpto', {

          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-store-alt'></i> Registrar nuevo cliente</span>";
                  alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');

              },
              (error) => {
                  console.log(error);
              }
      );
  } else if(action == 'ver_nuevo_cliente_gestion') {

      await axios.post('/api/verNuevoClienteGestion', {

          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-store-alt'></i> Registrar nuevo cliente</span>";
                  alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');

              },
              (error) => {
                  console.log(error);
              }
      );

  } else if(action == 'ver_nuevo_envio_cli') {

    await axios.post('/api/verNuevoEnvioCli', {
          id_cliente : var1
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Registrar nuevo envio</span>";
                alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');


                // // Funcion que verifica el CP
                // $('form#nuevo-envio input#cpostal').on("input", function() {
                //
                //   if($('form#nuevo-envio input#cpostal').val().length == 5) {
                //
                //       axios.post('/api/getPoblacionFromCP', {
                //             cp : $('form#nuevo-envio input#cpostal').val()
                //           })
                //           .then(
                //             (response) => {
                //                 if(response.data.poblacion == "none") {
                //                         var message = 'El codigo postal introducido no existe en nuestra base de datos.';
                //                         var title = 'Aviso :: Codigo postal no reconocido';
                //                         var type = 'warning';
                //                         showText(message, title, type);
                //                 } else {
                //                   $('form#nuevo-envio input#poblacion').val(response.data.poblacion);
                //                 }
                //
                //               },
                //             (error) => {
                //               console.log(error);
                //             });
                //
                //   } else if($('form#nuevo-envio input#cpostal').val().length == 0) {
                //     $('form#nuevo-envio input#poblacion').val("");
                //   }
                //   isKm0();
                // });

                // $('form#nuevo-envio input#poblacion_new').on("input", function() {
                //   verBuscarCPWS();
                // });
                //
                // $('form#nuevo-envio input#cpostal_new').on("input", function() {
                //   verBuscarCPWS();
                // });

                $('form#nuevo-envio input#poblacion_new').on("change", function() {
                  verBuscarCPWS();
                });

                $('form#nuevo-envio input#cpostal_new').on("change", function() {
                  verBuscarCPWS();
                });

                $('select#sel-cpostal').on("input", function() {
                  var splitted = $(this).val().split(' -- ');
                  var cp = splitted[0];
                  var pob = splitted[1];
                  asignarCPyPob(cp, pob);
                });



                // Funcion que verifica los servicios y nos dice si es internacional
                $('form#nuevo-envio #tiposervicio').change(function() {

                  if($(this).val() == '90' || $(this).val() == '91' || $(this).val() == '92') {
                    // Show internacional
                    $('.div_internacional').show('slow');
                    // Cambios en campos normales
                    $('#peso').val('0.100');
                    $('#reembolso').val('0.00');
                    $('#conacuse').attr('checked', false);
                    $('#reembolso_div').hide('fast');
                    $('#conacuse').hide('fast');
                    $('#contenido').show('slow');
                    // Cambios en campos cpostal y poblacion
                    $('#cpostal').val('0');
                    $('#poblacion').val('0');
                    $('.cpostal_nacional').hide('fast');
                    addSearch();

                  } else {
                    $('.cpostal_nacional').show('slow');
                    $('#cpostal').val('');
                    $('#poblacion').val('');
                    $('.div_internacional').hide('fast');
                    $('#reembolso_div').show('slow');
                    $('#conacuse').show('slow');
                    $('#contenido').hide('fast');
                  }
                });

                // if($(this).val() == '90' || $(this).val() == '91' || $(this).val() == '92') {
                //   // $('.div_internacional').hide('fast');
                // } else {
                // }

                $('.div_internacional').hide('fast');

                var select = $('#cod_departamento_sel').selectize({
                  persist: false,
                });

                $('#cod_departamento_sel').on("click", function () {
                    var product_selectize = select[0].selectize;
                    product_selectize.clear();
                });

                function addSearch() {

                  // Funcion que verifica el CPAIS
                  $('form#nuevo-envio input#cpais').on("input", function() {


                    if($('form#nuevo-envio input#cpais').val().length >= 2) {

                        axios.post('/api/getPaisFromCP', {
                              cpais : $('form#nuevo-envio input#cpais').val()
                            })
                            .then(
                              (response) => {
                                  if(response.data.nom_pais == "none") {
                                          var message = 'El codigo postal introducido no existe en nuestra base de datos.';
                                          var title = 'Aviso :: Codigo de país no reconocido';
                                          var type = 'warning';
                                          showText(message, title, type);
                                  } else {
                                    $('form#nuevo-envio input#nom_pais').val(response.data.Nom_pais);
                                  }

                                },
                              (error) => {
                                console.log(error);
                              });

                    } else if($('form#nuevo-envio input#cpais').val().length == 0) {
                      $('form#nuevo-envio input#nom_pais').val("");
                    }


                  });
                }

            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_nuevo_usuario') {

    await axios.post('/api/verNuevoUsuario', {
          id_cliente : var1
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Registrar nuevo usuario</span>";
                alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');

                $('#role').change(function () {
                    // If roles selected GESTION o JDEPART
                    if($(this).val() == 2 || $(this).val() == 3) {
                      $('div.sel-dptos').show();

                      // If JDEPART and no DEPARTAMENTO
                      if(($(this).val() == 2) && ($('#dpto').val() == 'none')) {
                        var message = 'Para crear un Jefe de departamento debe seleccionar un departamento';
                        var title = 'Aviso :: Debe seleccionar departamento';
                        var type = 'warning';
                        showText(message, title, type);
                      }

                    // Ii selected administrador
                    } else if($(this).val() == 1) {
                      $('div.sel-dptos').hide();
                    }
                });

                $('#dpto').change(function () {

                    if(($(this).val() == 'none') && ($('#role').val() == 2)) {
                      var message = 'Para crear un Jefe de departamento debe seleccionar un departamento';
                      var title = 'Aviso :: Debe seleccionar departamento';
                      var type = 'warning';
                      showText(message, title, type);
                    }
                });

            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_nuevo_usuario_cli') {

    await axios.post('/api/verNuevoUsuarioCli', {
      id_cliente : var1
    })
    .then((response) => {

        ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Registrar nuevo usuario</span>";
        alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');

        $('#role').change(function () {
          // If roles selected GESTION o JDEPART
          if($(this).val() == 2 || $(this).val() == 3) {
            $('div.sel-dptos').show();

            $('#dpto option[value="none"]').select();

            // If JDEPART and no DEPARTAMENTO
            if(($(this).val() == 2) && ($('#dpto').val() == 'none')) {
              var message = 'Para crear un Jefe de departamento debe seleccionar un departamento';
              var title = 'Aviso :: Debe seleccionar departamento';
              var type = 'warning';
              showText(message, title, type);
            }

            // Ii selected administrador
          } else if($(this).val() == 1) {
            $('div.sel-dptos').hide();
          }
        });

        $('#dpto').change(function () {

          if(($(this).val() == 'none') && ($('#role').val() == 2)) {
            var message = 'Para crear un Jefe de departamento debe seleccionar un departamento';
            var title = 'Aviso :: Debe seleccionar departamento';
            var type = 'warning';
            showText(message, title, type);
          }
        });


    },
    (error) => {
      console.log(error);
    }
  );
} else if(action == 'ver_nuevo_admin') {

    await axios.post('/api/verNuevoAdmin', {

    })
    .then((response) => {
      ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Registrar nuevo administrador</span>";
      alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');


    },
    (error) => {
      console.log(error);
    }
  );

  } else if(action == 'ver_buscar_cliente') {

    await axios.post('/api/verBuscarCliente', {

        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Cliente</span>";
                alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');

                $("#table-clientes").fancyTable({
                    sortColumn: 0,
                    globalSearch: true,
                    perPage: 25,
                    pagination: true,
                    paginationClass : 'btn btn-secundary btn-pagination',
                    paginationClassActive : 'btn btn-primary',
                    inputPlaceholder: 'Buscar...',
                    inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
                    onUpdate: function() {
                      // $('.toggleable').hide('fast');
                    }
                });

            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_sel_cli') {

    await axios.post('/api/verBuscarClienteNuevoEnvio', {
          going_to : var1
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Cliente</span>";
                alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');

                $("#table-clientes").fancyTable({
                    sortColumn: 0,
                    globalSearch: true,
                    perPage: 25,
                    pagination: true,
                    paginationClass : 'btn btn-secundary btn-pagination',
                    paginationClassActive : 'btn btn-primary',
                    inputPlaceholder: 'Buscar...',
                    inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
                    onUpdate: function() {
                      // $('.toggleable').hide('fast');
                    }
                });

            },
            (error) => {
                console.log(error);
            }
    );
  } else if(action == 'ver_buscar_cliente_destinatario') {

    await axios.post('/api/verBuscarClienteDestinatario', {

        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Cliente</span>";
                alertify.myAlert(response.data, ownTitle).resizeTo('80%', '80%');

                $("#table-clientes").fancyTable({
                    sortColumn: 0,
                    globalSearch: true,
                    perPage: 25,
                    pagination: true,
                    paginationClass : 'btn btn-secundary btn-pagination',
                    paginationClassActive : 'btn btn-primary',
                    inputPlaceholder: 'Buscar...',
                    inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
                    onUpdate: function() {
                      // $('.toggleable').hide('fast');
                    }
                });

            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_buscar_cliente_direccion') {

    await axios.post('/api/verBuscarClienteDireccion', {

        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Cliente</span>";
                alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');

                $("#table-clientes").fancyTable({
                    sortColumn: 0,
                    globalSearch: true,
                    perPage: 25,
                    pagination: true,
                    paginationClass : 'btn btn-secundary btn-pagination',
                    paginationClassActive : 'btn btn-primary',
                    inputPlaceholder: 'Buscar...',
                    inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
                    onUpdate: function() {
                      // $('.toggleable').hide('fast');
                    }
                });

            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_buscar_cliente_usuario') {

    await axios.post('/api/verBuscarClienteUsuario', {

        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Cliente</span>";
                alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');

                $("#table-clientes").fancyTable({
                    sortColumn: 0,
                    globalSearch: true,
                    perPage: 25,
                    pagination: true,
                    paginationClass : 'btn btn-secundary btn-pagination',
                    paginationClassActive : 'btn btn-primary',
                    inputPlaceholder: 'Buscar...',
                    inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
                    onUpdate: function() {
                      // $('.toggleable').hide('fast');
                    }
                });

            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_buscar_cliente_dpto') {

    await axios.post('/api/verBuscarClienteDpto', {

        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Cliente</span>";
                alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');

                $("#table-clientes").fancyTable({
                    sortColumn: 0,
                    globalSearch: true,
                    perPage: 25,
                    pagination: true,
                    paginationClass : 'btn btn-secundary btn-pagination',
                    paginationClassActive : 'btn btn-primary',
                    inputPlaceholder: 'Buscar...',
                    inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
                    onUpdate: function() {
                      // $('.toggleable').hide('fast');
                    }
                });

            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_buscar_empresa') {

    await axios.post('/api/verBuscarEmpresa', {
          empresa : $('form#nuevo-envio input#codigo_emp').val()
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Empresa de destinatario</span>";
                alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');

                $("#table-destinatarios").fancyTable({
                    sortColumn: 0,
                    globalSearch: true,
                    perPage: 25,
                    pagination: true,
                    paginationClass : 'btn btn-secundary btn-pagination',
                    paginationClassActive : 'btn btn-primary',
                    inputPlaceholder: 'Buscar...',
                    inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
                    onUpdate: function() {
                      // $('.toggleable').hide('fast');
                    }
                });

            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_buscar_cpais') {

    await axios.post('/api/verBuscarCPais', {
      cpais : $('form#nuevo-envio input#cpostal').val()
    })
    .then((response) => {
      ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar pais</span>";
      alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');
      //
      $("#table-destinatarios").fancyTable({
            sortColumn: 0,
            globalSearch: true,
            perPage: 25,
            pagination: true,
            paginationClass : 'btn btn-secundary btn-pagination',
            paginationClassActive : 'btn btn-primary',
            inputPlaceholder: 'Buscar...',
            inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
            onUpdate: function() {
                // $('.toggleable').hide('fast');
              }
          });


        },
        (error) => {
          console.log(error);
        }
      );

  } else if(action == 'ver_buscar_cpostal') {

    await axios.post('/api/verBuscarCPostal', {
          pob : $('form#nuevo-envio input#poblacion').val(),
          cp : $('form#nuevo-envio input#cpostal').val()
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Código postal</span>";
                alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');


            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_buscar_cpostal_ws') {

    await axios.post('/api/verBuscarCPostalWS', {
          pob : $('form#nuevo-envio input#poblacion').val(),
          cp : $('form#nuevo-envio input#cpostal').val()
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Código postal</span>";
                alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');

            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_buscar_cpostal_direccion') {

    await axios.post('/api/verBuscarCPostalDireccion', {
          pob : $('form#nueva-direccion input#poblacion').val(),
          cp : $('form#nueva-direccion input#cpostal').val()
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Código postal</span>";
                alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');

                $("#table-destinatarios").fancyTable({
                    sortColumn: 0,
                    globalSearch: true,
                    perPage: 25,
                    pagination: true,
                    paginationClass : 'btn btn-secundary btn-pagination',
                    paginationClassActive : 'btn btn-primary',
                    inputPlaceholder: 'Buscar...',
                    inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
                    onUpdate: function() {
                      // $('.toggleable').hide('fast');
                    }
                });

            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_buscar_cpostal_recogida_rem') {

    await axios.post('/api/verBuscarCPostalRecogidaRem', {
          pob : $('form#nueva-recogida input#poblacion_rem').val(),
          cp : $('form#nueva-recogida input#cpostal_rem').val()
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Código postal</span>";
                alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');

                $("#table-destinatarios").fancyTable({
                    sortColumn: 0,
                    globalSearch: true,
                    perPage: 25,
                    pagination: true,
                    paginationClass : 'btn btn-secundary btn-pagination',
                    paginationClassActive : 'btn btn-primary',
                    inputPlaceholder: 'Buscar...',
                    inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
                    onUpdate: function() {
                      // $('.toggleable').hide('fast');
                    }
                });

            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_buscar_cpostal_recogida_dest') {

    await axios.post('/api/verBuscarCPostalRecogidaDest', {
          pob : $('form#nueva-recogida input#poblacion_dest').val(),
          cp : $('form#nueva-recogida input#cpostal_dest').val()
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Código postal</span>";
                alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');

                $("#table-destinatarios").fancyTable({
                    sortColumn: 0,
                    globalSearch: true,
                    perPage: 25,
                    pagination: true,
                    paginationClass : 'btn btn-secundary btn-pagination',
                    paginationClassActive : 'btn btn-primary',
                    inputPlaceholder: 'Buscar...',
                    inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
                    onUpdate: function() {
                      // $('.toggleable').hide('fast');
                    }
                });

            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_buscar_destinatario_direccion') {

      await axios.post('/api/verBuscarDestinatarioDireccion', {
            cliente_id : var1
          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Destinatario</span>";
                  alertify.myAlert(response.data, ownTitle).resizeTo('80%', '80%');

                  $("#table-destinatarios").fancyTable({
                      sortColumn: 0,
                      globalSearch: true,
                      perPage: 25,
                      pagination: true,
                      paginationClass : 'btn btn-secundary btn-pagination',
                      paginationClassActive : 'btn btn-primary',
                      inputPlaceholder: 'Buscar...',
                      inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
                      onUpdate: function() {
                        // $('.toggleable').hide('fast');
                      }
                  });

              },
              (error) => {
                  console.log(error);
              }
      );

  } else if(action == 'ver_nuevo_aviso_recogida') {

      await axios.post('/api/verNuevoAvisoRecogida', {
            // cliente_id : var1
          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-bell'></i> Aviso de Recogida</span>";
                  alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');

              },
              (error) => {
                  console.log(error);
              }
      );

  } else if(action == 'ver_nueva_recogida') {

      await axios.post('/api/verNuevaRecogida', {
            // cliente_id : var1
          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-truck'></i> Solicitar nueva recogida</span>";
                  alertify.myAlertNC(response.data, ownTitle).resizeTo('80%', '80%');

                  // Funcion que verifica el CP Remitente
                  // $('form#nueva-recogida input#cpostal_rem').on("input", function() {
                  //
                  //   if($('form#nueva-recogida input#cpostal_rem').val().length == 5) {
                  //
                  //       axios.post('/api/getPoblacionFromCP', {
                  //             cp : $('form#nueva-recogida input#cpostal_rem').val()
                  //           })
                  //           .then(
                  //             (response) => {
                  //                 if(response.data.poblacion == "none") {
                  //                         var message = 'El codigo postal introducido no existe en nuestra base de datos.';
                  //                         var title = 'Aviso :: Codigo postal no reconocido';
                  //                         var type = 'warning';
                  //                         showText(message, title, type);
                  //                 } else {
                  //                   $('form#nueva-recogida input#poblacion_rem').val(response.data.poblacion);
                  //                 }
                  //               },
                  //             (error) => {
                  //               console.log(error);
                  //             });
                  //
                  //   } else if($('form#nueva-recogida input#cpostal_rem').val().length == 0) {
                  //     $('form#nueva-recogida input#poblacion_rem').val("");
                  //   }
                  // });


                    // $('input#poblacion_new').on("input", function() {
                    //   verBuscarCPWS();
                    // });

                    // $('input#cpostal_new').on("input", function() {
                    //   console.log('inside');
                    //   verBuscarCPWS();
                    // });

                    // Envio
                    $('input#poblacion_new').on("change", function() {
                      verBuscarCPWS();
                    });

                    $('input#cpostal_new').on("change", function() {
                      verBuscarCPWS();
                    });

                    $('select#sel-cpostal').on("change", function() {
                      var splitted = $(this).val().split(' -- ');
                      var cp = splitted[0];
                      var pob = splitted[1];
                      asignarCPyPob(cp, pob);
                    });

                    // Recogida Remitente
                    $('input#poblacion_new_rem').on("change", function() {
                      verBuscarCPWSRem();
                    });

                    $('input#cpostal_new_rem').on("change", function() {
                      verBuscarCPWSRem();
                    });

                    $('select#sel-cpostal_rem').on("change", function() {
                      var splitted = $(this).val().split(' -- ');
                      var cp = splitted[0];
                      var pob = splitted[1];
                      asignarCPyPobRem(cp, pob);
                    });

                    // Recogida Destinatario
                    $('input#poblacion_new_dest').on("change", function() {
                      verBuscarCPWSDest();
                    });

                    $('input#cpostal_new_dest').on("change", function() {
                      verBuscarCPWSDest();
                    });

                    $('select#sel-cpostal_dest').on("change", function() {
                      var splitted = $(this).val().split(' -- ');
                      var cp = splitted[0];
                      var pob = splitted[1];
                      asignarCPyPobDest(cp, pob);
                    });



                  // // Funcion que verifica el CP Destinatario
                  // $('form#nueva-recogida input#cpostal_dest').on("input", function() {
                  //
                  //   if($('form#nueva-recogida input#cpostal_dest').val().length == 5) {
                  //
                  //       axios.post('/api/getPoblacionFromCP', {
                  //             cp : $('form#nueva-recogida input#cpostal_dest').val()
                  //           })
                  //           .then(
                  //             (response) => {
                  //                 if(response.data.poblacion == "none") {
                  //                         var message = 'El codigo postal introducido no existe en nuestra base de datos.';
                  //                         var title = 'Aviso :: Codigo postal no reconocido';
                  //                         var type = 'warning';
                  //                         showText(message, title, type);
                  //                 } else {
                  //                   $('form#nueva-recogida input#poblacion_dest').val(response.data.poblacion);
                  //                 }
                  //               },
                  //             (error) => {
                  //               console.log(error);
                  //             });
                  //
                  //   } else if($('form#nueva-recogida input#cpostal_dest').val().length == 0) {
                  //     $('form#nueva-recogida input#poblacion_dest').val("");
                  //   }
                  // });

              },
              (error) => {
                  console.log(error);
              }
      );

  } else if(action == 'ver_buscar_direccion') {

    await axios.post('/api/verBuscarDireccion', {
          codigo_dir : $('form#nuevo-envio input#direccion_dest').val(),
          empresa : $('form#nuevo-envio input#codigo_emp').val()
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Direccion</span>";
                alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');

                $("#table-destinatarios").fancyTable({
                    sortColumn: 0,
                    globalSearch: true,
                    perPage: 25,
                    pagination: true,
                    paginationClass : 'btn btn-secundary btn-pagination',
                    paginationClassActive : 'btn btn-primary',
                    inputPlaceholder: 'Buscar...',
                    inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
                    onUpdate: function() {
                      // $('.toggleable').hide('fast');
                    }
                });

            },
            (error) => {
                console.log(error);
            }
    );
  } else if(action == 'ver_buscar_direccion_recogida_rem') {

    await axios.post('/api/verBuscarDireccionRecogidaRem', {
          codigo_dir : $('form#nueva-recogida input#direccion_rem').val(),
          empresa : $('form#nueva-recogida input#codigo_emp_rem').val()
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Direccion</span>";
                alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');

                $("#table-destinatarios").fancyTable({
                    sortColumn: 0,
                    globalSearch: true,
                    perPage: 25,
                    pagination: true,
                    paginationClass : 'btn btn-secundary btn-pagination',
                    paginationClassActive : 'btn btn-primary',
                    inputPlaceholder: 'Buscar...',
                    inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
                    onUpdate: function() {
                      // $('.toggleable').hide('fast');
                    }
                });

            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_buscar_direccion_recogida_dest') {

    await axios.post('/api/verBuscarDireccionRecogidaDest', {
          codigo_dir : $('form#nueva-recogida input#direccion_dest').val(),
          empresa : $('form#nueva-recogida input#codigo_emp_dest').val()
        })
        .then((response) => {
                ownTitle = "<span class='title-alertify-modal'><i class='fas fa-user-tag'></i> Seleccionar Direccion</span>";
                alertify.myAlert2(response.data, ownTitle).resizeTo('80%', '80%');

                $("#table-destinatarios").fancyTable({
                    sortColumn: 0,
                    globalSearch: true,
                    perPage: 25,
                    pagination: true,
                    paginationClass : 'btn btn-secundary btn-pagination',
                    paginationClassActive : 'btn btn-primary',
                    inputPlaceholder: 'Buscar...',
                    inputStyle: 'border:0px solid rgba(255, 255, 255, 1)!important;',
                    onUpdate: function() {
                      // $('.toggleable').hide('fast');
                    }
                });

            },
            (error) => {
                console.log(error);
            }
    );

  } else if(action == 'ver_test_login') {

      await axios.post('/api/verTestLogin', {

          })
          .then((response) => {
                  ownTitle = "<span class='title-alertify-modal'><i class='fas fa-spell-check'></i>Test de Web Service</span>";
                  alertify.myAlert(response.data, ownTitle).resizeTo('80%', '80%');

              },
              (error) => {
                  console.log(error);
              }
      );

  }

  //  *************************************************
  // SIEMPRE QUE SE CARGUE UN MODAL
  // **********************************

  // ***********************************************************************************

  // Validamos nombre usuario no contiene espacios
  let actual = $('#nombre_usuario').val();

  $('#nombre_usuario').on('change', function() {
    var p1 = document.getElementById("nombre_usuario").value;  //tomamos en una variable lo ingresado en el login nombre

    var noValido = /\s/;

    if(noValido.test(p1)){ // se chequea el regex de que el string no tenga espacio
         $('#save-cliente').prop('disabled', true);
          if(!$(this).hasClass('edit')) {
            $(this).val('');
          } else {
            $(this).val(actual);
          }
         toastr.error('El nombre no puede contener espacios en blanco.', 'ESPACIOS EN BLANCO DETECTADOS');
        return false;
    } else {
      $('#save-cliente').prop('disabled', '');
      return false;
    }
  });


  // Validamos la contraseña y su confirmación.

  $('#pass').on('input', function() {
    validatePassInputs('pass').then(result => {
        if(result) {
          $('#save-cliente').prop('disabled', '');
        } else {
          $('#save-cliente').prop('disabled', true);
        }
      }
    );

  });
  $('#pass_confirmation').on('input', function() {
    validatePassInputs('pass').then(result => {
        if(result) {
          $('#save-cliente').prop('disabled', '');
        } else {
          $('#save-cliente').prop('disabled', true);
        }
      }
    );
  });

  //  Comprobamos el estado del check para ambiar contraseña en próximo acceso
  $('#cambiar_pass').on('change', function() {
    if($(this).prop('checked') == true) {
      $('#pass').val('');
      $('#pass_confirmation').val('');
      $('.pass-comp').hide();
      $('.display-errors').html('');
      $('button#guardar-button').prop('disabled', '');
    } else {
      $('.pass-comp').show();
      validatePassInputs('pass').then(result => {
          if(result) {
            $('#save-cliente').prop('disabled', '');
          } else {
            $('#save-cliente').prop('disabled', true);
          }

      });
    }
  });

  if($('#cambiar_pass').prop('checked') == true ) {
    $('.pass-comp').hide();
  }

}
//  ******************************************************
// FINISH OF REDIRECTING FUNCTIONS
//  ******************************************************************************


  async function sessionarCliente(id) {
    await axios.post('/api/sessionarCliente', {
          id_cliente : id
        })
        .then((response) => {

          // Agregamos los datos del cliente recien cargado a sus campos.

          var cli = response.data.cliente;

          $('form#nuevo-envio input#nom_cliente').val(cli.RECO_NOMORI);
          $('form#nuevo-envio input#cod_cliente').val(cli.CODCLI);
          $('form#nuevo-envio input#cod_agencia').val(cli.CODAGE);
          $('form#nuevo-envio input#cod_agencia_ori').val(cli.CODAGEORI);
          $('form#nuevo-envio input#cod_departamento').val(cli.CODDEP);

          // Agregamos los servicios del cliente al select.
          $('select#tiposervicio').empty();
          var tipoServ = $('select#tiposervicio');

          $.each(response.data.servicios, function (i, item) {
              tipoServ.append($('<option>', {
                  value: item.CODSER,
                  text : item.NOMSER
              }));
          });

            alertify.myAlert2().close();
            },
            (error) => {
                console.log(error);
            }
    );
  }

  async function sessionarClienteGoing(id, destino) {
    await axios.post('/api/sessionarCliente', {
          id_cliente : id
        })
        .then((response) => {

          // Agregamos los datos del cliente recien cargado a sus campos.

          var cli = response.data.cliente;

          // verNuevoEnvioCli(cli.IDCLI);
            alertify.ajaxAlertMyHome(destino, cli.IDCLI, null);
            alertify.myAlert2().close();
            },
            (error) => {
                console.log(error);
            }
    );
  }

  async function sessionarClienteUsuario(id) {
    await axios.post('/api/sessionarCliente', {
          id_cliente : id
        })
        .then((response) => {

          // Agregamos los datos del cliente recien cargado a sus campos.

          var cli = response.data.cliente;

          $('form#nuevo-usuario input#nom_cliente').val(cli.RECO_NOMORI);
          $('form#nuevo-usuario input#compid_cliente').val(cli.IDCLI);
          $('form#nuevo-usuario input#cod_cliente').val(cli.CODCLI);
          $('form#nuevo-usuario input#cod_agencia').val(cli.CODAGE);
          $('form#nuevo-usuario input#cod_agencia_ori').val(cli.CODAGEORI);
          $('form#nuevo-usuario input#cod_departamento').val(cli.CODDEP);

            alertify.myAlert2().close();
            },
            (error) => {
                console.log(error);
            }
    );
  }

  async function sessionarClienteDpto(id) {
    await axios.post('/api/sessionarCliente', {
          id_cliente : id
        })
        .then((response) => {

          // Agregamos los datos del cliente recien cargado a sus campos.

          var cli = response.data.cliente;

          $('form#nuevo-departamento input#nom_cliente').val(cli.RECO_NOMORI);
          $('form#nuevo-departamento input#id_cliente').val(cli.IDCLI);
          $('form#nuevo-departamento input#cod_cliente').val(cli.CODCLI);
          $('form#nuevo-departamento input#cod_agencia').val(cli.CODAGE);
          $('form#nuevo-departamento input#cod_agencia_ori').val(cli.CODAGEORI);
          $('form#nuevo-departamento input#cod_departamento').val(cli.CODDEP);

            alertify.myAlert2().close();
            },
            (error) => {
                console.log(error);
            }
    );
  }


  async function sessionarDireccion(id, url, title, icon) {
    await axios.post('/api/sessionarDireccion', {
          id_direccion : id,
        })
        .then((response) => {
            var dir = response.data.direccion;

            $('form#nuevo-envio input#telefono').val(dir.telefono);
            $('form#nuevo-envio input#poblacion_new').val(dir.poblacion);
            $('form#nuevo-envio input#cpostal_new').val(dir.cpostal);
            $('form#nuevo-envio input#direccion1').val(dir.tipovia);
            $('form#nuevo-envio input#direccion2').val(dir.direccion);
            $('form#nuevo-envio input#numero').val(dir.numero);
            $('form#nuevo-envio input#piso').val(dir.piso);
            $('form#nuevo-envio input#demail').val(dir.email);
            $('form#nuevo-envio input#percnt').val(dir.percontacto);

            $('form#nuevo-envio input#codigo_emp').val(dir.codemp);
            $('form#nuevo-envio input#direccion_dest').val(dir.destinatario);
            $('form#nuevo-envio input#iddir').val(id);


            alertify.myAlert2().close();
            isKm0();
            verBuscarCPWS();
            },
            (error) => {
                console.log(error);
            }
    );
  }

  async function sessionarDireccionRecogidaRem(id, url, title, icon) {
    await axios.post('/api/sessionarDireccionRecogidaRem', {
          id_direccion : id,
        })
        .then((response) => {
            var dir = response.data.direccion;

            $('form#nueva-recogida input#telefono_rem').val(dir.telefono);
            $('form#nueva-recogida input#poblacion_new_rem').val(dir.poblacion);
            $('form#nueva-recogida input#cpostal_new_rem').val(dir.cpostal);
            $('form#nueva-recogida input#direccion1_rem').val(dir.tipovia);
            $('form#nueva-recogida input#direccion2_rem').val(dir.direccion);
            $('form#nueva-recogida input#numero_rem').val(dir.numero);
            $('form#nueva-recogida input#piso_rem').val(dir.piso);
            $('form#nueva-recogida input#demail_rem').val(dir.email);
            $('form#nueva-recogida input#percnt_rem').val(dir.percontacto);

            $('form#nueva-recogida input#codigo_emp_rem').val(dir.codemp);
            $('form#nueva-recogida input#direccion_rem').val(dir.destinatario);
            $('form#nueva-recogida input#ccoste_remite').val(dir.destinatario);
            $('form#nueva-recogida input#iddir_rem').val(dir.iddir);


            alertify.myAlert2().close();
            },
            (error) => {
                console.log(error);
            }
    );
  }

  async function sessionarDireccionRecogidaDest(id, url, title, icon) {
    await axios.post('/api/sessionarDireccionRecogidaDest', {
          id_direccion : id,
        })
        .then((response) => {
            var dir = response.data.direccion;

            $('form#nueva-recogida input#telefono_dest').val(dir.telefono);
            $('form#nueva-recogida input#poblacion_new_dest').val(dir.poblacion);
            $('form#nueva-recogida input#cpostal_new_dest').val(dir.cpostal);
            $('form#nueva-recogida input#direccion1_dest').val(dir.tipovia);
            $('form#nueva-recogida input#direccion2_dest').val(dir.direccion);
            $('form#nueva-recogida input#numero_dest').val(dir.numero);
            $('form#nueva-recogida input#piso_dest').val(dir.piso);
            $('form#nueva-recogida input#demail_dest').val(dir.email);
            $('form#nueva-recogida input#percnt_dest').val(dir.percontacto);

            $('form#nueva-recogida input#codigo_emp_dest').val(dir.codemp);
            $('form#nueva-recogida input#direccion_dest').val(dir.destinatario);
            $('form#nueva-recogida input#ccoste_dest').val(dir.destinatario);
            $('form#nueva-recogida input#iddir_dest').val(dir.iddir);


            alertify.myAlert2().close();
            },
            (error) => {
                console.log(error);
            }
    );
  }

  async function sessionarEmpresa(empresa) {
    await axios.post('/api/sessionarEmpresa', {
          empresa : empresa
        })
        .then((response) => {
            alertify.myAlert2().close();
            $('form#nuevo-envio input#codigo_emp').val(empresa);
            if(response.data.just_one == true) {
              sessionarDireccion(response.data.iddir);
            } else {
              resetDireccion();
              hideKm0();
              verBuscarDireccion();
            }
            },
            (error) => {
                console.log(error);
            }
    );
  }

  async function getPrintEtiqueta(envio, tipo, posicion, cod_etiqueta) {
    await axios.post('/api/getEtiquetaForEnvio', {
          id_envio : envio,
          tipo : tipo,
          posicion : posicion,
          cod_etiqueta : cod_etiqueta
        })
        .then((response) => {
          ownTitle = "<span class='title-alertify-modal'><i class='fas fa-print'></i>Impresión de etiqueta</span>";
            // var winparams = 'dependent=yes,locationbar=no,scrollbars=yes,menubar=yes,'+
            // 'resizable,screenX=50,screenY=50,width=850,height=1050';

            var htmlPop = '<embed width=100% height=100%'
                             + ' type="application/pdf"'
                             + ' src="data:application/pdf;base64,'
                             + escape(response.data.imp)
                             + '"></embed>';

            // var printWindow = window.open ("", "PDF", winparams);
            // printWindow.document.write (htmlPop);
            // printWindow.print();
            alertify.myAlert2(htmlPop, ownTitle).resizeTo('80%', '80%');

            },
            (error) => {
                console.log(error);
            }
    );
  }

  async function getPrintEtiquetaMasiva(tipo, posicion) {
    await axios.post('/api/getEtiquetaMasiva', {
          tipo : tipo,
          posicion : $('input[name=posicion_impresion]').val(),
        })
        .then((response) => {

          if(response.data.success == true) {
            ownTitle = "<span class='title-alertify-modal'><i class='fas fa-print'></i>Impesión de etiqueta Masiva</span>";

              var htmlPop = '<embed width=100% height=100%'
                               + ' type="application/pdf"'
                               + ' src="data:application/pdf;base64,'
                               + escape(response.data.imp)
                               + '"></embed>';

              alertify.myAlert2(htmlPop, ownTitle).resizeTo('80%', '80%');
            } else {
              toastr.warning(response.data.message.message, response.data.message.title);
            }

            },
            (error) => {
                console.log(error);
            }
    );
  }

  async function getPrintEtiquetaMasivaPos(tipo, posicion) {
    await axios.post('/api/getEtiquetaMasiva', {
          tipo : tipo,
          posicion : posicion,
        })
        .then((response) => {

          if(response.data.success) {
            ownTitle = "<span class='title-alertify-modal'><i class='fas fa-print'></i>Impesión de etiqueta Masiva</span>";

              var htmlPop = '<embed width=100% height=100%'
                               + ' type="application/pdf"'
                               + ' src="data:application/pdf;base64,'
                               + escape(response.data.imp)
                               + '"></embed>';

              alertify.myAlert2(htmlPop, ownTitle).resizeTo('80%', '80%');
            } else {
              toastr.warning(response.data.message.message, response.data.message.title);
            }

            },
            (error) => {
                console.log(error);
            }
    );
  }

async  function validatePassInputs(id1) {

    let done = false;

    if($('#'+id1).val().length >= 1) {

      await axios.post('/api/validatePassword', {
            pass : $('#'+id1).val(),
            pass_confirmation : $('#'+id1+'_confirmation').val(),
          })
          .then((response) => {
            if (response.data.success == true) {
              $('.display-errors').html(' ');
              $('button#guardar-button').prop('disabled', '');
              // console.log('true');
              done = true;
            } else {
              texting ='';
              if(response.data.myerrors.pass != undefined ) {
                response.data.myerrors.pass.forEach(function(item) {
                  item = item.replace('The pass must be at least 8 characters.', 'La contraseña debe contener 8 caracteres como mínimo.');
                  item = item.replace('The pass confirmation does not match.', 'La contraseña y su confirmación deben coincidir.');
                  item = item.replace(
                    'The given pass has appeared in a data leak. Please choose a different pass.',
                    'La contraseña aparece como vulnerada en un algún filtrado de datos y no es segura. Por favor, elija una diferente.'
                  );
                  item = item.replace('pass ', '');

                  texting += '<span>'+item+'</span><br>';
                });
              }

              if( response.data.myerrors.pass_confirmation != undefined ) {
                response.data.myerrors.pass_confirmation.forEach(function(item) {
                  item = item.replace('The pass confirmation and pass must match.', 'La contraseña y la confirmación deben coincidir');
                  texting += '<span>'+item+'</span><br>';
                });
              }

              $('.display-errors').html(texting);
              $('button#guardar-button').prop('disabled', 'disabled');

              // console.log('false');

            }

          },
              (error) => {
                  console.log(error);
              }
      );
    }

    return done;
  }


  function toggleEyeDina(isShowed) {
    if(isShowed) {
      $('input#pass_dina').attr('type', 'text');
    } else {
      $('input#pass_dina').attr('type', 'password');
    }
    $('.show-pass.dina').toggle();
    $('.hide-pass.dina').toggle();
  }

  function toggleEyeRoot(isShowed) {
    if(isShowed) {
      $('input#nueva_pass').attr('type', 'text');
      $('input#nueva_pass_confirmation').attr('type', 'text');
    } else {
      $('input#nueva_pass').attr('type', 'password');
      $('input#nueva_pass_confirmation').attr('type', 'password');
    }
    $('.show-pass.root').toggle();
    $('.hide-pass.root').toggle();
  }


  function toggleEye(isShowed) {
    if(isShowed) {
      $('input#pass').attr('type', 'text');
      $('input#pass_confirmation').attr('type', 'text');
    } else {
      $('input#pass').attr('type', 'password');
      $('input#pass_confirmation').attr('type', 'password');
    }
    $('.show-pass').toggle();
    $('.hide-pass').toggle();
  }

  // VARS to use
  // td -> array con los valores a mostrar en cada col.
  // rowsNumber ->
  // colsNumber ->
  function writeTable(td, rowsNumber, colsNumber, var1=null, var2=null) {
    // cache <tbody> element:
    var tbody = $('#envios-body');
    for (var i = 0; i < array.length / rowsNumber; i++) {
        // create an <tr> element, append it to the <tbody> and cache it as a variable:
        var tr = $('<tr/>').appendTo(tbody);

        for (var j = 0; j < colsNumber; j++) {
            // append <td> elements to previously created <tr> element:
            tr.append('<td>' + array[count] + '</td>');
            count++;
        }
    }
    // reset the count:
    count = 0;
  }
