<table id="table-here" class="table table-hover no-footer table-fancy evenor" role="grid">

  <thead class="thead-dark">
    <tr role="row" class="">
        <th scope="col" style="width:3%">id</th>
        <th scope="col" style="width:7%" class="left">Logo</th>
        <th scope="col" style="width:25%" class="left">Nombre</th>
        <th scope="col" style="width:15%" class="left">Email</th>
        <th scope="col" style="width:15%" class="left">Teléfono</th>
        <th scope="col" style="width:10%">Estado</th>
        <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
    </tr>
  </thead>

<tbody>
  @if(count($asociados) > 0)
    @foreach($asociados as $asociado)
      <tr class="div-reservas">
        <td scope="row" data-label="id">
          <span class="small-text">{{ $asociado->id }} </span>
        </td>
        <td class="left" data-label="logo">
          <div class="td-div-img">
            <img src="{{ $asociado->get_imagen_admin() }}" alt="{{ $asociado->nombre }}" class="table-logo">
          </div>
        </td>
        <td class="left" data-label="nombre">
          <span class="small-text"><strong>{{ $asociado->nombre }}</strong></span>
        </td>
        <td class="left" data-label="email">
          <span class="small-text">{{ $asociado->email }} </span>
        </td>
        <td class="left" data-label="telefono">
          <span class="small-text">{{ $asociado->telefono }} </span>
        </td>
        <td data-toggle="tooltip" data-placement="right" title="{{ $asociado->get_estado()->nombre }}" class="text-center" data-label="Estado" style="background-color:{{ $asociado->get_estado()->bg_color }}; @if($asociado->id_status >3)color:#FFF;@endif" >
          <span class="text-center text-white">{{ $asociado->get_estado()->nombre }}</span>
        </td>

        <td class="text-right" data-label="Acciones">
          <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Editar" onclick="openAsociadoEdit({{$asociado->id}})">
          <i class='bx bx-edit' ></i>
          </button>
          {{-- <button class="btn btn-success btn-actions" data-toggle="tooltip" data-placement="left" title="Ver reservas" onclick="openReservasAsociado({{$asociado->id}})">
          <i class='bx bxs-bookmarks' ></i>
          </button> --}}
          @if($asociado->get_estado()->nombre == 'Activo')
            <button class="btn btn-warning btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Pausar Asociado" onclick="pausarAsociado({{ $asociado->id }});">
              <i class='bx bx-stop'></i>
            </button>
          @elseif($asociado->get_estado()->nombre == 'Inactivo')
            <button class="btn btn-success btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Activar Asociado" onclick="desbloquearAsociado({{ $asociado->id }});">
              <i class='bx bx-play'></i>
            </button>
          @elseif($asociado->get_estado()->nombre == 'bloqueado')
            <button class="btn btn-success btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Activar Asociado" onclick="desbloquearAsociado({{ $asociado->id }});">
              <i class='bx bx-play'></i>
            </button>
            <button class="btn btn-warning btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Pausar Asociado" onclick="pausarAsociado({{ $asociado->id }});">
              <i class='bx bx-stop'></i>
            </button>
          @else

          @endif
          <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema" onclick="eliminarAsociado({{ $asociado->id }}, this);" data-name="{{$asociado->id}}">
            <i class='bx bxs-trash'></i>
          </button>
        </td>
      </tr>
      <tr>{{ $asociado->categoria_ppal()->nombre ?? '' }}</tr>
    @endforeach

  @else
    <tr><td colspan="7">No hay reservas que mostrar bajo el criterio seleccionado</td></tr>
  @endif

</tbody>

</table>

<script>
  let inputStyle = 'color:#eee;font-size:0.8rem;padding:4px;border:1px solid #efefef;'
  window.onload = function() {
    $(".table-fancy").fancyTable({
        // sortColumn: 2,
        globalSearch: true,
        perPage: 20,
        pagination: true,
        paginationClass : 'btn btn-secundary',
        pagClosest: 5,
        globalSearchExcludeColumns: [6,7],
        paginationClassActive : 'btn btn-primary',
        inputPlaceholder: 'Buscar',
        inputStyle: inputStyle,
        onUpdate: function() {
        }
    });
    $('[data-toggle=tooltip]').tooltip();
  };
</script>