<table id="table-here" class="table table-hover no-footer table-fancy evenor overzoom" role="grid">

  <thead class="thead-dark">
    <tr role="row" class="">
        <th scope="col" style="width:3%">id</th>
        <th scope="col" style="width:6%">Orden</th>
        <th scope="col" style="width:20%" class="left">Fondo</th>
        <th scope="col" style="width:40%" class="left">Título</th>
        <th scope="col" style="width:10%">Estado</th>
        <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
    </tr>
  </thead>

<tbody id="sortable">
  @if(isset($frames) && count($frames) > 0)
    @foreach($frames as $frame)
      <tr class="div-reservas" data-id="{{ $frame->id }}">
        <td scope="row" data-label="id">
          <span class="small-text">{{ $frame->id }} </span>
        </td>
        <td class="left order" data-label="orden">
          <span class="small-text">{{ $frame->order }} </span>
        </td>
        <td class="left" data-label="logo">
          <div class="td-div-img">
            <img src="{{ $frame->get_imagen_admin() }}" alt="{{ $frame->nombre }}" class="table-logo">
          </div>
        </td>
        <td class="left" data-label="nombre">
          <span class="small-text"><strong>{{ $frame->title }}</strong></span>
        </td>
        <td data-toggle="tooltip" data-placement="right" title="{{ $frame->get_estado()->nombre }}" class="text-center" data-label="Estado" style="background-color:{{ $frame->get_estado()->bg_color }}; @if($frame->id_status >3)color:#FFF;@endif" >
          <span class="text-center text-white">{{ $frame->get_estado()->nombre }}</span>
        </td>

        <td class="text-right" data-label="Acciones">
          <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Editar" onclick="openFrameEdit({{$frame->id}})">
            <i class='bx bx-edit' ></i>
          </button>
          @if($frame->get_estado()->nombre == 'Activo')
            <button class="btn btn-warning btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Pausar Frame" onclick="pausarFrame({{ $frame->id }});">
              <i class='bx bx-stop'></i>
            </button>
          @elseif($frame->get_estado()->nombre == 'Inactivo')
            <button class="btn btn-success btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Activar Frame" onclick="desbloquearFrame({{ $frame->id }});">
              <i class='bx bx-play'></i>
            </button>
          @elseif($frame->get_estado()->nombre == 'bloqueado')
            <button class="btn btn-success btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Activar Frame" onclick="desbloquearFrame({{ $frame->id }});">
              <i class='bx bx-play'></i>
            </button>
            <button class="btn btn-warning btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Pausar Frame" onclick="pausarFrame({{ $frame->id }});">
              <i class='bx bx-stop'></i>
            </button>
          @else

          @endif
          <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema" onclick="eliminarFrame({{ $frame->id }}, this);" data-name="{{$frame->id}}">
            <i class='bx bxs-trash'></i>
          </button>
        </td>
      </tr>
      {{-- <tr>{{ $frame->categoria_ppal()->nombre ?? '' }}</tr> --}}
    @endforeach

  @else
    <tr class="div-reservas"><td colspan="7">No hay reservas que mostrar bajo el criterio seleccionado</td></tr>
  @endif

</tbody>

</table>

<script>
let inputStyle = 'color:#eee;font-size:0.8rem;padding:4px;border:1px solid #efefef'

window.onload = function() {
  $(".table-fancy").fancyTable({
    globalSearch: true,
    perPage: 20,
    pagination: true,
    paginationClass: 'btn btn-secondary',
    pagClosest: 5,
    globalSearchExcludeColumns: [6, 7],
    paginationClassActive: 'btn btn-primary',
    inputPlaceholder: 'Buscar',
    inputStyle: inputStyle,
    sortColumn: 1,
    onUpdate: function() {}
  })
  $('[data-toggle=tooltip]').tooltip()
  var thElements = document.querySelectorAll('.fancySearchRow th')
  thElements.forEach(function(thElement) {
    thElement.colSpan = 6
  })

  // Configuramos la función sortable para reordenar las filas
  $('#table-here tbody').sortable({
    handle: '.order',
    update: function(event, ui) {
      var rows = $(this).find('tr:visible') // Filtrar solo las filas visibles
      var data = {
        ref: 'sliders',
        items: []
      }

      rows.each(function(index) {
        var row = $(this)
        var id = row.find('[data-label="id"]').text().trim() // Eliminar los espacios en blanco alrededor del ID
        var order = index + 1

        data.items.push({
          id: id,
          order: order
        })
      })

      console.log(data)
      // Realizar la llamada a tu controlador Laravel utilizando Axios
      axios.post('/admin/api/saveOrder', { 
        data: data, 
        })
        .then((response) => {
          // Manejar la respuesta del controlador
          console.log(response.data.success)
          console.log(response.data.items)
          // Actualizar el número de orden en la tabla
          rows.each(function(index) {
            var row = $(this)
            var orderCell = row.find('[data-label="orden"]')
            orderCell.text('<i class="fas fa-sync"></i>')
          })

          rows.each(function(index) {
            var row = $(this)
            var orderCell = row.find('[data-label="orden"]')
            orderCell.text(index + 1)
          })
        })
        .catch(function(error) {
          // Manejar errores de la llamada
          console.error(error)
        })
    }
  })
  //ONLOAD 
}

</script>