
@php
  $agent = session('agent');
  isset($asociado) ? $selected_cat = $asociado->id_categoria_ppal : $selected_cat = 0;
  $items_form_url = env('ADMIN_COMPONENTS_FORM');
@endphp
  
<div class="admin-container" id="test">
    <div class="admin-main-title">
      <div class="row same-height">
        <div class="col-12 col-md-10 same-height-col">
          <h1>{!! $titulo ?? '' !!}</h1>
          <div class="subtitle">
            <p>{{$subtitulo ?? ''}}</p>
          </div>
        </div>
        <div class="col-12 col-md-2 same-height-col text-right">
          {{-- <x-go-back></x-go-back> --}}
        </div>
      </div>
    </div>


    {{-- **************************************** --}}
    {{-- CREACIÓN/EDICIÓN DE ASOCIADOS *********** --}}
    {{-- **************************************** --}}

    <div class="col-md-12">

      <div class="card">
        <div class="card-header">
          <span class="titulo">
            @if(isset($asociado))
              {{ $asociado->nombre }}
            @else
              Crear nuevo asociado
            @endif
          </span>
        </div>

        <div class="card-body">

          <div class="row">
            <div class="col-md-12" id="floating-label">
              <input class="form-control" id="asociado_id" name="asociado_id" type="hidden" placeholder="id" @if(isset($asociado)) value="{{ $asociado->id }}" @endif/>
                <div class="creator-wrapper">
                  <h3>Datos del asociado</h3>
                </div>

                <div class="creator-wrapper">
                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Nombre</label>
                        @php isset($asociado) ? $value = $asociado->nombre : $value = ''; @endphp
                        <x-input 
                          :class="'form-control'" 
                          :id="'asociado_name'" 
                          :name="'asociado_name'" 
                          :type="'text'" 
                          :placeholder="'Nombre'" 
                          :value="$value"
                          >
                        </x-input>
                      </div>
                    </div>

                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Email</label>
                        @php isset($asociado) ? $value = $asociado->email : $value = ''; @endphp
                        <x-input 
                          :class="'form-control'" 
                          :id="'asociado_email'" 
                          :name="'asociado_email'" 
                          :type="'email'" 
                          :placeholder="'E-mail'" 
                          :value="$value"
                          :raw="'required'"
                          >
                        </x-input>
                      </div>
                    </div>

                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Teléfono</label>
                        @php isset($asociado) ? $value = $asociado->telefono : $value = ''; @endphp
                        <x-input 
                          :class="'form-control'" 
                          :id="'asociado_phone'" 
                          :name="'asociado_phone'" 
                          :type="'text'" 
                          :placeholder="'Teléfono'" 
                          :value="$value"
                          >
                        </x-input>
                      </div>
                    </div>
                </div>

                <div class="creator-wrapper">
                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Dirección</label>
                        @php isset($asociado) ? $value = $asociado->direccion : $value = ''; @endphp
                        <x-input 
                          :class="'form-control'" 
                          :id="'asociado_dir'" 
                          :name="'asociado_dir'" 
                          :type="'text'" 
                          :placeholder="'Dirección'" 
                          :value="$value"
                          >
                        </x-input>
                      </div>
                    </div>
                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Link web</label>
                        @php isset($asociado) ? $value = $asociado->web_link : $value = ''; @endphp
                        <x-input 
                        :class="'form-control'" 
                        :id="'asociado_web'" 
                        :name="'asociado_web'" 
                        :type="'text'" 
                        :placeholder="'Web'" 
                        :value="$value"
                        >
                      </x-input>
                    </div>
                    </div>
                    <div class="flex2" style="align-self:end;">
                      <div class="form-check"> 
                        @php isset($asociado) ? $value = $asociado->activo : $value = true; @endphp
                          <x-checkbox 
                          :class="'form-check-input'" 
                          :id="'asociado_activo'" 
                          :name="'asociado_activo'" 
                          :checked="$value"
                          >
                        </x-checkbox>
                        <label class="form-check-label" for="asociado_activo"> Activo </label>
                      </div> 
                    </div>
                    <div class="flex2" style="align-self:end;">
                        <div class="form-check">
                          @php isset($asociado) ? $value = $asociado->destacado : $value = true; @endphp
                          <x-checkbox 
                            :class="'form-check-input'" 
                            :id="'asociado_destacado'" 
                            :name="'asociado_destacado'" 
                            :checked="$value"
                            :raw="' disabled'"
                            >
                          </x-checkbox>
                          <label class="form-check-label" for="asociado_destacado"> Destacado </label>
                        </div> 
                    </div>
                </div>

                <div class="creator-wrapper">
                  <div class="flex8">
                    <div class="form-group">
                      <label class="form-select-label" for="asociado_cat">Categorías</label>
                      <x-selectize 
                        :options="$select_categorias" 
                        :id="'asociado_cat'" 
                        :name="'asociado_cat'" 
                        :class="'full-width tipos-all'" 
                        :selectedvalue="''" 
                        :empty="false"
                        :searchtext="'Categorias'"
                        :selectedmultiple="isset($selected_categorias) ? $selected_categorias : []"
                        :multiple="'multiple'">
                      </x-selectize>
                    </div>
                  </div>
                  
                  <div class="flex1">
                    @include("{$items_form_url}.buttons.button-create", [
                      'ul_class' => 'in-form',
                      'li_class' => 'icon view in-form',
                      'tooltip_msg' => 'Crear categoría',
                      'span_class' => 'is-link',
                      'onclick' => "openCatAsociadoNuevo(1)",
                      'text' => "<i class='bx bx2 bx-list-plus'></i>"
                    ])
                  </div>

                  <div class="flex3">
                  </div>
                </div>

                <div class="creator-wrapper">
                  <h3>Logotipo y descripciones</h3>
                </div>
                {{-- Creación de asociado --}}
                <div class="creator-wrapper">         
                  <div class="flex4">
                    <p class="stitle">Logotipo/imagen:</p>
                    <div class="show-logo">
                      @if(!isset($asociado))
                        <img id="logo-loaded" src="{{ env('LOGO_ROUTE_EMPTY') }}">
                      {{-- Edición de asociado --}}
                      @else
                        <img id="logo-loaded" src="{{ $asociado->get_imagen_admin() }}">
                      @endif
                    </div><br>
                    <div class="form-group">
                        <input id="logotipo" accept="image/*" type="file" name="imagen" >
                    </div>
                  </div>
                  <div class="flex4">
                    <p class="stitle">Descripción corta :</p>
                    <div class="text-editor t1 h120">
                      @php isset($asociado) ? $text1 = html_entity_decode($asociado->texto_corto) : $text1= '' ; @endphp
                      {!! $text1 !!}
                    </div>
                    
                    <p class="stitle mt-5">Descripción larga :</p>
                    <div class="text-editor t2 h240">
                      @php isset($asociado) ? $text2 = html_entity_decode($asociado->texto) : $text2 = '' ; @endphp
                      {!! $text2 !!}
                    </div>
                  </div>
                </div>

                <br>

            </div>
          </div>

        </div> <!-- CARD BODY -->

        <div class="card-footer">
                  @if(isset($asociado))
                    <span class="btn btn-success btn-flexi sender" onclick="saveAsociado();">
                      <i class='bx bx2 bxs-save bx-flip-horizontal' ></i> Guardar
                    </span>
                  @else
                    <span class="btn btn-success btn-flexi sender" onclick="saveAsociado();">
                      <i class='bx bx2 bxs-user-plus bx-flip-horizontal'></i> Crear Asociado
                    </span>
                  @endif
        </div>
      </div>

    </div>

  </div>

  <script>
    console.log('testing');
  </script>