
@php
  $agent = session('agent');
  $items_form_url = env('ADMIN_COMPONENTS_FORM');
@endphp
  
<div class="admin-container" id="test">
    <div class="admin-main-title">
      <div class="row same-height">
        <div class="col-12 col-md-10 same-height-col">
          <h1>{!! $titulo ?? '' !!}</h1>
          <div class="subtitle">
            <p>{{$subtitulo ?? ''}}</p>
          </div>
        </div>
        <div class="col-12 col-md-2 same-height-col text-right">
          {{-- <x-go-back></x-go-back> --}}
        </div>
      </div>
    </div>


    {{-- **************************************** --}}
    {{-- CREACIÓN/EDICIÓN DE ASOCIADOS *********** --}}
    {{-- **************************************** --}}

    <div class="col-md-12">

      <div class="card">
        <div class="card-header">
          <span class="titulo">
            @if(isset($cat_asociado))
              {{ $cat_asociado->nombre }}
            @else
              Crear nueva categoría de asociado
            @endif
          </span>
        </div>

        <div class="card-body">
          <div class="row">
            <div class="col-md-12" id="floating-label">
              <input class="form-control" id="cat_asociado_id" name="cat_asociado_id" type="hidden" placeholder="id" @if(isset($cat_asociado)) value="{{ $cat_asociado->id }}"@endif/>
                <div class="creator-wrapper">
                  <h3>Datos de la categoría de asociado</h3>
                </div>

                <div class="creator-wrapper">
                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Nombre</label>
                        @php isset($cat_asociado) ? $value = $cat_asociado->nombre : $value = ''; @endphp
                        <x-input 
                          :class="'form-control'" 
                          :id="'cat_asociado_name'" 
                          :name="'cat_asociado_name'" 
                          :type="'text'" 
                          :placeholder="'Nombre'" 
                          :value="$value"
                          >
                        </x-input>
                      </div>
                    </div>

                    <div class="flex2" style="align-self:end;">
                      <div class="form-check"> 
                        @php isset($cat_asociado) ? $value = $cat_asociado->activo : $value = true; @endphp
                          <x-checkbox 
                          :class="'form-check-input'" 
                          :id="'cat_asociado_activo'" 
                          :name="'cat_asociado_activo'" 
                          :checked="$value"
                          >
                        </x-checkbox>
                        <label class="form-check-label" for="cat_asociado_activo"> Activo </label>
                      </div> 
                    </div>

                    <div class="flex6">

                    </div>
                </div>

                <div class="creator-wrapper">
                  <h3>Imágen y descripción</h3>
                </div>
                  {{-- Creación de asociado --}}
                  <div class="creator-wrapper">         
                    <div class="flex4">
                      <p class="stitle">Imagen:</p>
                      <div class="show-logo">
                        @if(!isset($cat_asociado))
                          <img id="logo-loaded" src="{{ env('LOGO_ROUTE_EMPTY') }}">
                        {{-- Edición de asociado --}}
                        @else
                          <img id="logo-loaded" src="{{ $cat_asociado->get_imagen() }}">
                        @endif
                      </div><br>
                      <div class="form-group">
                          <input id="imagen" accept="image/*" type="file" name="imagen" >
                      </div>
                    </div>
                    <div class="flex4">
                      <p class="stitle">Descripción corta :</p>
                      <div class="text-editor t3 h120">
                        @php isset($cat_asociado) ? $cat_asociado->descripcion : '' ; @endphp
                      </div>
                    </div>
                  </div>
                <br>
            </div>
          </div>
        </div> <!-- CARD BODY -->

        <div class="card-footer">
                  @if(isset($cat_asociado))
                    <span class="btn btn-success btn-flexi sender" onclick="saveCategoriaAsociado({{$is_second ?? 0}});">
                      <i class='bx bx2 bxs-save bx-flip-horizontal' ></i> Guardar
                    </span>
                  @else
                    <span class="btn btn-success btn-flexi sender" onclick="saveCategoriaAsociado({{$is_second ?? 0}});">
                      <i class='bx bx2 bxs-user-plus bx-flip-horizontal'></i> Crear Categoría
                    </span>
                  @endif
        </div>
      </div>
    </div>
  </div>