
@php
  $agent = session('agent');
  $items_form_url = env('ADMIN_COMPONENTS_FORM');
@endphp
  
<div class="admin-container" id="test">
    <div class="admin-main-title">
      <div class="row same-height">
        <div class="col-12 col-md-10 same-height-col">
          <h1>{!! $titulo ?? '' !!}</h1>
          <div class="subtitle">
            <p>{{$subtitulo ?? ''}}</p>
          </div>
        </div>
        <div class="col-12 col-md-2 same-height-col text-right">
          {{-- <x-go-back></x-go-back> --}}
        </div>
      </div>
    </div>

    {{-- **************************************** --}}
    {{-- CREACIÓN/EDICIÓN DE SLIDER *********** --}}
    {{-- **************************************** --}}

    <div class="col-md-12">

      <div class="card">
        <div class="card-header">
          <span class="titulo">
            @if(isset($frame))
              {{ $frame->title }}
            @else
              Crear nuevo frame
            @endif
          </span>
        </div>

        <div class="card-body">

          <div class="row">
            <div class="col-md-12" id="floating-label">
              <input class="form-control" id="frame_id" name="frame_id" type="hidden" placeholder="id" @if(isset($frame)) value="{{ $frame->id }}" @endif/>
                <div class="creator-wrapper">
                  <h3>Datos del frame</h3>
                </div>

                <div class="creator-wrapper">
                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Título</label>
                        @php isset($frame) ? $value = $frame->title : $value = ''; @endphp
                        <x-input 
                          :class="'form-control'" 
                          :id="'frame_title'" 
                          :name="'frame_title'" 
                          :type="'text'" 
                          :placeholder="'Título'" 
                          :value="$value"
                          >
                        </x-input>
                      </div>
                    </div>

                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Subtítulo</label>
                        @php isset($frame) ? $value = $frame->subtitle : $value = ''; @endphp
                        <x-input 
                        :class="'form-control'" 
                        :id="'frame_subtitle'" 
                        :name="'frame_subtitle'" 
                        :type="'text'" 
                          :placeholder="'Subtítulo'" 
                          :value="$value"
                          :raw="'required'"
                          >
                        </x-input>
                      </div>
                    </div>                    
                  </div>
                  
                <div class="creator-wrapper">
                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Texto Botón</label>
                        @php isset($frame) ? $value = $frame->button_text : $value = ''; @endphp
                        <x-input 
                          :class="'form-control'" 
                          :id="'frame_button_text'" 
                          :name="'frame_button_text'" 
                          :type="'text'" 
                          :placeholder="'Texto del Botón'" 
                          :value="$value"
                          >
                        </x-input>
                      </div>
                    </div>
                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Link Botón</label>
                        @php isset($frame) ? $value = $frame->button_link : $value = ''; @endphp
                        <x-input 
                        :class="'form-control'" 
                        :id="'frame_button_link'" 
                        :name="'frame_button_link'" 
                        :type="'text'" 
                        :placeholder="'Link del botón'" 
                        :value="$value"
                        >
                      </x-input>
                    </div>
                    </div>
                    <div class="flex2" style="align-self:end;">
                      <div class="form-check"> 
                        @php isset($frame) ? $value = $frame->status : $value = true; @endphp
                          <x-checkbox 
                          :class="'form-check-input'" 
                          :id="'frame_status'" 
                          :name="'frame_status'" 
                          :checked="$value"
                          >
                        </x-checkbox>
                        <label class="form-check-label" for="frame_status"> Activo </label>
                      </div> 
                    </div>
                </div>

                <div class="creator-wrapper">
                  <h3>Fondo del slider</h3>
                </div>
                {{-- Creación de frame --}}
                <div class="creator-wrapper">         
                  <div class="flex4">
                    <p class="stitle">Fondo / imagen:</p>
                    <div class="show-logo">
                      @if(!isset($frame))
                        <img id="frame_default_background" src="{{ env('LOGO_ROUTE_EMPTY') }}">
                      {{-- Edición de asociado --}}
                      @else
                        <img id="frame_image" src="{{ $frame->get_imagen_admin() }}">
                      @endif
                    </div><br>
                    <div class="form-group">
                        <input id="image" accept="image/*" type="file" name="image" >
                    </div>
                  </div>
                  <div class="flex4">
                    <p class="stitle">Descripción corta :</p>
                    <div class="text-editor t1 h120">
                      @php isset($frame) ? $text_value = html_entity_decode($frame->short_desc) : $text_value = ' '; ; @endphp
                      {!! $text_value !!} 
                    </div>
                  </div>
                </div>

                <br>

            </div>
          </div>

        </div> <!-- CARD BODY -->

        <div class="card-footer">
                  @if(isset($frame))
                    <span class="btn btn-success btn-flexi sender" onclick="saveFrame();">
                      <i class='bx bx2 bxs-save bx-flip-horizontal' ></i> Guardar
                    </span>
                  @else
                    <span class="btn btn-success btn-flexi sender" onclick="saveFrame();">
                      <i class='bx bx2 bxs-user-plus bx-flip-horizontal'></i> Crear Frame
                    </span>
                  @endif
        </div>
      </div>

    </div>

  </div>

  <script>
    console.log('testing');
  </script>