
@php
  $agent = session('agent');
  if(isset($usuario)) : 
    $selected_role = $usuario->id_role; 
  else : 
    $selected_role = 0; 
  endif
@endphp
  
<div class="admin-container" id="test">
    <div class="admin-main-title">
      <div class="row same-height">
        <div class="col-12 col-md-10 same-height-col">
          <h1>{!! $titulo !!}</h1>
          <div class="subtitle">
            <p>{{$subtitulo}}</p>
          </div>
        </div>
        <div class="col-12 col-md-2 same-height-col text-right">
          {{-- <x-go-back></x-go-back> --}}
        </div>
      </div>
    </div>


    {{-- **************************************** --}}
    {{-- CREACIÓN/EDICIÓN DE USUARIOS *********** --}}
    {{-- **************************************** --}}

    <div class="col-md-12">

      <div class="card">
        <div class="card-header">
          <span class="titulo">
            @if(isset($usuario))
              {{ $usuario->name }}
            @else
              Crear nuevo usuario
            @endif
          </span>
        </div>

        <div class="card-body">

          <div class="row">
            <div class="col-md-12" id="floating-label">
              <input class="form-control" id="user_id" name="user_id" type="hidden" placeholder="id" @if(isset($usuario)) value="{{ $usuario->id }}"@endif/>
                <div class="creator-wrapper">
                  <h3>Datos del usuario</h3>
                </div>
                <div class="creator-wrapper">
                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Nombre</label>
                        @php isset($usuario) ? $value = $usuario->name : $value = ''; @endphp
                        <x-input 
                          :class="'form-control'" 
                          :id="'user_name'" 
                          :name="'user_name'" 
                          :type="'text'" 
                          :placeholder="'Nombre'" 
                          :value="$value"
                          >
                        </x-input>
                      </div>
                    </div>

                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Email</label>
                        @php 
                          if(isset($usuario)) {
                            $value = $usuario->email;
                            $disabled = 'disabled';
                          } else {
                            $value = '';
                            $disabled = '';
                          }
                        @endphp
                        <x-input 
                          :class="'form-control'" 
                          :id="'user_email'" 
                          :name="'user_email'" 
                          :type="'email'" 
                          :placeholder="'E-mail'" 
                          :value="$value"
                          :raw="$disabled.' required'"
                          >
                        </x-input>
                      </div>
                    </div>

                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Teléfono</label>
                        @php isset($usuario) ? $value = $usuario->telefono : $value = ''; @endphp
                        <x-input 
                          :class="'form-control'" 
                          :id="'user_phone'" 
                          :name="'user_phone'" 
                          :type="'text'" 
                          :placeholder="'Teléfono'" 
                          :value="$value"
                          >
                        </x-input>
                      </div>
                    </div>

                </div>
                <div class="creator-wrapper">
                  <div class="flex4">
                    <div class="form-group">
                      <label class="form-select-label">Role</label>
                      <x-select :options="$roles" :id="'user_role'" :name="'user_role'" :class="'full-width tipos-all'" :selectedvalue="$selected_role" :empty="false"></x-select>
                    </div>
                  </div>
                  
                  <div class="flex4">
                  </div>

                  <div class="flex4">
                  </div>
                </div>

                <div class="creator-wrapper">
                  <h3>Seguridad</h3>
                </div>
                {{-- Creación de usuario --}}
                @if(!isset($usuario))
                  <div class="creator-wrapper">             
                    <div class="flex4">
                      <div class="form-group">
                        <div class="form-check">
                        <x-checkbox 
                          :class="'form-check-input'" 
                          :id="'primerinicio'" 
                          :name="'primerinicio'" 
                          :checked="true"
                          >
                        </x-checkbox>
                          <label class="form-check-label" for="primerinicio">
                            Introducir en primer inicio
                          </label>
                        </div> 
                      </div>
                    </div>
                  </div>

                  <div class="creator-wrapper password-div hidden-div">             
                    <div class="flex5">
                      <div class="form-group">
                        <label class="control-label">Contraseña</label>
                        <x-input 
                          :class="'form-control'" 
                          :id="'pass'" 
                          :name="'pass'" 
                          :type="'password'" 
                          :placeholder="'Contraseña'" 
                          >
                        </x-input>
                      </div>
                    </div>
                    
                    <div class="flex5">
                      <div class="form-group">
                        <label class="control-label">Contraseña confirmación</label>
                        <x-input 
                          :class="'form-control'" 
                          :id="'pass_confirmation'" 
                          :name="'pass_confirmation'" 
                          :type="'password'" 
                          :placeholder="'Contraseña confirmación'" 
                          >
                        </x-input>
                      </div>
                    </div>
                    <div class="flex4">
                      <div class="display-errors">
                        
                      </div>
                    </div>
                  </div>

                {{-- Edición de usuario --}}
                @else
                  <div class="creator-wrapper">             
                    <div class="flex4">
                      <div class="form-group">
                        <div class="form-check">
                        <x-checkbox 
                          :class="'form-check-input'" 
                          :id="'next_login'" 
                          :name="'next_login'" 
                          :checked="false"
                          >
                        </x-checkbox>
                          <label class="form-check-label" for="next_login">
                            Cambiar en próximo inicio
                          </label>
                        </div> 
                      </div>
                    </div>
                  </div>                
                @endif
                <br>

            </div>
          </div>

        </div> <!-- CARD BODY -->

        <div class="card-footer">
                  @if(isset($usuario))
                    <span class="btn btn-success btn-flexi sender" onclick="guardarUsuario();">
                      <i class='bx bx2 bxs-save bx-flip-horizontal' ></i> Guardar Usuario
                    </span>
                  @else
                    <span class="btn btn-success btn-flexi sender" onclick="crearUsuario();">
                      <i class='bx bx2 bxs-user-plus bx-flip-horizontal'></i> Crear Usuario
                    </span>
                  @endif
        </div>
      </div>

    </div>

  </div>
