<?php
  // var_dump($reservas);
  // die;
?>

  <div class="admin-container" id="test">

    <div class="admin-main-title">

      <div class="row same-height">
        <div class="col-12 col-md-12 same-height-col">
          <h1>{{ $titulo }}</h1>
          <div class="subtitle">
            <p>{{$subtitulo}}</p>
          </div>
        </div>
      </div>
      <div class="row same-height">
        <div class="col-12 col-md-12 same-height-col">
          <b>{{$user->name}}</b><br>
          <span><i class='bx bxs-phone-call'></i> {{$user->telefono}}</span>
          <span class="lm-4"><i class='bx bxs-envelope' ></i> {{$user->email}}</span>
        </div>
      </div>

    </div>


    {{-- **************************************** --}}
    {{-- LISTADO RESERVAS ************ --}}
    {{-- **************************************** --}}
    <div class="row">

    <div class="col-md-12">

      <div class="card">
        <div class="card-header">
          <span class="titulo">Listado</span>
        </div>

        <div class="card-body coll-able pest-1 @if(session('pestana_actual') == 1)opened @endif">

          <table id="table-here-nores" class="table table-hover no-footer reservas-user evenor" role="grid">

              <thead class="thead-dark">
                <tr role="row" class="">
                    <th scope="col" style="width:3%">id</th>
                    <th scope="col" style="width:15%" class="left">Referencia</th>
                    <th scope="col" style="width:15%" class="left">Fecha</th>
                    <th scope="col" style="width:15%" class="left">Usuario</th>
                    <th scope="col" style="width:20%">Instalación</th>
                    <th scope="col" style="width:10%">Estado</th>
                    <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
                </tr>
              </thead>

            <tbody>
              @if(count($reservas) > 0)
                @foreach($reservas as $div)
                  <tr class="div-reservas">

                    <td scope="row" data-label="id">
                      <span class="small-text">{{ $div->id }} </span>
                    </td>
                    <td class="left" data-label="referencia">
                      <span class="small-text">{{ $div->ref }} </span>
                    </td>
                    <td class="left" data-label="fecha">
                      <span class="small-text">{{ $div->get_fecha_hora() }} </span>
                    </td>
                    <td class="left" data-label="usuario">
                      <span class="small-text with-link" onclick="openUsuario({{$div->user->id}})">{{ $div->user->name }} </span>
                    </td>
                    <td class="left" data-label="instalacion">
                      <span class="small-text with-link" onclick="openInstalacion({{$div->instalacion->id}})">{{ $div->instalacion->nombre }} </span>
                    </td>

                    <td class="text-center" data-label="Estado" style="background-color:{{ $div->get_estado()->bg_color }}; @if($div->id_status >3)color:#FFF;@endif" >
                      <span class="small-text">{{ $div->get_estado()->nombre }}</span>
                    </td>

                    <td class="text-right" data-label="Acciones">

                      <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Editar"
                      onclick="openReserva({{$div->id}})">
                        <i class='bx bx-calendar-edit' ></i>
                      </button>

                      <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema"
                      onclick="eliminarTipoSub({{ $div->id }}, this);" data-name="{{$div->ref}}">
                        <i class='bx bxs-trash'></i>
                      </button>

                    </td>

                  </tr>
                @endforeach

              @else
                <tr><td colspan="7">No hay reservas que mostrar bajo el criterio seleccionado</td></tr>
              @endif

            </tbody>

          </table>

        </div> <!-- CARD BODY -->

        <div class="card-footer">

        </div>
      </div>



    </div>

  </div>
  </div>

<script src="/js/admin/helper.js"></script>
<script src="/js/admin/reserva.js"></script>


<script>

window.onload = function() {
  $('[data-toggle=tooltip]').tooltip();

  //
  // $('.card-body.coll-able').css('display', 'none');
  //
  // @if(session('pestana_actual'))
  //   $('.card-body.coll-able.pest-'+'{{ session('pestana_actual')}}').show('fast');
  // @else
  //   toggleCardBody($('.card-body.coll-able.pest-1'), '1');
  // @endif


  $(".reservas").fancyTable({
      // sortColumn: 2,
      globalSearch: false,
      perPage: 20,
      pagination: true,
      paginationClass : 'btn btn-secundary',
      paginationClassActive : 'btn btn-primary',
      inputPlaceholder: 'Buscar...',
      inputStyle: 'color:rgb(106, 136, 180);font-size:0.8rem;',
      onUpdate: function() {
        // $('.toggleable').hide('fast');
      }
  });

};

</script>
