@php
  // MAIN URLS
  $items_url = env('ADMIN_COMPONENTS_MENU');
  $tables_url = env('ADMIN_COMPONENTS_TABLES');
@endphp
@extends('dashboard')
@section('section')

  <div class="admin-container" id="test">
    <div class="admin-main-title">
      <div class="row same-height">
        <div class="col-12 col-md-8 same-height-col">
          <h1>{{ $titulo }}</h1>
          <div class="subtitle">
            <p>{{$subtitulo}}</p>
          </div>
        </div>
        <div class="col-12 col-md-4 same-height-col text-right text-left-mobile">
          @include("{$items_url}.menu-actions", [
            'section' => 'categorias-asociados'
          ])
        <x-go-back></x-go-back>
        </div>
      </div>
    </div>

    {{-- **************************************** --}}
    {{-- LISTADO ASOCIADOS ************ --}}
    {{-- **************************************** --}}

    <div class="col-md-12 section-instalacion instalacion-divisiones">

      <div class="card">
        <div class="card-header">
          <span class="titulo">LISTADO</span>
        </div>

        <div class="card-body coll-able pest-2">
          <table id="table-here" class="table table-hover no-footer table-here with-img" role="grid">

              <thead class="thead-dark">
                <tr role="row" class="">
                    <th scope="col" style="width:5%">id</th>
                    <th scope="col" style="width:5%" class="left">imágen</th>
                    <th scope="col" style="width:20%" class="left">nombre</th>
                    {{-- <th scope="col" style="width:5%">Estado</th> --}}
                    <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
                </tr>
              </thead>

            <tbody>

              @if(count($categorias) > 0)
                @foreach($categorias as $div)
                  <tr class="div-def">
                    <td scope="row" data-label="id">{{ $div->id }}</td>
                    <td class="left" data-label="imagen">
                      <img src="{{ $div->get_imagen_admin() }}" height="40" />
                    </td>
                    <td class="left" data-label="nombre">
                      <span>{{ $div->nombre }}</span>
                    </td>
                    {{-- <td class="text-center" data-label="Estado" style="background-color:{{ $div->get_estado()->color }};" >
                      {{ $div->get_estado()->nombre }}
                    </td> --}}
                    <td class="text-right" data-label="Acciones">
                      <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Editar"
                      onclick="editarCatInstalaciones({{$div->id}})">
                        <i class='bx bxs-edit' ></i>
                      </button>
                      @if($div->activo)
                        <button class="btn btn-warning btn-actions" data-toggle="tooltip" data-placement="top" title="Desactivar"
                        onclick="cambiarEstadoCatInstalacion({{$div->id}})">
                          <i class='bx bx-stop' ></i>
                        </button>
                      @else
                        <button class="btn btn-success btn-actions" data-toggle="tooltip" data-placement="top" title="Activar"
                        onclick="cambiarEstadoCatInstalacion({{$div->id}})">
                          <i class='bx bx-play' ></i>
                        </button>
                      @endif
                      <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema"
                      onclick="eliminarCatInstalaciones({{ $div->id }});">
                        <i class='bx bxs-trash'></i>
                      </button>
                    </td>
                  </tr>
                @endforeach
              @endif

            </tbody>

          </table>


        </div>

        <div class="card-footer">

        </div>
      </div>



    </div>




</div>
@endsection

<script src="/js/admin/helper.js"></script>
<script src="/js/admin/asociado.js"></script>


<script>

window.onload = function() {
  $('[data-toggle=tooltip]').tooltip();

};

</script>
