@php

@endphp
@extends('dashboard')


@section('section')

  <div class="admin-container" id="test">

    <div class="admin-main-title">

      <div class="row same-height">
        <div class="col-11 col-md-10 same-height-col">
          <h1>{{ $titulo }}</h1>
          <div class="subtitle">
            <p>{{ $subtitulo }}</p>
          </div>
        </div>
        <div class="col-1 col-md-2 same-height-col text-right">
          <x-go-back></x-go-back>
        </div>
      </div>
    </div>

    {{-- DATOS DEL EQUIPÔ --}}

    <div class="col-md-12 section-instalacion instalacion-divisiones">

      <div class="card">
        <div class="card-header">
          <span class="titulo">CREACION Y LISTADO</span>
        </div>

        <div class="card-body coll-able pest-2 @if(session('pestana_actual') == 2)opened @endif">

          <div class="row">
            <div class="col-md-12">
                <div class="creator-wrapper">
                    <div class="flex3">
                      <input id="nombre" name="nombre" type="text" placeholder="Nombre" value=""/>
                    </div>
                    <div class="flex8">
                      <input id="descripcion" name="descripcion" type="text" placeholder="Descripción" value=""/>
                    </div>
                    <div class="flex2">
                      <p>Mostrar categoria</p>
                      <div class="page__toggle">
                        <label class="toggle">
                          <input name="activo" class="toggle__input" type="checkbox" checked>
                          <span class="toggle__label">
                            <span class="toggle__text">Activa</span>
                          </span>
                        </label>
                      </div>
                    </div>
                </div>
                <div class="creator-wrapper">
                  <div class="flex1">
                    <p>imagen</p>
                    <div class="dropzone">
                      <img src="http://100dayscss.com/codepen/upload.svg" class="upload-icon" />
                      <input id="cat_ins_imagen" type="file" name="cat_ins_imagen" class="upload-input" accept="image/*"/>
                    </div>
                  </div>
                  <div class="flex3">
                  </div>
                  <div class="flex8">
                  </div>
                </div>
                <br>
              <span class="btn btn-success" onclick="crearCatInstalaciones();"><i class='bx bx2 bxs-add-to-queue'></i> Añadir Categoria</span>
            </div>
          </div>


          <table id="table-here" class="table table-hover no-footer table-here with-img" role="grid">

              <thead class="thead-dark">
                <tr role="row" class="">
                    <th scope="col" style="width:5%">id</th>
                    <th scope="col" style="width:5%" class="left">imágen</th>
                    <th scope="col" style="width:20%" class="left">nombre</th>
                    <th scope="col" style="width:5%">Estado</th>
                    <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
                </tr>
              </thead>

            <tbody>

              @if(count($categorias) > 0)
                @foreach($categorias as $div)
                  <tr class="div-def">

                    <td scope="row" data-label="id">{{ $div->id }}</td>

                    <td class="left" data-label="imagen">
                      <img src="{{ $div->get_imagen_url() }}" height="40" />
                    </td>

                    <td class="left" data-label="nombre">
                      <span>{{ $div->nombre }}</span>
                    </td>

                    <td class="text-center" data-label="Estado" style="background-color:{{ $div->get_estado()->color }};" >
                      {{ $div->get_estado()->nombre }}
                    </td>

                    <td class="text-right" data-label="Acciones">

                      <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Editar"
                      onclick="editarCatInstalaciones({{$div->id}})">
                        <i class='bx bxs-edit' ></i>
                      </button>
                      @if($div->activo)
                        <button class="btn btn-warning btn-actions" data-toggle="tooltip" data-placement="top" title="Desactivar"
                        onclick="cambiarEstadoCatInstalacion({{$div->id}})">
                          <i class='bx bx-stop' ></i>
                        </button>
                      @else
                        <button class="btn btn-success btn-actions" data-toggle="tooltip" data-placement="top" title="Activar"
                        onclick="cambiarEstadoCatInstalacion({{$div->id}})">
                          <i class='bx bx-play' ></i>
                        </button>
                      @endif
                      <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema"
                      onclick="eliminarCatInstalaciones({{ $div->id }});">
                        <i class='bx bxs-trash'></i>
                      </button>

                    </td>

                  </tr>
                @endforeach
              @endif

            </tbody>

          </table>


        </div>

        <div class="card-footer">

        </div>
      </div>



    </div>




</div>
@endsection

<script src="/js/admin/helper.js"></script>
<script src="/js/admin/cat-instalaciones.js"></script>


<script>

window.onload = function() {
  $('[data-toggle=tooltip]').tooltip();

};

</script>
