
@extends('dashboard')


@section('section')

@php

$isnew = false;

if(!isset($instalacion)) {
  $isnew = true;
}

@endphp

  <div class="admin-container" id="test">

    <div class="admin-main-title">

      <div class="row same-height">
        <div class="col-12 col-md-8 same-height-col">
          <h1>@if(!$isnew){{ $instalacion->nombre }}@else Nueva Instalación @endif</h1>
          <div class="subtitle">
            <p></p>
          </div>
        </div>
          <div class="col-12 col-md-4 same-height-col text-right text-left-mobile">

            <ul class="wrapper grouped submenu">
              <li class="icon view @if(!isset($filtro)) active @endif" onclick="go('instalacion-configuracion')" data-name="configuracion">
                <span class="tooltip">Configuración</span>
                <span class="is-link"> <i class='bx bxs-wrench' ></i></span>
              </li>
              @if(!$isnew)
                <li class="icon view @if(isset($filtro) && $filtro == 'divisiones') active @endif" onclick="go('instalacion-divisiones')" data-name="divisiones">
                  <span class="tooltip">Divisiones</span>
                  <span class="is-link"> <i class='bx bx-border-all'></i></span>
                </li>
                <li class="icon view @if(isset($filtro) && $filtro == 'turnos') active @endif" onclick="go('instalacion-turnos')" data-name="turnos">
                  <span class="tooltip">Turnos</span>
                  <span class="is-link"> <i class='bx bxs-calendar' ></i></span>
                </li>
                <li class="icon view @if(isset($filtro) && $filtro == 'reservas') active @endif" onclick="go('instalacion-reservas')" data-name="reservas">
                  <span class="tooltip">Reservas</span>
                  <span class="is-link"> <i class='bx bxs-bookmark-alt' ></i></span>
                </li>
              @endif
            </ul>

          <x-go-back></x-go-back>
        </div>
      </div>
    </div>

    {{-- DATOS DE LA INSTALACIÓN --}}

    <div class="col-md-12 section-instalacion instalacion-configuracion">

      <div class="card">
        <div class="card-header">
          <span class="titulo">Configuración de la instalación</span>
          {{-- <span class="open-close-card" onclick="toggleCardBody(this, 1)">
            @if(session('pestana_actual') == 1)
              <i class='bx bx2 bx-folder-minus'></i>
            @else
              <i class='bx bx2 bxs-folder-plus'></i>
            @endif
          </span> --}}
        </div>

        <div class="card-body coll-able pest-1 @if(session('pestana_actual') == 1)opened @endif">
          <div class="row">
            <div class="col-md-12">

              {{-- DATOS --}}
                <div class="creator-wrapper">
                  <h3><i class='bx bxs-notepad'></i> Datos: </h3>
                </div>
                <div class="creator-wrapper">
                  <div class="flex5">
                    <p>Nombre </p>
                    <input id="ins_nombre" name="ins_nombre" type="text" placeholder="Nombre" value="@if(!$isnew){{ $instalacion->nombre }}@endif"/>
                  </div>
                </div>
                <div class="creator-wrapper">
                  <div class="flex2">
                    <p>Hora apertura</p>
                    <input id="ins_inicio" name="ins_inicio" type="time" placeholder="" value="@if(!$isnew){{ $instalacion->hora_apertura}}@endif"/>
                  </div>
                  <div class="flex2">
                    <p>Hora cierre</p>
                    <input id="ins_cierre" name="ins_cierre" type="time" placeholder="" value="@if(!$isnew){{ $instalacion->hora_cierre}}@endif"/>
                  </div>
                @if($agent->isMobile())
                  </div>
                  <div class="creator-wrapper">
                @endif
                  <div class="flex3">
                    <p>Categoría</p>
                    @if(!$isnew)
                      <x-select-tipos class="tipos-all" :tipos="$categorias" name="categorias" id="categorias" :selected_id="$instalacion->id_categoria"></x-select-tipos>
                    @else
                      <x-select-tipos class="tipos-all" :tipos="$categorias" name="categorias" id="categorias" :selected_id="0"></x-select-tipos>
                    @endif
                  </div>
                  <div class="flex2">
                    <p>Plazas máximas</p>
                    <input id="ins_plazas" name="ins_plazas" type="number" value="@if(!$isnew){{ $instalacion->plazas_max}}@endif" placeholder="plazas"/>
                  </div>
                </div>

                <div class="creator-wrapper">
                    <div class="flex5">
                      <p>Descripción corta</p>
                      <input id="desc_corta" name="desc_corta" type="text" placeholder="Descripción corta" value="@if(!$isnew){{ $instalacion->descripcion_corta }}@endif"/>
                    </div>
                </div>
                <div class="creator-wrapper">
                    <div class="flex5">
                      <p>Descripción </p>
                      <textarea id="desc" name="desc" rows="8" style="width:100%;">@if(!$isnew){{ $instalacion->descripcion }}@endif</textarea>
                    </div>
                </div>
                <br>

                {{-- CONFIG --}}
                <div class="creator-wrapper">
                  <h3><i class='bx bx-cog'></i> Configuración: </h3>
                </div>

                <div class="creator-wrapper">
                  <div class="flex2">
                    <p>Mostrar instalación</p>
                    <div class="page__toggle">
                      <label class="toggle">
                        <input name="activo" class="toggle__input" type="checkbox" @if(!$isnew) @if($instalacion->activo) checked @endif @endif disabled>
                        <span class="toggle__label">
                          <span class="toggle__text">Activa</span>
                        </span>
                      </label>
                    </div>
                  </div>
                  <div class="flex2">
                    <p>Aceptará reservas</p>
                    <div class="page__toggle">
                      <label class="toggle">
                        <input name="reservable" class="toggle__input" type="checkbox" @if(!$isnew) @if($instalacion->reservable) checked @endif @endif disabled>
                        <span class="toggle__label">
                          <span class="toggle__text">Reservable</span>
                        </span>
                      </label>
                    </div>
                  </div>
                  <div class="flex2">
                    <p>Opción para reservar para otros</p>
                    <div class="page__toggle">
                      <label class="toggle">
                        <input name="multiples" class="toggle__input" type="checkbox" @if(!$isnew) @if($instalacion->reservas_multiples) checked @endif @endif disabled>
                        <span class="toggle__label">
                          <span class="toggle__text">Reservas multiples</span>
                        </span>
                      </label>
                    </div>
                  </div>
                @if($agent->isMobile())
                  </div>
                  <div class="creator-wrapper">
                @endif
                  <div class="flex2">
                    <p>Podrá dividirse en varias zonas</p>
                    <div class="page__toggle">
                      <label class="toggle">
                        <input name="divisible" class="toggle__input" type="checkbox" @if(!$isnew) @if($instalacion->subdivisible) checked @endif @endif disabled>
                        <span class="toggle__label">
                          <span class="toggle__text">Divisible</span>
                        </span>
                      </label>
                    </div>
                  </div>
                  <div class="flex2">
                    <p>Nombre para las divisiones</p>
                    <input id="nombre_sub" name="nombre_sub" type="text" placeholder="Nombre Divisiones" value="@if(!$isnew){{ $instalacion->nombre_subdivisiones }}@endif"/>
                  </div>
                </div>

                <div class="creator-wrapper">
                  <div class="flex2">
                    <p>Límite de reservas por persona</p>
                    <input id="ins_lim_persona" name="ins_lim_persona" type="number" value="@if(!$isnew){{ $instalacion->lim_res_persona}}@endif" placeholder=""/>
                  </div>
                  <div class="flex2">
                    <p>Límite de reservas por día</p>
                    <input id="ins_lim_dia" name="ins_lim_dia" type="number" value="@if(!$isnew){{ $instalacion->lim_res_dia}}@endif" placeholder=""/>
                  </div>
                @if($agent->isMobile())
                  </div>
                  <div class="creator-wrapper">
                @endif
                  <div class="flex2">
                    <p>Apertura de las reservas (Horas)</p>
                    <input id="ins_horas_apertura" name="ins_horas_apertura" type="number" value="@if(!$isnew){{ $instalacion->h_apertura_reserva}}@endif" placeholder=""/>
                  </div>
                  <div class="flex2">
                    <p>Bloqueo previo (minutos)</p>
                    <input id="ins_minutos_previo" name="ins_minutos_previo" type="number" value="@if(!$isnew){{ $instalacion->tiempo_previo}}@endif" placeholder=""/>
                  </div>
                </div>
                <br>

                  {{-- Mensajes y Contacto--}}
                <div class="creator-wrapper">
                  <h3><i class='bx bxs-chat' ></i> Mensajes y contacto : </h3>
                </div>
                <div class="creator-wrapper">
                  <div class="flex5">
                    <p>Mensaje bienvenida </p>
                    <input id="ins_mensaje_bien" name="ins_mensaje_bien" type="text" placeholder="" value="@if(!$isnew){{ $instalacion->mensaje_bienvenida }}@endif"/>
                  </div>
                </div>
                <div class="creator-wrapper">
                  <div class="flex5">
                    <p>Mensaje confirmación reserva</p>
                    <input id="ins_mensaje_reserva" name="ins_mensaje_reserva" type="text" placeholder="" value="@if(!$isnew){{ $instalacion->mensaje_reserva }}@endif"/>
                  </div>
                </div>
                <div class="creator-wrapper">
                  <div class="flex2">
                    <p>Nombre persona de contacto</p>
                    <input id="ins_per_contacto" name="ins_per_contacto" type="text" placeholder="" value="@if(!$isnew){{ $instalacion->contacto_nombre }}@endif"/>
                  </div>
                  <div class="flex2">
                    <p>Teléfono contacto</p>
                    <input id="ins_tel_contacto" name="ins_tel_contacto" type="text" placeholder="" value="@if(!$isnew){{ $instalacion->contacto_telefono }}@endif"/>
                  </div>
                </div>
                <br>

                  {{-- Archivos y Links--}}
                <div class="creator-wrapper">
                  <h3><i class='bx bxs-chat' ></i> Archivos y links : </h3>
                </div>
                <div class="creator-wrapper">
                  <div class="flex5">
                    <p>imagen</p>
                    <div class="frame">
                      <div class="center">
                        <div class="title">
                          <h1>Arrastra aquí tu archivo</h1>
                        </div>

                        <div class="dropzone">
                          <img src="http://100dayscss.com/codepen/upload.svg" class="upload-icon" />
                          <input id="ins_imagen" type="file" name="ins_imagen" class="upload-input" accept="image/*"/>
                        </div>

                      </div>
                    </div>
                    @if(!$isnew)
                    <p>imagen actual</p>
                      <div class="prev-image">
                        <img class="" src="{{ $instalacion->get_imagen()}}" style="width:100%"/>
                      </div>
                      <a type="button" name="ver_imagen" href="{{ $instalacion->get_imagen()}}" target="_blank" ><i class='bx bx-search-alt'></i> ver imagen completa</a>
                    @endif
                  </div>

                  @if($agent->isMobile())
                    </div>
                    <div class="creator-wrapper">
                  @endif

                  <div class="flex5">
                    <p>Normativa (.pdf)</p>
                    <div class="frame">
                      <div class="center">
                        <div class="title">
                          <h1>Arrastra aquí tu archivo</h1>
                        </div>

                        <div class="dropzone">
                          <img src="http://100dayscss.com/codepen/upload.svg" class="upload-icon" />
                          <input id="ins_normativa" type="file" name="ins_normativa" class="upload-input" accept=".pdf"/>
                        </div>

                      </div>
                  </div>
                  @if(!$isnew)
                  <p>Archivo actual</p>
                    <p id="normativa-file" class="normativa-file">{{$instalacion->archivo_normativa}} <a href="{{ $instalacion->get_dir_docs()}}" target="_blank">ver archivo</a></p>
                    <p>Archivo seleccionado</p>
                    <p id="normativa-file-selected" class="normativa-file"></p>
                  @endif
                </div>
                </div>
                <div class="creator-wrapper">
                </div>
                <div class="creator-wrapper">
                  <div class="flex2">
                    <p>Link entrada Google Maps</p>
                    <input id="ins_link_entrada" name="ins_link_entrada" type="text" placeholder="" value="@if(!$isnew) {{ $instalacion->link_entraeda }}@endif"/>
                  </div>
                </div>
                <br>



                <br>
                @if(!$isnew)
                  <span class="btn btn-success" onclick="guardarInstalacion({{ $instalacion->id}});"><i class='bx bxs-save' ></i> Guardar</span>
                @else
                  <span class="btn btn-success" onclick="guardarInstalacionNueva();"><i class='bx bxs-save' ></i> Guardar</span>
                @endif
            </div>
          </div>

        </div>

        <div class="card-footer">

        </div>
      </div>



    </div>



{{-- SI CARGAMOS UNA INSTALACIÓN EDICION --}}
@if(!$isnew)
    {{-- **************************************** --}}
    {{-- DIV DEFAULT ************ --}}
    {{-- **************************************** --}}

    <div class="col-md-12 section-instalacion instalacion-divisiones">

      <div class="card">
        <div class="card-header">
          <span class="titulo">Divisiones por defecto</span>
          <span class="open-close-card" onclick="toggleCardBody(this, 2)">
            @if(session('pestana_actual') == 2)
              <i class='bx bx2 bx-folder-minus'></i>
            @else
              <i class='bx bx2 bxs-folder-plus'></i>
            @endif
          </span>
        </div>

        <div class="card-body coll-able pest-2 @if(session('pestana_actual') == 2)opened @endif">

          <div class="row">
            <div class="col-md-12">
                <div class="creator-wrapper">
                    <div class="flex5">
                      <input id="def_nombre" name="def_nombre" type="text" placeholder="Nombre" value=""/>
                    </div>
                </div>
                <div class="creator-wrapper">
                  <div class="flex2">
                    <input id="def_inicio" name="def_inicio" type="time" placeholder="" value="10:00"/>
                  </div>
                  <div class="flex2">
                    <input id="def_final" name="def_final" type="time" placeholder="" value="20:00"/>
                  </div>
              @if($agent->isMobile())
                </div>
                <div class="creator-wrapper">
              @endif
                  <div class="flex3">
                    <x-select-tipos class="tipos-all" :tipos="$tipos" name="tipos_creation" id="tipos_creation"></x-select-tipos>
                  </div>
                  <div class="flex2">
                    <input id="def_plazas" name="def_plazas" type="number" value="1" placeholder="plazas"/>
                  </div>
                </div>
                <br>
              <span class="btn btn-success" onclick="crearDivisionDef({{$instalacion->id}});"><i class='bx bx2 bxs-add-to-queue'></i> Añadir División</span>
            </div>
          </div>


          <table id="table-here" class="table table-hover no-footer table-here jugadores" role="grid">

              <thead class="thead-dark">
                <tr role="row" class="">
                    <th scope="col" style="width:5%">id</th>
                    <th scope="col" style="width:20%" class="left">nombre</th>
                    <th scope="col" style="width:10%">inicio</th>
                    <th scope="col" style="width:10%">final</th>
                    <th scope="col" style="width:15%" class="left">tipo</th>
                    <th scope="col" style="width:5%" class="left">plazas</th>
                    <th scope="col" style="width:5%">Estado</th>
                    <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
                </tr>
              </thead>

            <tbody>

              @if(count($divisiones_def) > 0)
                @foreach($divisiones_def as $div)
                  <tr class="div-def">

                    <td scope="row" data-label="id">{{ $div->id }}</td>
                    <td class="left" data-label="nombre">
                      <input class="def_nombre" name="def_nombre" type="text" placeholder="Nombre" value="{{ $div->descripcion }}"/>
                    </td>
                    <td class="left" data-label="inicio">
                      <input class="def_inicio" name="def_inicio" type="time" placeholder="" value="{{ $div->hora_apertura }}"/>
                    </td>
                    <td class="left" data-label="final">
                      <input class="def_final" name="def_final" type="time" placeholder="" value="{{ $div->hora_cierre }}"/>
                    </td>
                    <td class="left" data-label="tipo">
                      <x-select-tipos class="tipos-all" :tipos="$tipos" name="tipos_creation" id="tipos-edit" :selected_id="$div->id_tipo"></x-select-tipos>
                    </td>
                    <td class="left" data-label="plazas">
                      <input class="def_plazas" name="def_plazas" type="number" value="{{ $div->plazas_max }}" placeholder="plazas"/>
                    </td>
                    <td class="center" data-label="Estado" style="background-color:{{ $div->get_estado()->color }};" >
                      {{ $div->get_estado()->nombre }}
                    </td>
                    <td class="text-right" data-label="Acciones">

                      <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Guardar"
                      onclick="guardarDivisionDef({{$div->id}}, this)">
                        <i class='bx bxs-save' ></i>
                      </button>
                      @if($div->activo)
                        <button class="btn btn-warning btn-actions" data-toggle="tooltip" data-placement="top" title="Desactivar"
                        onclick="cambiarEstadoDivision({{$div->id}}, 'def', this)">
                          <i class='bx bx-stop' ></i>
                        </button>
                      @else
                        <button class="btn btn-success btn-actions" data-toggle="tooltip" data-placement="top" title="Activar"
                        onclick="cambiarEstadoDivision({{$div->id}}, 'def', this)">
                          <i class='bx bx-play' ></i>
                        </button>
                      @endif
                      <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema"
                      onclick="eliminarDivisionDef({{ $div->id }}, this);" data-name="{{$div->descripcion}}">
                        <i class='bx bxs-trash'></i>
                      </button>

                    </td>

                  </tr>
                @endforeach
              @endif

            </tbody>

          </table>


        </div>

        <div class="card-footer">

        </div>
      </div>



    </div>




{{-- **************************************** --}}
{{-- DIV PRECISAS ************ --}}
{{-- **************************************** --}}

    <div class="col-md-12 section-instalacion instalacion-divisiones">

      <div class="card">
        <div class="card-header">
          <span class="titulo">Divisiones precisas</span>
          <span class="open-close-card" onclick="toggleCardBody(this, 3)">
            @if(session('pestana_actual') == 3)
              <i class='bx bx2 bx-folder-minus'></i>
            @else
              <i class='bx bx2 bxs-folder-plus'></i>
            @endif
            {{-- <i class='bx bx2 bxs-chevron-down' ></i><i class='bx bx-dots-horizontal'></i> --}}
          </span>
        </div>

        <div class="card-body coll-able pest-3 @if(session('pestana_actual') == 3) opened @endif">

          <div class="row">
            <div class="col-md-12">
                <div class="creator-wrapper">
                    <div class="flex5">
                      <input id="pre_nombre" name="pre_nombre" type="text" placeholder="Nombre" value=""/>
                    </div>
                </div>
                <div class="creator-wrapper">
                  <div class="flex2">
                    <input id="pre_fecha" name="pre_fecha" type="date" placeholder="" value=""/>
                  </div>
                  <div class="flex2">
                    <input type="checkbox" name="check_dia_semana" id="check_dia_semana" />
                    @php
                    $dias = (object)[
                      (object) [
                        'texto' => 'Lunes',
                        'value' => 1
                      ],
                      (object) [
                        'texto' => 'Martes',
                        'value' => 2
                      ],
                      (object) [
                        'texto' => 'Miercoles',
                        'value' => 3
                      ],
                      (object) [
                        'texto' => 'Jueves',
                        'value' => 4
                      ],
                      (object) [
                        'texto' => 'Viernes',
                        'value' => 5
                      ],
                      (object) [
                        'texto' => 'Sábado',
                        'value' => 6
                      ],
                      (object) [
                        'texto' => 'Domingo',
                        'value' => 7
                      ],
                    ];
                    @endphp

                    <x-select class="tipos-all" :options="$dias" name="pre_dia_semana" id="pre_dia_semana" :selected_value="0" disabled></x-select>
                  </div>
                </div>
                <div class="creator-wrapper">
                  <div class="flex2">
                    <input id="pre_inicio" name="pre_inicio" type="time" placeholder="" value="10:00"/>
                  </div>
                  <div class="flex2">
                    <input id="pre_final" name="pre_final" type="time" placeholder="" value="20:00"/>
                  </div>
              @if($agent->isMobile())
                </div>
                <div class="creator-wrapper">
              @endif
                  <div class="flex3">
                    <x-select-tipos class="tipos-all" :tipos="$tipos" name="tipos_creation_pre" id="tipos_creation_pre"></x-select-tipos>
                  </div>
                  <div class="flex2">
                    <input id="pre_plazas" name="pre_plazas" type="number" value="1" placeholder="plazas"/>
                  </div>
                </div>
                <br>
              <span class="btn btn-success" onclick="crearDivisionPre({{$instalacion->id}});"><i class='bx bx2 bxs-add-to-queue'></i> Añadir División</span>
            </div>
          </div>


          <table id="table-here" class="table table-hover no-footer table-here jugadores" role="grid">

              <thead class="thead-dark">
                <tr role="row" class="">
                    <th scope="col" style="width:5%">id</th>
                    <th scope="col" style="width:20%" class="left">nombre</th>
                    <th scope="col" style="width:8%">fecha</th>
                    <th scope="col" style="width:8%">dia Sem.</th>
                    <th scope="col" style="width:8%">inicio</th>
                    <th scope="col" style="width:8%">final</th>
                    <th scope="col" style="width:15%" class="left">tipo</th>
                    <th scope="col" style="width:5%" class="left">plazas</th>
                    <th scope="col" style="width:5%">Estado</th>
                    <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
                </tr>
              </thead>

            <tbody>
              @if(count($divisiones_pre) > 0)
                @foreach($divisiones_pre as $div)
                  <tr class="div-def">

                    <td scope="row" data-label="id">{{ $div->id }}</td>
                    <td class="left" data-label="nombre">
                      <input class="pre_nombre" name="pre_nombre" type="text" placeholder="Nombre" value="{{ $div->descripcion }}"/>
                    </td>
                    <td class="left" data-label="fecha">
                      <input class="pre_dia" name="pre_dia" type="date" placeholder="" value="{{ $div->dia }}"/>
                    </td>
                    <td class="left" data-label="diasemana">
                      <x-select class="tipos-all pre_dia_semana" :options="$dias" name="pre_dia_semana" id="pre_dia_semana_{{$div->id}}" :selected_value="$div->dia_semana" disabled></x-select>
                    </td>
                    <td class="left" data-label="inicio">
                      <input class="pre_inicio" name="pre_inicio" type="time" placeholder="" value="{{ $div->hora_apertura }}"/>
                    </td>
                    <td class="left" data-label="final">
                      <input class="pre_final" name="pre_final" type="time" placeholder="" value="{{ $div->hora_cierre }}"/>
                    </td>
                    <td class="left" data-label="tipo">
                      <x-select-tipos class="tipos-all" :tipos="$tipos" name="tipos_creation" id="tipos-edit" :selected_id="$div->id_tipo"></x-select-tipos>
                    </td>
                    <td class="left" data-label="plazas">
                      <input class="pre_plazas" name="pre_plazas" type="number" value="{{ $div->plazas_max }}" placeholder="plazas"/>
                    </td>
                    <td class="center" data-label="Estado" style="background-color:{{ $div->get_estado()->color }};" >
                      {{ $div->get_estado()->nombre }}
                    </td>
                    <td class="text-right" data-label="Acciones">

                      <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Guardar"
                      onclick="guardarDivisionPre({{$div->id}}, this)">
                        <i class='bx bxs-save' ></i>
                      </button>
                      @if($div->activo)
                        <button class="btn btn-warning btn-actions" data-toggle="tooltip" data-placement="top" title="Desactivar"
                        onclick="cambiarEstadoDivision({{$div->id}}, 'pre', this)">
                          <i class='bx bx-stop' ></i>
                        </button>
                      @else
                        <button class="btn btn-success btn-actions" data-toggle="tooltip" data-placement="top" title="Activar"
                        onclick="cambiarEstadoDivision({{$div->id}}, 'pre', this)">
                          <i class='bx bx-play' ></i>
                        </button>
                      @endif
                      <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema"
                      onclick="eliminarDivisionPre({{ $div->id }}, this);" data-name="{{$div->descripcion}}">
                        <i class='bx bxs-trash'></i>
                      </button>

                    </td>

                  </tr>
                @endforeach
              @endif

            </tbody>

          </table>


        </div>

        <div class="card-footer">

        </div>
      </div>



    </div>


    {{-- **************************************** --}}
    {{-- TIPOS DIV ************ --}}
    {{-- **************************************** --}}

    <div class="col-md-12 section-instalacion instalacion-divisiones">

      <div class="card">
        <div class="card-header">
          <span class="titulo">Tipos de divisiones</span>
          <span class="open-close-card" onclick="toggleCardBody(this, 4)">
            @if(session('pestana_actual') == 4)
              <i class='bx bx2 bx-folder-minus'></i>
            @else
              <i class='bx bx2 bxs-folder-plus'></i>
            @endif
          </span>
        </div>

        <div class="card-body coll-able pest-4 @if(session('pestana_actual') == 4)opened @endif">

          <div class="row">
            <div class="col-md-12">
                <div class="creator-wrapper">
                  <div class="flex3">
                    <input id="tipo_div_nombre" name="tipo_div_nombre" type="text" placeholder="Nombre" value=""/>
                  </div>
                  <div class="flex8">
                    <input id="tipo_div_desc" name="tipo_div_desc" type="text" placeholder="Descripción" value=""/>
                  </div>
                  <div class="flex1 ml-4">
                    <p>Estado del tipo</p>
                    <div class="page__toggle">
                      <label class="toggle">
                        <input name="tipo_sub_activo" class="toggle__input" type="checkbox" checked>
                        <span class="toggle__label">
                          <span class="toggle__text">Activo</span>
                        </span>
                      </label>
                    </div>
                  </div>
                </div>
                <br>
                <span class="btn btn-success" onclick="crearTipoSub({{$instalacion->id}});"><i class='bx bx2 bxs-add-to-queue'></i> Añadir Tipo</span>
            </div>
          </div>

          <table id="table-here" class="table table-hover no-footer table-here jugadores" role="grid">

              <thead class="thead-dark">
                <tr role="row" class="">
                    <th scope="col" style="width:3%">id</th>
                    <th scope="col" style="width:20%" class="left">nombre</th>
                    <th scope="col" style="width:50%">Descripción</th>
                    <th scope="col" style="width:10%">Estado</th>
                    <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
                </tr>
              </thead>

            <tbody>
              @if(count($tipos) > 0)
                @foreach($tipos as $div)
                  <tr class="div-def">

                    <td scope="row" data-label="id">{{ $div->id }}</td>
                    <td class="left" data-label="nombre">
                      <input class="tipo_sub_nombre" name="tipo_sub_nombre" type="text" placeholder="Nombre" value="{{ $div->nombre }}"/>
                    </td>
                    <td class="left" data-label="descripcion">
                      <input class="tipo_sub_descripcion" name="tipo_sub_descripcion" type="text" placeholder="Descripción" value="{{ $div->descripcion }}"/>
                    </td>

                    <td class="center" data-label="Estado" style="background-color:{{ $div->get_estado()->color }};" >
                      {{ $div->get_estado()->nombre }}
                    </td>

                    <td class="text-right" data-label="Acciones">

                      <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Guardar"
                      onclick="guardarDivisionDef({{$div->id}}, this)">
                        <i class='bx bxs-save' ></i>
                      </button>
                      @if($div->activo)
                        <button class="btn btn-warning btn-actions" data-toggle="tooltip" data-placement="top" title="Desactivar"
                        onclick="cambiarEstadoDivision({{$div->id}}, 'def', this)">
                          <i class='bx bx-stop' ></i>
                        </button>
                      @else
                        <button class="btn btn-success btn-actions" data-toggle="tooltip" data-placement="top" title="Activar"
                        onclick="cambiarEstadoDivision({{$div->id}}, 'def', this)">
                          <i class='bx bx-play' ></i>
                        </button>
                      @endif
                      <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema"
                      onclick="eliminarTipoSub({{ $div->id }}, this);" data-name="{{$div->nombre}}">
                        <i class='bx bxs-trash'></i>
                      </button>

                    </td>

                  </tr>
                @endforeach
              @endif

            </tbody>

          </table>

        </div> <!-- CARD BODY -->

        <div class="card-footer">

        </div>
      </div>



    </div>

    @endif
    {{-- SI CARGAMOS UNA INSTALACIÓN EDICION --}}
    @if(!$isnew)

    {{-- **************************************** --}}
    {{-- TURNOS DEF  ************ --}}
    {{-- **************************************** --}}

    <div class="col-md-12 section-instalacion instalacion-turnos">

      <div class="card">
        <div class="card-header">
          <span class="titulo">Turnos por defecto</span>
          <span class="open-close-card" onclick="toggleCardBody(this, 5)">
            @if(session('pestana_actual') == 5)
              <i class='bx bx2 bx-folder-minus'></i>
            @else
              <i class='bx bx2 bxs-folder-plus'></i>
            @endif
          </span>
        </div>

        <div class="card-body coll-able pest-5 @if(session('pestana_actual') == 5)opened @endif">

          <div class="row">
            <div class="col-md-12">
                <div class="creator-wrapper">
                  <div class="flex2">
                    <input type="checkbox" name="turno_check_dia_semana" id="turno_check_dia_semana" />
                    @php
                    $dias = (object)[
                      (object) [
                        'texto' => 'Lunes',
                        'value' => 1
                      ],
                      (object) [
                        'texto' => 'Martes',
                        'value' => 2
                      ],
                      (object) [
                        'texto' => 'Miercoles',
                        'value' => 3
                      ],
                      (object) [
                        'texto' => 'Jueves',
                        'value' => 4
                      ],
                      (object) [
                        'texto' => 'Viernes',
                        'value' => 5
                      ],
                      (object) [
                        'texto' => 'Sábado',
                        'value' => 6
                      ],
                      (object) [
                        'texto' => 'Domingo',
                        'value' => 7
                      ],
                    ];
                    @endphp

                    <x-select class="tipos-all" :options="$dias" name="turno_dia_semana" id="turno_dia_semana" :selected_value="1"></x-select>
                  </div>
                  <div class="flex2">
                    <input id="hora_inicio" name="hora_inicio" type="time" placeholder="" value="10:00"/>
                  </div>
                  <div class="flex2">
                    <input id="hora_final" name="hora_final" type="time" placeholder="" value="20:00"/>
                  </div>
                  <div class="flex2">
                    <p>Estado del turno</p>
                    <div class="page__toggle">
                      <label class="toggle">
                        <input name="tipo_sub_activo" class="toggle__input" type="checkbox" checked>
                        <span class="toggle__label">
                          <span class="toggle__text">Activo</span>
                        </span>
                      </label>
                    </div>
                  </div>

                </div>
                <br>
                <span class="btn btn-success" onclick="crearTurno({{$instalacion->id}});"><i class='bx bx2 bxs-add-to-queue'></i> Añadir Turno</span>
            </div>
          </div>

          <table id="table-turnos-def" class="table table-hover no-footer turnos" role="grid">

              <thead class="thead-dark">
                <tr role="row" class="">
                    <th scope="col" style="width:3%">id</th>
                    <th scope="col" style="width:20%" class="left">Día</th>
                    <th scope="col" style="width:20%">Hora inicio</th>
                    <th scope="col" style="width:20%">Hora término</th>
                    <th scope="col" style="width:5%" class="center">Estado</th>
                    <th scope="col" style="width:auto" class="left no-click">Acciones</th>
                </tr>
              </thead>

            <tbody>
              @if(count($turnos_def) > 0)
                @foreach($turnos_def as $div)
                  <tr class="div-def">

                    <td scope="row" data-label="id">{{ $div->id }}</td>
                    <td class="left" data-label="diasemana">
                      <x-select class="tipos-all turno_def_dia_semana" :options="$dias" name="turno_def_dia_semana" id="turno_def_dia_semana_{{$div->id}}" :selected_value="$div->dia_semana"></x-select>
                    </td>
                    <td class="left" data-label="inicio">
                      <input class="turno_def_inicio" name="turno_def_inicio" type="time" placeholder="" value="{{ $div->hora_comienzo }}"/>
                    </td>
                    <td class="left" data-label="final">
                      <input class="turno_def_final" name="turno_def_final" type="time" placeholder="" value="{{ $div->hora_termino }}"/>
                    </td>

                    <td class="center" data-label="Estado" style="color:@if($div->activo) rgb(39, 102, 38); @else rgb(156, 44, 29); @endif text-align:center;">
                      @if($div->activo) <i class='bx bxs-up-arrow'></i> @else <i class='bx bxs-down-arrow' ></i> @endif
                    </td>

                    <td class="text-right" data-label="Acciones">

                      <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Guardar"
                      onclick="guardarTurnoDef({{$div->id}}, this)">
                        <i class='bx bxs-save' ></i>
                      </button>
                      @if($div->activo)
                        <button class="btn btn-warning btn-actions" data-toggle="tooltip" data-placement="top" title="Desactivar"
                        onclick="cambiarEstadoTurno({{$div->id}}, 'def', this)">
                          <i class='bx bx-stop' ></i>
                        </button>
                      @else
                        <button class="btn btn-success btn-actions" data-toggle="tooltip" data-placement="top" title="Activar"
                        onclick="cambiarEstadoTurno({{$div->id}}, 'def', this)">
                          <i class='bx bx-play' ></i>
                        </button>
                      @endif
                      <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema"
                      onclick="eliminarTurno({{ $div->id }}, this);" data-name="{{$div->nombre}}">
                        <i class='bx bxs-trash'></i>
                      </button>

                    </td>

                  </tr>
                @endforeach
              @endif

            </tbody>

          </table>

        </div> <!-- CARD BODY -->

        <div class="card-footer">

        </div>

      </div> <!-- CARD -->
    </div> <!-- COL -->



    {{-- **************************************** --}}
    {{-- TURNOS PRE  ************ --}}
    {{-- **************************************** --}}

    <div class="col-md-12 section-instalacion instalacion-turnos">

      <div class="card">
        <div class="card-header">
          <span class="titulo">Turnos Precisos</span>
          <span class="open-close-card" onclick="toggleCardBody(this, 6)">
            @if(session('pestana_actual') == 6)
              <i class='bx bx2 bx-folder-minus'></i>
            @else
              <i class='bx bx2 bxs-folder-plus'></i>
            @endif
          </span>
        </div>

        <div class="card-body coll-able pest-6 @if(session('pestana_actual') == 6)opened @endif">

          <div class="row">
            <div class="col-md-12">
                <div class="creator-wrapper">

                  <div class="flex2">
                    <input id="dia" name="dia" type="date" placeholder="" value="today"/>
                  </div>
                  {{-- <div class="flex2">
                    <x-select class="tipos-all turno_pre_dia_semana" :options="$dias" name="turno_pre_dia_semana" id="turno_pre_dia_semana_{{$div->id}}" :selected_value="$div->dia_semana"></x-select>
                  </div> --}}

                  <div class="flex2">
                    <input id="hora_inicio" name="hora_inicio" type="time" placeholder="" value="10:00"/>
                  </div>
                  <div class="flex2">
                    <input id="hora_final" name="hora_final" type="time" placeholder="" value="20:00"/>
                  </div>

                </div>
                <br>
                <span class="btn btn-success" onclick="crearTurno({{$instalacion->id}});"><i class='bx bx2 bxs-add-to-queue'></i> Añadir Turno</span>
            </div>
          </div>

          <table id="" class="table table-hover no-footer turnos" role="grid">

              <thead class="thead-dark">
                <tr role="row" class="">
                    <th scope="col" style="width:3%">id</th>
                    <th scope="col" style="width:10%">Fecha</th>
                    {{-- <th scope="col" style="width:10%">Día semana</th> --}}
                    <th scope="col" style="width:10%">Hora inicio</th>
                    <th scope="col" style="width:10%">Hora término</th>
                    <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
                </tr>
              </thead>

            <tbody>
              @if(count($turnos_pre) > 0)
                @foreach($turnos_pre as $div)
                  <script>
                    console.log(''+'@php echo $div->dia @endphp');
                  </script>
                  <tr class="div-def">
                    <td scope="row" data-label="id">{{ $div->id }}</td>
                    <td class="left" data-label="fecha">
                        <input class="turno_pre_fecha" name="turno_pre_fecha" type="date" placeholder="" value="{{ $div->dia }}"/>
                    </td>
                    {{-- TODO :: PODER CREAR DIA DE LA SEMANA  --}}
                    {{-- <td class="left" data-label="diasemana">
                      <x-select class="tipos-all turno_pre_dia_semana" :options="$dias" name="turno_pre_dia_semana" id="turno_pre_dia_semana_{{$div->id}}" :selected_value="$div->dia_semana"></x-select>
                    </td> --}}
                    <td class="left" data-label="inicio">
                      <input class="turno_pre_inicio" name="turno_pre_inicio" type="time" placeholder="" value="{{ $div->hora_comienzo }}"/>
                    </td>
                    <td class="left" data-label="final">
                      <input class="turno_pre_final" name="turno_pre_final" type="time" placeholder="" value="{{ $div->hora_termino }}"/>
                    </td>

                    <td class="text-right" data-label="Acciones">

                      <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Guardar"
                      onclick="guardarTurnoPre({{$div->id}}, this)">
                        <i class='bx bxs-save' ></i>
                      </button>
                      <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema"
                      onclick="eliminarTipoSub({{ $div->id }}, this);" data-name="{{$div->nombre}}">
                        <i class='bx bxs-trash'></i>
                      </button>

                    </td>

                  </tr>
                @endforeach
              @endif

            </tbody>

          </table>

        </div> <!-- CARD BODY -->

        <div class="card-footer">

        </div>
      </div>
    </div>

  @endif
  {{-- SI CARGAMOS UNA INSTALACIÓN EDICION --}}
  @if(!$isnew)

    {{-- **************************************** --}}
    {{-- RESERVAS  ************ --}}
    {{-- **************************************** --}}

    <div class="col-md-12 section-instalacion instalacion-reservas">

      <div class="card">
        <div class="card-header">
          <span class="titulo">Reservas</span>
          <span class="open-close-card" onclick="toggleCardBody(this, 7)">
            @if(session('pestana_actual') == 7)
              <i class='bx bx2 bx-folder-minus'></i>
            @else
              <i class='bx bx2 bxs-folder-plus'></i>
            @endif
          </span>
        </div>

        <div class="card-body coll-able pest-7 @if(session('pestana_actual') == 7)opened @endif">

          <table id="" class="table table-hover no-footer turnos evenor" role="grid">

              <thead class="thead-dark">
                <tr role="row" class="">
                    <th scope="col" style="width:3%">id</th>
                    <th scope="col" style="width:15%" class="left">Referencia</th>
                    <th scope="col" style="width:15%" class="left">Fecha</th>
                    <th scope="col" style="width:15%" class="left">Usuario</th>
                    <th scope="col" style="width:20%">Instalación</th>
                    <th scope="col" style="width:10%">Estado</th>
                    <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
                </tr>
              </thead>

            <tbody>

              @if(count($reservas) > 0)
                @foreach($reservas as $div)
                  <tr class="div-reservas">

                    <td scope="row" data-label="id">
                      <span class="small-text">{{ $div->id }} </span>
                    </td>
                    <td class="left" data-label="referencia">
                      <span class="small-text">{{ $div->ref }} </span>
                    </td>
                    <td class="left" data-label="fecha">
                      <span class="small-text">{{ $div->get_fecha_hora() }} </span>
                    </td>
                    <td class="left" data-label="usuario">
                      <span class="small-text with-link" onclick="openUsuario({{$div->user->id}})">{{ $div->user->name }} </span>
                    </td>
                    <td class="left" data-label="instalacion">
                      <span class="small-text with-link" onclick="openInstalacion({{$div->instalacion->id}})">{{ $div->instalacion->nombre }} </span>
                    </td>

                    <td class="center" data-label="Estado" style="background-color:{{ $div->get_estado()->bg_color }}; @if($div->id_status >3)color:#FFF;@endif" >
                      <span class="small-text">{{ $div->get_estado()->nombre }}</span>
                    </td>

                    <td class="text-right" data-label="Acciones">

                      <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Editar"
                      onclick="openReserva({{$div->id}})">
                        <i class='bx bx-calendar-edit' ></i>
                      </button>

                      <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema"
                      onclick="eliminarTipoSub({{ $div->id }}, this);" data-name="{{$div->ref}}">
                        <i class='bx bxs-trash'></i>
                      </button>

                    </td>

                  </tr>
                @endforeach

              @else
                <tr><td colspan="7">No hay reservas que mostrar bajo el criterio seleccionado</td></tr>
              @endif

            </tbody>

          </table>

        </div> <!-- CARD BODY -->

        <div class="card-footer">

        </div>
      </div>
    </div>

  @endif


    {{-- TODO s --}}

    {{-- TODO :: Agregar ver semana: Un calendario donde poder ver los turnos existentes para esta instalación (tanto default como precisos)--}}
    {{-- TODO :: Comprobar si existe ya un turno para ese horario al crear un turno nuevo --}}
  </div>
@endsection

<script src="/js/admin/helper.js"></script>
<script src="/js/admin/instalacion.js"></script>


<script>

window.onload = function() {
  $('[data-toggle=tooltip]').tooltip();
  $("#ins_imagen").on('change',function(){
    let file = document.getElementById('ins_imagen').files[0];
    $('div.prev-image > img').attr('src', URL.createObjectURL(file));
  });
  $("#ins_normativa").on('change',function(){
    let file = document.getElementById('ins_normativa').files[0].name;
    $('#normativa-file-selected').html(file);
  });


  // $('.card-body.coll-able').css('display', 'none');

  @if(session('pestana_actual') && false)
    $('.card-body.coll-able.pest-'+'{{ session('pestana_actual')}}').show('fast');
  @endif

  // Controlador de dia y dia_semana para la edición.
  $(".pre_dia_semana").on('change',function(){
    checkDiaFecha(this, 'dia_sem');
  });
  $(".pre_dia").on('change',function(){
    checkDiaFecha(this, 'fecha');
  });

  // Controlador de dia y dia_semana para la creación.
  $("#pre_dia_semana").on('change',function(){
    checkDiaFechaAdd(this, 'dia_sem');
  });
  $("#pre_fecha").on('change',function(){
    checkDiaFechaAdd(this, 'fecha');
  });

  // table fancytable
  $(".turnos").fancyTable({
      // sortColumn: 1,
      globalSearch: true,
      perPage: 50,
      pagination: true,
      paginationClass : 'btn btn-secundary',
      paginationClassActive : 'btn btn-primary',
      inputPlaceholder: 'Buscar...',
      inputStyle: 'color:rgb(106, 136, 180);font-size:0.8rem;',
      onUpdate: function() {
        // $('.toggleable').hide('fast');
      }
  });

  filtrar('instalacion-configuracion');

};

</script>
