@extends('dashboard')


@section('section')

  <div class="admin-container" id="test">

    <div class="admin-main-title">

      <div class="row same-height">
        <div class="col-11 col-md-10 same-height-col">
          <h1>Grupos de instalaciones</h1>
          <div class="subtitle">
            <p>Instalaciones agrupadas por categoria</p>
          </div>
        </div>
        <div class="col-1 col-md-2 same-height-col text-right">
          @canany(['is-root', 'is-admin', 'is-gerente'])
            <ul class="wrapper">
              <li class="icon view">
                <span class="tooltip">Nueva instalación</span>
                <span class="is-link" onclick="openInstalacion(0)"> <i class='bx bx-plus' ></i></span>
              </li>
            </ul>
          @endcanany
          <ul class="wrapper grouped">
            <li class="icon view">
              <span class="tooltip">Vista simple</span>
              <span class="is-link" onclick="setVistaInstalaciones('simple')"> <i class='bx bx-grid' ></i> </span>
            </li>
            <li class="icon view">
              <span class="tooltip">Vista detallada</span>
              <span class="is-link" onclick="setVistaInstalaciones('square')"> <i class='bx bxs-square-rounded' ></i> </span>
            </li>
          </ul>
        </div>
      </div>
    </div>
    {{-- DATOS DEL EQUIPÔ --}}

    <div class="col-md-12 categorias">

      @foreach($categorias as $categoria)
        <div class="categoria-simple flex" style="background-image:url({{$categoria->get_imagen_url()}});" onclick="openCategoria({{$categoria->id}})">
          <div class="left-side">

          </div>
          <div class="right-side">
            <div class="creator-wrapper cat-titulo smaller">
              <span>Grupo</span>
            </div>
            <div class="creator-wrapper cat-titulo">
              <span>{{ $categoria->nombre }}</span>
            </div>
            <div class="separator-10"></div>
            <div class="creator-wrapper cat-desc">
              <p>{{ $categoria->descripcion }}</p>
            </div>
            <div class="separator-10"></div>
            <div class="cat-datos">
              Instalaciones: {{count($categoria->instalaciones)}}
            </div>

          </div>
        </div>
      @endforeach

    </div>


    <div class="admin-main-title">

      <div class="row same-height">
        <div class="col-12 col-md-12 same-height-col">
          <h1>Instalaciones sin categoria</h1>
          <div class="subtitle">
            <p>Instalaciones que no pertenecen a ningún grupo</p>
          </div>
        </div>
      </div>
    </div>

    <div class="col-md-12 categorias">

      @foreach($sin_categoria as $instalacion)
        <div class="categoria-simple flex" style="background-image:url({{$instalacion->get_imagen()}});" onclick="openInstalacion({{$instalacion->id}})">
          <div class="left-side">

          </div>
          <div class="right-side">
            <div class="creator-wrapper cat-titulo smaller">
              <span>Instalación</span>
            </div>
            <div class="creator-wrapper cat-titulo">
              <span>{{ $instalacion->nombre }}</span>
            </div>
            <div class="separator-10"></div>
            <div class="creator-wrapper cat-desc">
              <p>{{ $instalacion->descripcion_corta }}</p>
            </div>

          </div>
        </div>
      @endforeach

    </div>

</div>
@endsection

<script src="/js/admin/helper.js"></script>


<script>

window.onload = function() {
  $('[data-toggle=tooltip]').tooltip();

};

</script>
