
@extends('dashboard')


@section('section')

  <div class="admin-container" id="test">

    <div class="admin-main-title">

      <div class="row same-height">
        <div class="col-1 col-md-1 same-height-col">
          {{-- @if($team->crest == NULL)
            <img class="mt-4 mt-4" src="/imagenes/app/escudo-generico.png" width="100%" />
          @else
            <img class="mt-4 mt-4" src="{{ $team->crest }}" width="100%" />
          @endif --}}
        </div>
        <div class="col-11 col-md-11 same-height-col">
          <h1>{{ $instalacion->nombre }}</h1>
          <div class="subtitle">
            <p></p>
          </div>
        </div>
      </div>
    </div>

    {{-- DATOS DEL EQUIPÔ --}}

    <div class="col-md-12">

      <div class="card">
        <div class="card-header">
          datos del equipo
        </div>

        <div class="card-body special-form">

          <form method="post" id="team_info" action="{{ route('adminUpdateMyteamInfo') }}" enctype="multipart/form-data">

           <input type="hidden" name="_token" id="csrf-token" value="{{ Session::token() }}" />
           <input type="hidden" name="team_id" id="team_id" value="{{ $team->id }}" />


            <ul>
                <li class="half-left">
                    <input id="full_name" name="full_name" type="text" placeholder="{{ $team->full_name }}" value="{{ $team->full_name }}"/>
                    <label for="full_name">Nombre:</label>
                </li>
                <li class="half-right">
                    <input id="short_name" name="short_name" type="text" placeholder="{{ $team->short_name }}" value="{{ $team->short_name }}"/>
                    <label for="short_name">Nombre Corto:</label>
                </li>
                <li class="half-left">
                    <input id="acronyms" name="acronyms" type="text" placeholder="{{ $team->acronyms }}" value="{{ $team->acronyms }}"/>
                    <label for="acronyms">Acrónimo (Abreviatura):</label>
                </li>
                {{-- <li>
                    <input id="email" name="email" type="text" placeholder="{{ $user->email }}" value="{{ $user->email }}"/>
                    <label for="email">Notification Email :</label>
                </li> --}}
                <li class="half-right">
                    <input id="fundation" name="fundation" type="date" @if($team->fundation_year != NULL)  value="{{ $team->fundation_year }}" @else value='1900-01-01' @endif/>
                    <label for="fundation">Fecha de Fundación :</label>
                </li>

                <li class="full">
                  <div class="col-12 col-md-4"></div>
                  <div class="form-group pt-4 profile-image col-12 col-md-4">
                      @if($team->crest == NULL)
                        <img class="mt-4 mt-4" src="/imagenes/app/escudo-generico.png" width="100%" />
                      @else
                        <img class="mt-4 mt-4" src="{{ $team->crest }}" width="100%" />
                      @endif
                      <label for="image">Escudo del equipo :</label>
                      <input id="image" type="file" name="image">
                  </div>
                </li>
            </ul>

            <div class="col-md-12">
              <button class="btn btn-success text-white" type="submit">GUARDAR</button>
            </div>

        </form>

        </div>

        <div class="card-footer">

        </div>
      </div>



    </div>




    <div class="col-md-12">

      <div class="card">
        <div class="card-header">
          Partidos del equipo
        </div>

        <div class="card-body">

          <div class="row">
            <div class="col-md-12">
              <span class="btn btn-success" onclick="goTo('crear-partido')"><i class="icon voyager-list-add"></i>Añadir partido</span>
            </div>
          </div>

          <table id="table-here" class="table table-hover no-footer table-here jugadores" role="grid">

              <thead class="thead-dark">
                <tr role="row" class="d-flex">
                    <th scope="col" style="width:10%">Fecha</th>
                    <th scope="col" style="width:10%">Día</th>
                    <th scope="col" style="width:10%">Hora</th>
                    <th scope="col" style="width:20%" class="left">Tipo de Partido</th>
                    <th scope="col" style="width:15%" class="left">Marcador</th>
                    <th scope="col" style="width:10%">Estado</th>
                    <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
                </tr>
              </thead>

            <tbody>
              @foreach($matches as $match)
                <tr class="d-flex">

                  <td scope="row" data-label="Fecha">{{ $match->date }}</td>
                  <td scope="row" data-label="dia">Lunes</td>
                  <td scope="row" data-label="Hora">{{ $match->time }}</td>
                  <td class="" data-label="Tipo">{{ $match->type_of_game_id }}</td>
                  <td class="left" data-label="marcador">{{ $match->team_one_goals }} - {{ $match->team_two_goals }}</td>
                  <td class="left" data-label="Estado"
                  style="background-color:#6c6c6c;" >
                    {{ $match->status }}
                  </td>
                  <td class="text-right" data-label="Acciones">

                    <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Editar"
                    onclick="">
                      <span class="icon voyager-zoom-in"></span>
                    </button>

                    <button class="btn btn-warning btn-actions" data-toggle="tooltip" data-placement="top" title="Verificar Partido"
                    onclick="goTo('verificar-partido', '{{ $match->id }}')">
                    <span class="icon voyager-check"></span>
                    </button>

                    <button class="btn btn-danger btn-actions" data-toggle="tooltip" data-placement="top" title="Cancelar Partido"
                    onclick="">
                    <span class="icon voyager-exclamation"></span>
                    </button>

                    <button class="btn btn-danger btn-actions" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema"
                    onclick="">
                    <span class="icon voyager-x"></span>
                    </button>

                  </td>

                </tr>
              @endforeach

            </tbody>

          </table>


        </div>

        <div class="card-footer">

        </div>
      </div>



    </div>


    <div class="col-md-12">

      <div class="card">
        <div class="card-header">
          Estadisticas y Números de mi equipo
        </div>

        <div class="card-body special-form">




        </div>

        <div class="card-footer">

        </div>
      </div>



    </div>

  </div>
@endsection


<script>

function docReady(fn) {
    // see if DOM is already available
    if (document.readyState === "complete" || document.readyState === "interactive") {
        // call on next available tick
        setTimeout(fn, 1);
    } else {
        document.addEventListener("DOMContentLoaded", fn);
    }
}

docReady(function() {


    // TOASTR OPTIONS START

    toastr.options = {
        'closeButton': true,
        'debug': false,
        'newestOnTop': false,
        'progressBar': true,
        // 'positionClass': 'toast-top-right',
        'positionClass': 'toast-bottom-full-width',
        'preventDuplicates': false,
        'showDuration': '2500',
        'hideDuration': '1000',
        'timeOut': '5000',
        'extendedTimeOut': '1000',
        'showEasing': 'swing',
        'hideEasing': 'linear',
        'showMethod': 'fadeIn',
        'hideMethod': 'fadeOut',
    };


    $(".table-here").fancyTable({
        sortColumn: 0,
        globalSearch: true,
        perPage: 25,
        pagination: true,
        paginationClass : 'btn btn-secundary',
        paginationClassActive : 'btn btn-primary',
        inputPlaceholder: 'Buscar...',
        onUpdate: function() {
          // $('.toggleable').hide('fast');
        }
    });


    $('[data-toggle="tooltip"]').tooltip();

    // ALERTIFY OPTIONS
    //override defaults
    // alertify.defaults.transition = "slide";
    // alertify.defaults.theme.input = "form-control";
    // alertify.defaults.theme.ok = "btn btn-success";
    // alertify.defaults.theme.cancel = "btn btn-secondary";


// END OF docReady()
});

</script>
