
@php
$agent = session('agent');
@endphp
@extends('dashboard')


@section('section')

  <div class="admin-container" id="test">

    <div class="admin-main-title">

      <div class="row same-height">
        <div class="col-12 col-md-10 same-height-col">
          <h1>{{ $titulo }}</h1>
          <div class="subtitle">
            <p>{{$subtitulo}}</p>
          </div>
        </div>
        <div class="col-12 col-md-2 same-height-col text-right">
          @if(isset($reserva))
            <ul class="wrapper">
              <li class="icon view">
                <span class="tooltip">Nueva Reserva</span>
                <span class="is-link" onclick="go('nueva-reserva')"> <i class='bx bx bx-calendar-plus' ></i> </span>
              </li>
            </ul>
          @endif
          <x-go-back></x-go-back>
        </div>
      </div>
    </div>


    {{-- **************************************** --}}
    {{-- TIPOS DIV ************ --}}
    {{-- **************************************** --}}

    <div class="col-md-12">

      <div class="card">
        <div class="card-header">
          <span class="titulo">
            @if(isset($reserva))
              {{ $reserva->ref }}
            @else
              Crear nueva reserva
            @endif
          </span>
          <span class="open-close-card" onclick="toggleCardBody(this, 1)">
            @if(session('pestana_actual') == 1)
              <i class='bx bx2 bx-folder-minus'></i>
            @else
              <i class='bx bx2 bxs-folder-plus'></i>
            @endif
          </span>
        </div>

        <div class="card-body coll-able pest-1 @if(session('pestana_actual') == 1)opened @endif">

          <div class="row">
            <div class="col-md-12" id="floating-label">
              <input class="form-control" id="res_id" name="res_id" type="hidden" placeholder="id"
              @if(isset($reserva)) value="{{ $reserva->id }}"@endif/>

                <div class="creator-wrapper">
                  <h3>Datos de la booking</h3>
                </div>
                <div class="creator-wrapper">
                  @if(isset($reserva))
                    <div class="flex4">
                      <div class="form-group">
                        <label class="control-label">Referencia</label>
                        <input class="form-control" id="res_ref" name="res_ref" type="text" placeholder="Referencia" @if(isset($reserva)) value="{{ $reserva->ref }}" disabled @endif/>
                      </div>
                    </div>
                  @endif

                  @if($agent->isMobile())
                    </div>
                    <div class="creator-wrapper">
                  @endif
                  <div class="flex1">
                    <div class="form-group">
                      <label class="control-label">Fecha</label>
                      <input class="form-control" id="res_fecha" name="res_fecha" type="date" placeholder="Fecha" @if(isset($reserva)) value="{{ $reserva->fecha }}" disabled @endif/>
                    </div>
                  </div>

                  @if($agent->isMobile())
                    </div>
                    <div class="creator-wrapper">
                  @endif

                  <div class="flex3">
                    <div class="form-group">
                      <label class="control-label">Turno</label>
                      <input class="form-control" id="res_turno" name="res_turno" type="text" placeholder="Turno" @if(isset($reserva)) value="{{ $reserva->turno->get_hora_comienzo() }} - {{ $reserva->turno->get_hora_termino() }}" disabled @endif/>
                      <input class="form-control" id="res_turno_id" name="res_turno_id" type="hidden" @if(isset($reserva)) value="{{ $reserva->turno->id }}" disabled @endif/>
                      <input class="form-control" id="res_turno_tipo" name="res_turno_tipo" type="hidden" @if(isset($reserva)) value="{{ $reserva->tipo_turno }}" disabled @endif/>
                    </div>
                  </div>

                    <div class="flex1 actioner">
                      <i class='bx bx2 bx-search-alt' onclick="openSelectorTurno()"></i>
                    </div>


                  @if($agent->isMobile())
                  </div>
                  <div class="creator-wrapper">
                  @endif

                  <div class="flex2">
                    <div class="form-group">
                      <label class="control-label">Usuario</label>
                      <input class="form-control" id="res_usuario" name="res_usuario" type="text" placeholder="Usuario" @if(isset($reserva)) value="{{ $reserva->user->name }}" disabled @endif/>
                    </div>
                  </div>

                  @if($agent->isMobile())
                    </div>
                    <div class="creator-wrapper">
                  @endif

                  <div class="flex2">
                    <div class="form-group">
                      <label class="control-label">Email</label>
                      <input class="form-control" id="res_email" name="res_email" type="text" placeholder="Email" @if(isset($reserva)) value="{{ $reserva->user->email }}" disabled @endif/>
                    </div>
                  </div>
                  <div class="flex1">
                    <div class="form-group">
                      <label class="control-label">Teléfono</label>
                      <input class="form-control" id="res_telefono" name="res_telefono" type="text" placeholder="Telefono" @if(isset($reserva)) value="{{ $reserva->user->telefono }}" disabled @endif/>
                    </div>
                  </div>

                </div>

                <div class="creator-wrapper">
                  <div class="flex2">
                    <div class="form-group">
                      <label class="control-label">Instalación</label>
                      <input class="form-control" id="res_instalacion_nombre" name="res_instalacion_nombre" type="text" placeholder="Instalación" @if(isset($reserva)) value="{{ $reserva->instalacion->nombre }}" disabled @endif/>
                      <input class="form-control" id="res_instalacion_id" name="res_instalacion_id" type="hidden" placeholder="Instalación" @if(isset($reserva)) value="{{ $reserva->instalacion->id }}" disabled @endif/>
                    </div>
                  </div>

                  @if($agent->isMobile())
                    </div>
                    <div class="creator-wrapper">
                  @endif

                  <div class="flex2">
                    <div class="form-group">
                      <label class="control-label">División</label>
                      <input class="form-control" id="res_division_nombre" name="res_division_nombre" type="text" placeholder="División" @if(isset($reserva)) value="{{ $reserva->division->descripcion }}" disabled @endif/>
                      <input class="form-control" id="res_division_id" name="res_division_id" type="hidden" placeholder="División" @if(isset($reserva)) value="{{ $reserva->division->id }}" disabled @endif/>
                    </div>
                  </div>
                  @if(isset($reserva) && $reserva->id_tipo_sub != 0)
                    <div class="flex2">
                      <div class="form-group">
                        <label class="control-label">Tipo de División</label>
                        <input class="form-control" id="res_tipo_div_nombre" name="res_tipo_div_nombre" type="text" placeholder="Tipo División" @if(isset($reserva)) value="{{ $reserva->tipo_division->nombre }}" disabled @endif/>
                        <input class="form-control" id="res_tipo_div_id" name="res_tipo_div_id" type="hidden" placeholder="Tipo División" @if(isset($reserva)) value="{{ $reserva->tipo_division->id }}" disabled @endif/>
                      </div>
                    </div>
                  @endif
                  {{-- <div class="flex1 actioner">
                    <i class='bx bx2 bx-search-alt' onclick="openSelectorDivision()"></i>
                  </div> --}}

                  @if(!$agent->isMobile())
                    <div class="flex7">
                    </div>
                  @endif
                </div>

                <div class="creator-wrapper">
                  <div class="flex2">
                    <p>Reserva multiple</p>
                    <div class="page__toggle">
                      <label class="toggle">
                        <input name="tipo_sub_activo" class="toggle__input" type="checkbox" @if(isset($reserva) && $reserva->multiple)checked @endif>
                        <span class="toggle__label">
                          <span class="toggle__text">Activo</span>
                        </span>
                      </label>
                    </div>
                  </div>

                  <div class="flex1">
                    <div class="form-group">
                      <label class="control-label">Núm. acompañantes</label>
                      <input class="form-control" id="res_acompanantes" name="res_acompanantes" type="number" placeholder="Acompañantes" @if(isset($reserva)) value="{{ $reserva->num_acompanantes }}" disabled @endif/>
                    </div>
                  </div>

                  @if(!$agent->isMobile())
                    <div class="flex9">
                    </div>
                  @endif

                </div>
                <br>
                  @if(isset($reserva))
                    <span class="btn btn-success" onclick="guardarReserva();">
                      <i class='bx bx bxs-add-to-queue'></i> Guardar reserva
                    </span>
                  @else
                    <span class="btn btn-success" onclick="guardarReserva();">
                      <i class='bx bx bxs-add-to-queue'></i> Crear reserva
                    </span>
                  @endif
            </div>
          </div>

        </div> <!-- CARD BODY -->

        <div class="card-footer">

        </div>
      </div>

    </div>

  </div>
@endsection

<script src="/js/admin/helper.js"></script>
<script src="/js/admin/reserva.js"></script>


<script>

window.onload = function() {
  $('[data-toggle=tooltip]').tooltip();


  $('.card-body.coll-able').css('display', 'none');

  @if(session('pestana_actual'))
    $('.card-body.coll-able.pest-'+'{{ session('pestana_actual')}}').show('fast');
  @else
    toggleCardBody($('.card-body.coll-able.pest-1'), '1');
  @endif

  $('input.form-control').on('focus blur', function (e) {
    	$(this).parents('.form-group').toggleClass('focused', (e.type === 'focus' || this.value.length > 0));
	}).trigger('blur');




};

</script>
