@php
  // MAIN URLS
  $items_url = env('ADMIN_COMPONENTS_MENU');
  $tables_url = env('ADMIN_COMPONENTS_TABLES');
  $cards_url = env('ADMIN_COMPONENTS_CARDS');
@endphp
@extends('dashboard')
@section('section')

  <div class="admin-container" id="test">
    <div class="admin-main-title">
      <div class="row same-height">
        <div class="col-12 col-md-8 same-height-col">
          <h1>{{ $titulo }}</h1>
          <div class="subtitle">
            <p>{{$subtitulo}}</p>
          </div>
        </div>
        <div class="col-12 col-md-4 same-height-col text-right text-left-mobile">
          @include("{$items_url}.menu-actions", [
            'section' => 'configuraciones-web'
          ])
        {{-- <x-go-back></x-go-back> --}}
        </div>
      </div>
    </div>

    {{-- **************************************** --}}
    {{--  ************ --}}
    {{-- **************************************** --}}

    <div class="container">
      
      <ul class="nav nav-pills tabs-perso" style="margin-bottom:40px;">
        <li class="nav-item">
          <a class="nav-link active" id="home-tab" data-bs-toggle="tab" 
          data-bs-target="#home" type="button" role="tab" aria-controls="home" aria-selected="true">
            Home
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link"id="profile-tab" data-bs-toggle="tab" 
          data-bs-target="#profile" type="button" role="tab" aria-controls="profile" aria-selected="false">
          Menu 1
          </a>
        </li>
        <li class="nav-item">
          <a class="nav-link" id="contact-tab" data-bs-toggle="tab" 
          data-bs-target="#contact" type="button" role="tab" aria-controls="contact" aria-selected="false">
          Menu 2
          </a>
        </li>
      </ul>
      
      {{-- TAB 1 --}}
      <div class="tab-content mt-40">
        <div class="tab-pane fade show active" id="home" role="tabpanel" aria-labelledby="home-tab">
          
          @include("{$cards_url}.website.home.banner", [
            'titulo' => 'banner',
            'sliders' => $sliders
          ])

          @include("{$cards_url}.website.home.destacados", [
            'titulo' => 'Noticias Destacadas',
            'sliders' => $sliders
          ])
        </div> <!-- END TAB 1-->

        <div class="tab-pane fade" id="profile" role="tabpanel" aria-labelledby="profile-tab">
          @include("{$cards_url}.website.home.banner", [
            'titulo' => 'Destacados'
          ])
        </div>
        <div class="tab-pane fade" id="contact" role="tabpanel" aria-labelledby="contact-tab">
          @include("{$cards_url}.website.home.banner", [
            'titulo' => 'Asecohe'
          ])
        </div>
    </div>
    




</div>
@endsection

<script src="/js/admin/helper.js"></script>
<script src="/js/admin/website.js"></script>


<script>
window.onload = function() {
  $('[data-toggle=tooltip]').tooltip()
};
</script>
