<x-app-layout>
  <x-slot name="header">
    <h2 class="font-semibold text-xl text-gray-800 leading-tight">
      {{ __('Dashboard') }}
    </h2>
  </x-slot>

    <div class="">
        <div class="w-full min-h-screen mx-auto">
            {{--TODO :: Create app-sidebar jet component  --}}
            <div class="relative min-h-screen md:flex">
              {{-- SIDEBAR --}}
              <div class="bg-sidebar sidebar-admin text-blue-100 w-64 space-y-6 px-0 absolute inset-y-0 left-0 transform -translate-x-full md:relative md:translate-x-0 transition duration-200 ease-in-out">
                <!-- Logo -->
                <div class="w-full bg-white">
                  <div class="flexbox w-full items-center justify-center" id="logo-dash" style="background-image: url({{ env('BACKGROUND_DASHBOARD') }});">
                    <div class="overlay"></div>
                    <div class="img-logo">
                      <img src="{{ env('LOGO_ROUTE_WHITE') }}">
                    </div>
                    <div class="logo-name">
                      {{ env('DASH_LOGO_NAME') }}
                    </div>
                  </div>
                </div>

                <a href="javascript:void(0)" class="closebtn" onclick="closeNav()">×</a>
                {{-- NAV --}}
                {{--TODO :: Create sidebar and sidebar-link jet component --}}
                {{-- PARAMETERS: Array(Objects) -> { icon, text} --}}
                {{-- TODO :: Show different for different Tipos de usuario --}}
                <nav class="py-4 px-2">

                  @canany(['is-root', 'is-admin'])
                    <a href="{{ route('usuarios') }}" class="block py-2 px-4 btn-bg-mine flex {{ Request::is('usuarios') ? 'active' : '' }} rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class='bx bx2 bxs-user-pin' ></i></span> 
                      <span class="name-link ml-4">Usuarios</span>
                    </a>
                  @endcan

                  @canany(['is-root', 'is-admin', 'is-gestor'])
                    <a href="{{ route('website') }}" class="block py-2 px-4 btn-bg-mine flex {{ Request::is('website') ? 'active' : '' }} rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class='bx bx2 bxs-home-smile'></i></span> 
                      <span class="name-link ml-4">Website</span>
                    </a>
                  @endcan

                  @canany(['is-root', 'is-admin', 'is-gestor'])
                    <a href="{{ route('asociados') }}" class="block py-2 px-4 btn-bg-mine flex {{ Request::is('admin/asociados') || Request::is('admin/asociados/*') || Request::is('admin/instalacion/*')  ? 'active' : '' }} rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class='bx bx2 bxs-directions'></i></span> 
                      <span class="name-link ml-4">Asociados
                      </span>
                    </a>
                  @endcan

                  @canany(['is-root', 'is-admin', 'is-gestor'])
                    <a href="{{ route('categorias-asociados') }}" class="block py-2 px-4 btn-bg-mine flex {{ Request::is('admin/categoria-asociados') || Request::is('admin/categoria-asociados/*')  ? 'active' : '' }} rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class='bx bx2 bxs-category'></i></span> 
                      <span class="name-link ml-4">Categorias asociados
                      </span>
                    </a>
                  @endcan

                  @canany(['is-root', 'is-admin', 'is-gestor', 'is-escritor'])
                    <a href="{{ route('paginas') }}" class="block py-2 px-4 btn-bg-mine flex {{ Request::is('paginas') ? 'active' : '' }} rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class="bx bx2 bx-file-blank"></i></span> 
                      <span class="name-link ml-4">Páginas</span>
                    </a>
                  @endcan

                  @canany(['is-root', 'is-admin', 'is-gestor', 'is-escritor'])
                    <a href="{{ route('noticias') }}" class="block py-2 px-4 btn-bg-mine flex {{ Request::is('noticias') ? 'active' : '' }} rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class='bx bx2 bxl-blogger' ></i></span> 
                      <span class="name-link ml-4">Blog</span>
                    </a>
                  @endcan

                  @canany(['is-root', 'is-admin', 'is-gestor', 'is-escritor'])
                    <a href="{{ route('categorias-blog') }}" class="block py-2 px-4 btn-bg-mine flex {{ Request::is('admin/categorias-blog') || Request::is('admin/categoria-blog/*')  ? 'active' : '' }} rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class='bx bx2 bxs-category'></i></span> 
                      <span class="name-link ml-4">Categorias Blog
                      </span>
                    </a>
                  @endcan

                  {{-- @canany(['is-admin'])
                    <a href="{{ route('estadisticas') }}" class="block py-2 px-4 btn-bg-mine {{ Request::is('estadisticas') ? 'active' : '' }} rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class="bx bx2 bx-line-chart"></i></span> <span class="ml-4">Estadísticas</span>
                    </a>
                  @endcan --}}

                  @can('is-root')
                    <a href="{{ route('administradores') }}" class="block py-2 px-4 btn-bg-mine flex {{ Request::is('administradores') ? 'active' : '' }} rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class="fas fa-user-lock"></i></span> 
                      <span class="name-link ml-4">Administradores</span>
                    </a>
                  @endcan

                  @can('is-root', 'is-admin')
                    <a href="{{ route('settings') }}" class="block py-2 px-4 btn-bg-mine flex {{ Request::is('settings') ? 'active' : '' }} rounded transition duration-200 hover:text-white">
                      <span class="sidebar-icon"><i class="bx bx2 bx-wrench"></i></span> 
                      <span class="name-link ml-4">Configuración</span>
                    </a>
                  @endcan

                </nav>

                {{-- NAV --}}
                {{--TODO :: Create sidebar-copyright jet component --}}
                <div class="absolute flex bottom-copyright">
                  <div class="block w-full items-center justify-center">
                    <span class="hagoweb-powered">@ Copyright <span class="applinet" href=""></span> 2022</span>
                  </div>
                  <div class="block w-full items-center justify-center">
                    <span class="hagoweb-powered">Powered by <a class="applinet" href="https://www.hagoweb.es">Hagoweb</a></span>
                  </div>
                </div>

              {{-- END SIDEBAR --}}
              </div>

              {{-- CONTENT --}}
              <div class="flex-1 p-0 right-admin-content">

                {{-- TOP MENU SECTION --}}
                @livewire('navigation-menu')

                <div class="py-4 px-4">
                  @yield('section')
                </div>
              </div>
            </div>
        </div>
    </div>


    <script>

    // Will be true if Bootstrap 3-4 is loaded, false if Bootstrap 2 or no Bootstrap
    // var bootstrap_enabled = (typeof $().emulateTransitionEnd == 'function');
    // console.log('bootstrap_enabled');

    function docReady(fn) {
        // see if DOM is already available
        if (document.readyState === "complete" || document.readyState === "interactive") {
            // call on next available tick
            setTimeout(fn, 1);
        } else {
            document.addEventListener("DOMContentLoaded", fn);
        }
    }

    docReady(function() {

      // ALERTIFY OPTIONS
      // override defaults
      alertify.defaults.transition = "slide";
      alertify.defaults.theme.input = "form-control";
      alertify.defaults.theme.ok = "btn btn-success";
      alertify.defaults.theme.cancel = "btn btn-secondary";

      // TOASTR OPTIONS START

      toastr.options = {
          'closeButton': true,
          'debug': false,
          'newestOnTop': false,
          'progressBar': true,
          // 'positionClass': 'toast-top-right',
          'positionClass': 'toast-bottom-full-width',
          'preventDuplicates': false,
          'showDuration': '2500',
          'hideDuration': '1000',
          'timeOut': '10000',
          'extendedTimeOut': '1000',
          'showEasing': 'swing',
          'hideEasing': 'linear',
          'showMethod': 'fadeIn',
          'hideMethod': 'fadeOut',
      };

      tinymce.init({
        selector: 'textarea.tinymce-editor',
        height: 300,
        menubar: false,
        plugins: [
            'advlist autolink lists link image charmap print preview anchor',
            'searchreplace visualblocks code fullscreen',
            'insertdatetime media table paste code help wordcount', 'image'
        ],
        toolbar: 'undo redo | formatselect | ' +
            'bold italic backcolor | alignleft aligncenter ' +
            'alignright alignjustify | bullist numlist outdent indent | ' +
            'removeformat | help',
        content_css: '//www.tiny.cloud/css/codepen.min.css'
      });

      @if(isset($message))
        var message = '{{ $message->message ?? '' }}';
        var title = '{{ $message->title ?? '' }}';
        var type = '{{ $message->type  ?? '' }}';

        showText(message, title, type);
      @elseif($errors->any())
        @php
          $message = json_decode($errors->first());
        @endphp

        var message = '{{ $message->message ?? '' }}';
        var title = '{{ $message->title ?? '' }}';
        var type = '{{ $message->type  ?? '' }}';

        showText(message, title, type);
      @endif;

      $(".table-here").fancyTable({
          sortColumn: 0,
          globalSearch: true,
          perPage: 25,
          pagination: true,
          paginationClass : 'btn btn-secundary',
          paginationClassActive : 'btn btn-primary',
          inputPlaceholder: 'Buscar...',
          inputStyle: 'color:rgb(106, 136, 180);font-size:0.8rem;',
          onUpdate: function() {
            // $('.toggleable').hide('fast');
          }
      });

    });

    function showText(message, title=null, type) {
      if(type == 'success') {
        toastr.success(message, title);
      } else if (type == 'warning') {
        toastr.warning(message, title);
      } else if (type == 'error') {
        toastr.error(message, title);
      } else if (type == 'info') {
        toastr.info(message, title);
      }
    }

    function openNav() {
      $(".sidebar-admin").css("width", "14%");
      $(".sidebar-admin").css("opacity", "1");
      $(".right-admin-content").css("margin-left", "0px");
      $(".right-admin-content").css("max-width", "86%");
      $(".bg-sidebar-top").css("max-width", "86%");
    }
    
    function closeNav() {
      $(".sidebar-admin").css("width", "0px");
      $(".sidebar-admin").css("opacity", "0");
      $(".right-admin-content").css("margin-left", "-14%");
      $(".right-admin-content").css("max-width", "100%");
      $(".bg-sidebar-top").css("max-width", "100%");
    }


    </script>

    <script>

    </script>

</x-app-layout>
