<?php
date_default_timezone_set('Europe/Madrid');
 ?>

<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta content="" name="description"/>
    <meta content="" name="author"/>
    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">

    <title>{{ config('app.name', 'Laravel') }}</title>

    <!-- Fonts -->
    <link href="http://fonts.googleapis.com/css?family=Hind:300,400,500,600,700" rel="stylesheet" type="text/css">

    <!-- GLOBAL MANDATORY STYLES -->
    <link href="js/vendor/simple-line-icons/simple-line-icons.min.css" rel="stylesheet" type="text/css"/>
    <link href="js/vendor/bootstrap/css/bootstrap.min.css" rel="stylesheet" type="text/css"/>

    <!-- Styles -->
    <link href="{{ asset('css/toastr.min.css') }}" rel="stylesheet">
    <link href="{{ asset('js/alertify/css/alertify.min.css') }}" rel="stylesheet">
    <link href="{{ asset('/css/main-vars.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0-2/css/fontawesome.min.css" />
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.12.0-2/css/all.min.css" />
    <link href='https://unpkg.com/boxicons@2.1.4/css/boxicons.min.css' rel='stylesheet'>

    <!-- PAGE LEVEL PLUGIN STYLES -->
    <link href="css/animate.css" rel="stylesheet">
    <link href="js/vendor/swiper/css/swiper.min.css" rel="stylesheet" type="text/css"/>

    <!-- THEME STYLES -->
    <link href="css/layout.css" rel="stylesheet" type="text/css"/>
    <link href="{{ asset('css/styles.css') }}" rel="stylesheet">

    <!-- Favicon -->
    <link rel="shortcut icon" href="favicon.ico"/>

    {{-- OUT OF SERVICE --}}
    {{-- <link href="{{ asset('css/app.css') }}" rel="stylesheet"> --}}
    {{-- <link type="text/css" rel="stylesheet" href="{{ mix('css/app.css') }}"> --}}
    {{-- <link href="{{ asset('css/web.css') }}" rel="stylesheet"> --}}
    {{-- <link href="{{ asset('css/form-multi2.css') }}" rel="stylesheet"> --}}
    {{-- <link href="{{ asset('css/bottom-menu.css') }}" rel="stylesheet"> --}}
    {{-- <link href="{{ asset('css/forms-multi-step.css') }}" rel="stylesheet"> --}}
    {{-- <link href="{{ asset('/css/main-styles.css') }}" rel="stylesheet"> --}}
</head>

<body>
  @yield('content')
</body>
</html>

<!-- Scripts -->
{{-- <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script> --}}


<!-- Back To Top -->
<a href="javascript:void(0);" class="js-back-to-top back-to-top">Top</a>

<!-- JAVASCRIPTS(Load javascripts at bottom, this will reduce page load time) -->
<!-- CORE PLUGINS -->
<script src="js/vendor/jquery.min.js" type="text/javascript"></script>
<script src="js/vendor/jquery-migrate.min.js" type="text/javascript"></script>
<script src="js/vendor/bootstrap/js/bootstrap.min.js" type="text/javascript"></script>

<script src="{{ asset('js/app.js') }}"></script>
<script src="{{ asset('js/toastr.min.js') }}"></script>
<script src="{{ asset('js/alertify/alertify.min.js') }}"></script>
<script src="{{ asset('js/alertify/modal-calls.js') }}"></script>
<script src="{{ asset('js/jquery.peity.js') }}"></script>
<script src="{{ asset('js/charts-341.js') }}"></script>
<script src="{{ asset('js/functions.js') }}"></script>

<!-- PAGE LEVEL PLUGINS -->
<script src="js/vendor/jquery.easing.js" type="text/javascript"></script>
<script src="js/vendor/jquery.back-to-top.js" type="text/javascript"></script>
<script src="js/vendor/jquery.smooth-scroll.js" type="text/javascript"></script>
<script src="js/vendor/jquery.wow.min.js" type="text/javascript"></script>
<script src="js/vendor/jquery.parallax.min.js" type="text/javascript"></script>
<script src="js/vendor/swiper/js/swiper.jquery.min.js" type="text/javascript"></script>
<script src="js/vendor/masonry/jquery.masonry.pkgd.min.js" type="text/javascript"></script>
<script src="js/vendor/masonry/imagesloaded.pkgd.min.js" type="text/javascript"></script>

<!-- PAGE LEVEL SCRIPTS -->
<script src="js/layout.min.js" type="text/javascript"></script>
<script src="js/components/wow.min.js" type="text/javascript"></script>
<script src="js/components/swiper.min.js" type="text/javascript"></script>
<script src="js/components/masonry.min.js" type="text/javascript"></script>


{{-- Make available the token by ajax --}}
<script type="text/javascript">
  $.ajaxSetup({
      headers: {
          'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
      }
  });
</script>

<script>

function docReady(fn) {
    // see if DOM is already available
    if (document.readyState === "complete" || document.readyState === "interactive") {
        // call on next available tick
        setTimeout(fn, 1);
    } else {
        document.addEventListener("DOMContentLoaded", fn);
    }
}

docReady(function() {


    // TOASTR OPTIONS START

    toastr.options = {
        'closeButton': true,
        'debug': false,
        'newestOnTop': false,
        'progressBar': true,
        // 'positionClass': 'toast-top-right',
        'positionClass': 'toast-bottom-full-width',
        'preventDuplicates': false,
        'showDuration': '5000',
        // 'hideDuration': '1000',
        'timeOut': '6000',
        'extendedTimeOut': '1000',
        'showEasing': 'swing',
        'hideEasing': 'linear',
        'showMethod': 'fadeIn',
        'hideMethod': 'fadeOut',
    };


    // // ALERTIFY OPTIONS
    //
    //override defaults
    alertify.defaults.transition = "slide";
    alertify.defaults.theme.input = "form-control";
    alertify.defaults.theme.ok = "btn btn-success";
    alertify.defaults.theme.cancel = "btn btn-secondary";
    alertify.defaults.maintainFocus = false;

    var lastX,lastY;
    alertify.alert().set({
      'onshow':function(){
        lastX = window.scrollX;
        lastY = window.scrollY;
      },
      'onfocus':function(){
        window.scrollTo(lastX, lastY);
      }
    });

// END OF docReady()
});


</script>

@yield('js')
