<!DOCTYPE html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <meta name="csrf-token" content="{{ csrf_token() }}">

        <title>{{ config('app.name', 'Laravel') }}</title>

        <!-- Fonts -->
        <link rel="stylesheet" href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap">
        <link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/boxicons@latest/css/boxicons.min.css">

        <!-- Styles -->
        <link rel="stylesheet" href="{{ mix('css/app.css') }}">
        <link href="{{ asset('/css/main-vars.css') }}" rel="stylesheet">
        <link href="{{ asset('/css/main-styles.css') }}" rel="stylesheet">
        <link href="{{ asset('css/admin.css') }}" rel="stylesheet">
        <link href="{{ asset('/css/toastr.min.css') }}" rel="stylesheet">
        <link href="{{ asset('js/alertify/css/alertify.min.css') }}" rel="stylesheet">

        <!-- Scripts -->
        <script src="{{ mix('js/app.js') }}" defer></script>
    </head>
    <body>
        <div class="font-sans text-gray-900 antialiased">
            {{ $slot }}
        </div>
        
        <script src="https://code.jquery.com/jquery-3.6.0.min.js" integrity="sha256-/xUj+3OJU5yExlq6GSYGSHk7tPXikynS7ogEvDej/m4=" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.10.2/dist/umd/popper.min.js" integrity="sha384-7+zCNj/IqJ95wo16oMtfsKbZ9ccEh31eOz1HGyDuCQ6wgnyJNSYdrPa03rtR1zdB" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.min.js" integrity="sha384-QJHtvGhmr9XOIpI6YVutG+2QOK9T+ZnN4kzFN1RtK3zEFEIsxhlmWl5/YESvpZ13" crossorigin="anonymous"></script>
        <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.1.3/dist/js/bootstrap.bundle.min.js" integrity="sha384-ka7Sk0Gln4gmtz2MlQnikT1wXgYsOg+OMhuP+IlRH9sENBO0LRn5q+8nbTov4+1p" crossorigin="anonymous"></script>
        
        
        <script src="{{ asset('/js/toastr.min.js') }}"></script>
        <script src="{{ asset('/js/alertify/alertify.min.js') }}"></script>

        <script>

        function docReady(fn) {
            // see if DOM is already available
            if (document.readyState === "complete" || document.readyState === "interactive") {
                // call on next available tick
                setTimeout(fn, 1);
            } else {
                document.addEventListener("DOMContentLoaded", fn);
            }
        }
    
        docReady(function() {
    
          // ALERTIFY OPTIONS
          // override defaults
          alertify.defaults.transition = "slide";
          alertify.defaults.theme.input = "form-control";
          alertify.defaults.theme.ok = "btn btn-success";
          alertify.defaults.theme.cancel = "btn btn-secondary";
    
          // TOASTR OPTIONS START
    
          toastr.options = {
              'closeButton': true,
              'debug': false,
              'newestOnTop': false,
              'progressBar': true,
            //   'positionClass': 'toast-top-right',
              'positionClass': 'toast-bottom-full-width',
              'preventDuplicates': true,
              'showDuration': '2500',
              'hideDuration': '1000',
              'timeOut': '10000',
              'extendedTimeOut': '1000',
              'showEasing': 'swing',
              'hideEasing': 'linear',
              'showMethod': 'fadeIn',
              'hideMethod': 'fadeOut',
              'maxOpened': 1
          };
    
          @if(isset($message))
            @php
              $message = json_decode($message);
            @endphp
            var message = '{{ $message->message ?? '' }}';
            var title = '{{ $message->title ?? '' }}';
            var type = '{{ $message->type  ?? '' }}';
            showText(type, message, title);
          @elseif($errors->any())
            @php
              $message = json_decode($errors->first());
            @endphp
            var message = '{{ $message->message ?? '' }}';
            var title = '{{ $message->title ?? '' }}';
            var type = '{{ $message->type  ?? '' }}'; 
            showText(type, message, title);
          @endif;

          $('input#email').keypress(function(e) {
            // Enter pressed?
            if(e.which == 10 || e.which == 13) {
                checkUser();
            }
          })
    
        });
    
        function showText(type, message, title=null) {
            if(type == 'success') {
                toastr.success(message, title);
            } else if (type == 'warning') {
                toastr.warning(message, title);
            } else if (type == 'error') {
                toastr.error(message, title);
            } else if (type == 'info') {
                toastr.info(message, title);
            }
        }
        </script>
    </body>
</html>
