@extends('layouts.guest')

@section('loader')
  {{-- <loader-activator :time="1000" ></loader-activator> --}}
@endsection

@section('content')


  <!--========== HEADER ==========-->
  @component('home.sections.header', [

  ])
  @endcomponent

  <!--========== HEADER PARALLAX ==========-->
  @component('components.header-parallax', [
    'background' => 'img/1920x1080/02.jpg',
    'titulo' => '¿QUIENES SOMOS?',
    'descripcion' => '¿A que se dedica esta asociación?'
  ])
  @endcomponent

  <div id="aboutus" class="about-us">
    <div class="content-lg container">
      <!-- About Start -->
           <div class="row g-5">
              <div class="col-lg-7">
                <h1>Asecohe</h1>
                 <h2 class="display-5 text-uppercase mb-4">¿Qué es y que hacemos?</h2>
                 <h5 class="text-uppercase mb-3 text-body">Somos la asociación de empresarios y comerciantes de Herrera</h5>
                 <p>Somos un ente sin ánimo de lucro que trabaja por el fomento del tejido empresarial local y su representación institucional. Facilita a los empresarios herramientas de asesoramiento, formación y representación, y lucha por sus intereses en todos los ámbitos.</p>
              </div>
              <div class="col-lg-5">
                <img src="img/1920x1080/01.jpg" alt="" class="right-side-img">
              </div>
            </div>

           <div class="row gx-5 margin-t-40 px-5">
               <div class="col-md-12 col-xs-12">
                 <p>Asecohe está formado por 92 asociados, entre autónomos y empresas de todo tipo. Podemos encontrar:</p>
               </div>
               <div class="col-md-3 col-xs-6">
                 <li> Empresas agrícolas</li>
                 <li> Bares</li>
                 <li> Carpinterías</li>
                 <li> Herrerías</li>
                 <li> Toldos</li>
                 <li> Fontanerías</li>
                 <li> Floristerías</li>
                 <li> Ingeniería</li>
                 <li> Decoración</li>
               </div>
               <div class="col-md-3 col-xs-6">
                 <li> Joyerías</li>
                 <li> Mercerías</li>
                 <li> Pintores</li>
                 <li> Tiendas de ropa</li>
                 <li> Gestorías</li>
                 <li> Energías renovables</li>
                 <li> Poliéster</li>
                 <li> Salones de celebraciones</li>
               </div>
               <div class="col-md-3 col-xs-6">
                 <li> Talleres mecánicos</li>
                 <li> Ferreterías</li>
                 <li> Dentistas</li>
                 <li> Constructoras</li>
                 <li> Suministros para fábricas</li>
                 <li> Suministros de construcción</li>
                 <li> Torneros</li>
                 <li> Mármol</li>
               </div>
               <div class="col-md-3 col-xs-6">
                 <li> Suministros agrícolas</li>
                 <li> Peluquerías y estética</li>
                 <li> Librerías y papelerías</li>
                 <li> Supermercados</li>
                 <li> Arquitectos</li>
                 <li> Carnicerías</li>
                 <li> Servicios informáticos</li>
                 <li> Abogados y servicios jurídicos</li>
               </div>
             </div>
             <div class="row gx-5 margin-t-40 px-5">
               <div class="col-md-12">
                 <p>Desde la asociación estamos llevando a cabo una campaña que fomenta la economía local, exponiendo a través de redes sociales y diferentes medios, cómo cada euro que se gaste en el pueblo repercute positivamente en el empleo y economía local.</p>
               </div>
             </div>


   <!-- About End -->
    </div>
  </div>


  <!--========== FOOTER ==========-->
  @component('home.sections.footer', [
    'id' => 'footer'
  ])
  @endcomponent

@endsection

@section('js')
  <script>
    $(document).ready(function(){
        $('ul.listado li a').click(function(e) {
        // this.preventDefault();
        var textoFiltro = $(this).text().toLowerCase().replace(/\s/g,"-");
        if(textoFiltro == 'todos')
        {
            $('div.cards div.card.hidden').fadeIn('slow').removeClass('hidden');
        } else {
            $('.cards div.card').each(function()
            {
                tag = $(this).children('.card-body').children('.tag').text().toLowerCase().replace(/\s/g,"-");

                if( tag != textoFiltro) {
                    $(this).fadeOut('normal').addClass('hidden');
                } else {
                    $(this).fadeIn('slow').removeClass('hidden');
                }
            });
        }
        return false;
        });
    });
  </script>
@endsection
