@extends('layouts.guest')

@section('loader')
  {{-- <loader-activator :time="1000" ></loader-activator> --}}
@endsection

@section('content')


  <!--========== HEADER ==========-->
  @component('home.sections.header', [

  ])
  @endcomponent

  <!--========== HEADER PARALLAX ==========-->
  @component('components.header-parallax', [
    'background' => 'images/app/for_news.jpg',
    'titulo' => 'Blog',
    'descripcion' => 'Aquí te mantenemos informado'
  ])
  @endcomponent

  <!--========== BREADCRUMB ==========-->
  @component('components.breadcrumb', [
    'parts' => [
      ['texto' => 'Home',
       'link' => '/'],
      ['texto' => 'Others',
       'link' => '/']
    ],
    'actual' => 'blog',
    'destacado' => 'Titulo del post'
  ])
  @endcomponent

  <div id="blog" class="blog">

    <!-- ======= Blog Section ======= -->
    <section id="blog" class="blog">
      <div class="container" data-aos="fade-up">

        <div class="row">

          <div class="col-lg-8 entries">

            <article class="entry">

              <div class="entry-img">
                <img src="images/app/for_news.jpg" alt="" class="img-fluid">
              </div>

              <h2 class="entry-title">
                <a href="blog-single.html">Dolorum optio tempore voluptas dignissimos cumque fuga qui quibusdam quia</a>
              </h2>

              <div class="entry-meta">
                <ul>
                  <li class="d-flex align-items-center"><i class='bx bxs-user'></i> <a href="blog-single.html">John Doe</a></li>
                  <li class="d-flex align-items-center"><i class='bx bx-time-five' ></i> <a href="blog-single.html"><time datetime="2020-01-01">Jan 1, 2020</time></a></li>
                  {{-- <li class="d-flex align-items-center"><i class="bi bi-chat-dots"></i> <a href="blog-single.html">12 Comments</a></li> --}}
                </ul>
              </div>

              <div class="entry-content">
                <p>
                  Similique neque nam consequuntur ad non maxime aliquam quas. Quibusdam animi praesentium. Aliquam et laboriosam eius aut nostrum quidem aliquid dicta.
                  Et eveniet enim. Qui velit est ea dolorem doloremque deleniti aperiam unde soluta. Est cum et quod quos aut ut et sit sunt. Voluptate porro consequatur assumenda perferendis dolore.
                </p>
                <div class="read-more">
                  <a href="blog-single.html">Leer más</a>
                </div>
              </div>

            </article><!-- End blog entry -->


            <div class="blog-pagination">
              <ul class="justify-content-center">
                <li><a href="#">1</a></li>
                <li class="active"><a href="#">2</a></li>
                <li><a href="#">3</a></li>
              </ul>
            </div>

          </div><!-- End blog entries list -->

          <div class="col-lg-4">

            @component('components.blog-sidebar', [
            ])
            @endcomponent

          </div><!-- End blog sidebar -->

        </div>

      </div>
    </section><!-- End Blog Section -->

  </div>


  <!--========== FOOTER ==========-->
  @component('home.sections.footer', [
    'id' => 'footer'
  ])
  @endcomponent

@endsection

@section('js')
  <script>
    $(document).ready(function(){
        $('ul.listado li a').click(function(e) {
        // this.preventDefault();
        var textoFiltro = $(this).text().toLowerCase().replace(/\s/g,"-");
        if(textoFiltro == 'todos')
        {
            $('div.cards div.card.hidden').fadeIn('slow').removeClass('hidden');
        } else {
            $('.cards div.card').each(function()
            {
                tag = $(this).children('.card-body').children('.tag').text().toLowerCase().replace(/\s/g,"-");

                if( tag != textoFiltro) {
                    $(this).fadeOut('normal').addClass('hidden');
                } else {
                    $(this).fadeIn('slow').removeClass('hidden');
                }
            });
        }
        return false;
        });

    });
  </script>
@endsection
