<?php

use Illuminate\Support\Facades\Route;
use App\Http\Controllers\ViewsController;
use App\Http\Controllers\DataController;
use App\Http\Controllers\ViewsAdminController;
use App\Http\Controllers\DataAdminController;
use App\Http\Controllers\HelpersAdminController;
/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('/', [ViewsController::class, 'get_home'])->name('home');


Route::get('/page/terminos-condiciones', [ViewsController::class, 'get_page_terminos'])->name('pagina-terminos');
Route::get('/page/politica', [ViewsController::class, 'get_page_politica'])->name('pagina-politica');
Route::get('/asociados', [ViewsController::class, 'get_page_asociados'])->name('pagina-asociados');
Route::get('/convenios', [ViewsController::class, 'get_page_convenios'])->name('pagina-convenios');
Route::get('/about', [ViewsController::class, 'get_page_about'])->name('pagina-about');
Route::get('/blog', [ViewsController::class, 'get_page_blog'])->name('pagina-blog');
Route::get('/blog-post', [ViewsController::class, 'get_page_post'])->name('pagina-post');

// VISTAS MAINS
Route::post('/api/loadPage', [ViewsController::class, 'getPage'])->name('loadPage');

// SEMI-MODALES

// JS-MODALES


// CRUD AJAX

// API
Route::post('/api/usuario-existe', [HelpersAdminController::class, 'userExist']);
Route::post('/api/usuario-existe-newpass', [HelpersAdminController::class, 'userExistNewPass']);
Route::post('/api/validatePassword', [HelpersAdminController::class, 'validatePassword']);


// **********************************
// ADMIN :: Routes of Dashboard SIDEBAR
// *******************************

// Route::middleware(['auth:sanctum', 'verified'])->group(function() {
//   Route::get('/', function () {
//       return view('guest.home');
//   });
// });

Route::group(['prefix' => 'admin'], function () {
  Route::middleware(['auth:sanctum', 'verified'])->group(function () {
    // Route::get('/', [ViewsController::class, 'getAdmin'])->name('admin');
    Route::get('/', [ViewsAdminController::class, 'get_home_page'])->name('dashboard');

    Route::get('/general', [ViewsAdminController::class, 'getGeneral'])->name('general');

    Route::get('/home', [ViewsAdminController::class, 'get_home_page'])->name('website');

    // asociados
    Route::get('/asociados', [ViewsAdminController::class, 'get_asociados'])->name('asociados');
    Route::get('/noticias', [ViewsAdminController::class, 'get_blog'])->name('noticias');
    // Route::get('/asociado/{id}', [ViewsAdminController::class, 'get_asociado'])->name('asociado');
    // Route::get('/asociado/0', [ViewsAdminController::class, 'get_asociado'])->name('asociado');
    
    //Categorias
    Route::get('/categorias-asociados', [ViewsAdminController::class, 'get_cat_asociados'])->name('categorias-asociados');
    Route::get('/categoria-asociados/{id}', [ViewsAdminController::class, 'get_categoria_asociado'])->name('categoria-asociado');
    Route::get('/categorias-blog', [ViewsAdminController::class, 'get_cat_noticias'])->name('categorias-blog');
    
    //paginas
    Route::get('/paginas', [ViewsAdminController::class, 'get_paginas'])->name('paginas');
    Route::get('/pagina/{id}', [ViewsAdminController::class, 'get_pagina'])->name('pagina');
    
    //noticias
    Route::get('/noticias', [ViewsAdminController::class, 'get_noticias'])->name('noticias');
    Route::get('/noticia/{id}', [ViewsAdminController::class, 'get_noticia'])->name('noticia');
    
    //Usuarios
    Route::get('/usuarios', [ViewsAdminController::class, 'get_usuarios'])->name('usuarios');
    // Route::get('/usuario/{id}', [ViewsAdminController::class, 'get_usuario'])->name('usuario');

    //Configuracion
    Route::get('/configuracion', [ViewsAdminController::class, 'get_settings'])->name('settings');
    Route::get('/test/{id}', [ViewsAdminController::class, 'get_test'])->name('testing');

    // CRUD ***********************
    // Deletes
    Route::post('/api/deleteDivDef', [DataAdminController::class, 'delete_subdivision_def'])->name('delete-div-def');
    Route::post('/api/deleteDivPre', [DataAdminController::class, 'delete_subdivision_pre'])->name('delete-div-pre');
    Route::post('/api/deleteTipoSub', [DataAdminController::class, 'delete_tipo_subdivision'])->name('delete-tipo-div');

    // Saves
    Route::post('/api/crear-usuario', [DataAdminController::class, 'create_user'])->name('create-user');
    Route::post('/api/guardar-usuario', [DataAdminController::class, 'save_user'])->name('save-user');
    Route::post('/api/guardar-asociado', [DataAdminController::class, 'save_asociado'])->name('save-asociado');
    Route::post('/api/guardar-frame', [DataAdminController::class, 'save_frame'])->name('save-frame');
    Route::post('/api/guardar-categoria-asociado', [DataAdminController::class, 'save_categoria_asociado'])->name('save-categoria-asociado');


    // Adds
    Route::post('/api/addDivDef', [DataAdminController::class, 'add_subdivision_def'])->name('add-div-def');
    Route::post('/api/addDivPre', [DataAdminController::class, 'add_subdivision_pre'])->name('add-div-pre');
    Route::post('/api/addTipoSub', [DataAdminController::class, 'add_tipo_subdivision'])->name('add-tipo-div');

    // Change statuses
    Route::post('/api/bloquear-usuario', [DataAdminController::class, 'bloquear_usuario'])->name('bloquear-usuario');
    Route::post('/api/desbloquear-usuario', [DataAdminController::class, 'desbloquear_usuario'])->name('desbloquear-usuario');
    Route::post('/api/pausar-usuario', [DataAdminController::class, 'pausar_usuario'])->name('pausar-usuario');
    Route::post('/api/bloquear-asociado', [DataAdminController::class, 'bloquear_asociado'])->name('bloquear-asociado');
    Route::post('/api/desbloquear-asociado', [DataAdminController::class, 'desbloquear_asociado'])->name('desbloquear-asociado');
    Route::post('/api/pausar-asociado', [DataAdminController::class, 'pausar_asociado'])->name('pausar-asociado');
    Route::post('/api/bloquear-frame', [DataAdminController::class, 'bloquear_frame'])->name('bloquear-frame');
    Route::post('/api/desbloquear-frame', [DataAdminController::class, 'desbloquear_frame'])->name('desbloquear-frame');
    Route::post('/api/pausar-frame', [DataAdminController::class, 'pausar_frame'])->name('pausar-frame');

    // Files
    Route::post('/api/upload', [DataAdminController::class, 'subir_archivo'])->name('subir-archivo');
    Route::post('/api/uploadNormativa', [DataAdminController::class, 'subir_archivo_normativa'])->name('subir-archivo-normativa');

    // SESSION
    Route::post('/api/sessionar', [HelpersAdminController::class, 'sessionar'])->name('sessionar');

    // MODALS
    Route::post('/api/get_modal', [HelpersAdminController::class, 'get_modal'])->name('get-modal');

    // HELPERS
    Route::post('/api/validatePassword', [HelpersAdminController::class, 'validatePassword']);
    Route::post('/api/saveOrder', [DataAdminController::class, 'saveOrder']);
  });
});
