<table id="table-here" class="table table-hover no-footer table-fancy evenor overzoom" role="grid">

  <thead class="thead-dark">
    <tr role="row" class="">
        <th scope="col" style="width:3%">id</th>
        <th scope="col" style="width:30%">Titulo</th>
        <th scope="col" style="width:20%" class="left">Imagen</th>
        <th scope="col" style="width:10%" class="left">Categoría</th>
        <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
    </tr>
  </thead>

<tbody id="sortable">
  <?php if(isset($noticias) && count($noticias) > 0): ?>
    <?php $__currentLoopData = $noticias; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $noticia): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
      <tr class="div-reservas" data-id="<?php echo e($noticia->id); ?>">
        <td scope="row" data-label="id">
          <span class="small-text"><?php echo e($noticia->id); ?> </span>
        </td>
        <td class="left order" data-label="orden">
          <span class="small-text"><?php echo e($noticia->titulo); ?> </span>
        </td>
        <td class="left" data-label="logo">
          <div class="td-div-img">
            <img src="<?php echo e($noticia->get_imagen_admin()); ?>" alt="<?php echo e($noticia->nombre); ?>" class="table-logo">
          </div>
        </td>
        <td class="left" data-label="categoria">
          <span class="small-text"><strong><?php echo e($noticia->categoria->nombre); ?></strong></span>
        </td>
        <td class="text-right" data-label="Acciones">
          
          <?php if($noticia->destacado): ?>
            <button class="btn btn-warning btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Quitar de destacados" onclick="quitarDestacadoNoticia(<?php echo e($noticia->id); ?>);">
              <i class='bx bxs-bell-minus'></i>
            </button>
          <?php elseif(!$noticia->destacado): ?>
            <button class="btn btn-success btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Destacar" onclick="destacarNoticia(<?php echo e($noticia->id); ?>);">
              <i class='bx bx-play'></i>
            </button>
          <?php else: ?>

          <?php endif; ?>
        </td>
      </tr>
      
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

  <?php else: ?>
    <tr class="div-reservas"><td colspan="7">No hay noticias destacadas</td></tr>
  <?php endif; ?>

</tbody>

</table>

<script>
let inputStyle = 'color:#eee;font-size:0.8rem;padding:4px;border:1px solid #efefef'

window.onload = function() {
  $(".table-fancy").fancyTable({
    globalSearch: true,
    perPage: 20,
    pagination: true,
    paginationClass: 'btn btn-secondary',
    pagClosest: 5,
    globalSearchExcludeColumns: [6, 7],
    paginationClassActive: 'btn btn-primary',
    inputPlaceholder: 'Buscar',
    inputStyle: inputStyle,
    sortColumn: 1,
    onUpdate: function() {}
  })
  $('[data-toggle=tooltip]').tooltip()
  var thElements = document.querySelectorAll('.fancySearchRow th')
  thElements.forEach(function(thElement) {
    thElement.colSpan = 6
  })

  // Configuramos la función sortable para reordenar las filas
  $('#table-here tbody').sortable({
    handle: '.order',
    update: function(event, ui) {
      var rows = $(this).find('tr:visible') // Filtrar solo las filas visibles
      var data = {
        ref: 'sliders',
        items: []
      }

      rows.each(function(index) {
        var row = $(this)
        var id = row.find('[data-label="id"]').text().trim() // Eliminar los espacios en blanco alrededor del ID
        var order = index + 1

        data.items.push({
          id: id,
          order: order
        })
      })

      console.log(data)
      // Realizar la llamada a tu controlador Laravel utilizando Axios
      axios.post('/admin/api/saveOrder', { 
        data: data, 
        })
        .then((response) => {
          // Manejar la respuesta del controlador
          console.log(response.data.success)
          console.log(response.data.items)
          // Actualizar el número de orden en la tabla
          rows.each(function(index) {
            var row = $(this)
            var orderCell = row.find('[data-label="orden"]')
            orderCell.text('<i class="fas fa-sync"></i>')
          })

          rows.each(function(index) {
            var row = $(this)
            var orderCell = row.find('[data-label="orden"]')
            orderCell.text(index + 1)
          })
        })
        .catch(function(error) {
          // Manejar errores de la llamada
          console.error(error)
        })
    }
  })
  //ONLOAD 
}

</script><?php /**PATH C:\wamp64\www\proyectos\new-default\httpdocs\resources\views/admin/components-views/tables/destacados-table.blade.php ENDPATH**/ ?>