<table id="table-here" class="table table-hover no-footer table-fancy evenor overzoom" role="grid">

  <thead class="thead-dark">
    <tr role="row" class="">
        <th scope="col" style="width:3%">id</th>
        <th scope="col" style="width:6%">Orden</th>
        <th scope="col" style="width:20%" class="left">Fondo</th>
        <th scope="col" style="width:40%" class="left">Título</th>
        <th scope="col" style="width:10%">Estado</th>
        <th scope="col" style="width:auto" class="left no-click" >Acciones</th>
    </tr>
  </thead>

<tbody id="sortable">
  <?php if(isset($frames) && count($frames) > 0): ?>
    <?php $__currentLoopData = $frames; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $frame): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
      <tr class="div-reservas" data-id="<?php echo e($frame->id); ?>">
        <td scope="row" data-label="id">
          <span class="small-text"><?php echo e($frame->id); ?> </span>
        </td>
        <td class="left order" data-label="orden">
          <span class="small-text"><?php echo e($frame->order); ?> </span>
        </td>
        <td class="left" data-label="logo">
          <div class="td-div-img">
            <img src="<?php echo e($frame->get_imagen_admin()); ?>" alt="<?php echo e($frame->nombre); ?>" class="table-logo">
          </div>
        </td>
        <td class="left" data-label="nombre">
          <span class="small-text"><strong><?php echo e($frame->title); ?></strong></span>
        </td>
        <td data-toggle="tooltip" data-placement="right" title="<?php echo e($frame->get_estado()->nombre); ?>" class="text-center" data-label="Estado" style="background-color:<?php echo e($frame->get_estado()->bg_color); ?>; <?php if($frame->id_status >3): ?>color:#FFF;<?php endif; ?>" >
          <span class="text-center text-white"><?php echo e($frame->get_estado()->nombre); ?></span>
        </td>

        <td class="text-right" data-label="Acciones">
          <button class="btn btn-primary btn-actions" data-toggle="tooltip" data-placement="left" title="Editar" onclick="openFrameEdit(<?php echo e($frame->id); ?>)">
            <i class='bx bx-edit' ></i>
          </button>
          <?php if($frame->get_estado()->nombre == 'Activo'): ?>
            <button class="btn btn-warning btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Pausar Frame" onclick="pausarFrame(<?php echo e($frame->id); ?>);">
              <i class='bx bx-stop'></i>
            </button>
          <?php elseif($frame->get_estado()->nombre == 'Inactivo'): ?>
            <button class="btn btn-success btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Activar Frame" onclick="desbloquearFrame(<?php echo e($frame->id); ?>);">
              <i class='bx bx-play'></i>
            </button>
          <?php elseif($frame->get_estado()->nombre == 'bloqueado'): ?>
            <button class="btn btn-success btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Activar Frame" onclick="desbloquearFrame(<?php echo e($frame->id); ?>);">
              <i class='bx bx-play'></i>
            </button>
            <button class="btn btn-warning btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Pausar Frame" onclick="pausarFrame(<?php echo e($frame->id); ?>);">
              <i class='bx bx-stop'></i>
            </button>
          <?php else: ?>

          <?php endif; ?>
          <button class="btn btn-danger btn-actions eliminar" data-toggle="tooltip" data-placement="top" title="Eliminar del sistema" onclick="eliminarFrame(<?php echo e($frame->id); ?>, this);" data-name="<?php echo e($frame->id); ?>">
            <i class='bx bxs-trash'></i>
          </button>
        </td>
      </tr>
      
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>

  <?php else: ?>
    <tr class="div-reservas"><td colspan="7">No hay reservas que mostrar bajo el criterio seleccionado</td></tr>
  <?php endif; ?>

</tbody>

</table>

<script>
let inputStyle = 'color:#eee;font-size:0.8rem;padding:4px;border:1px solid #efefef'

window.onload = function() {
  $(".table-fancy").fancyTable({
    globalSearch: true,
    perPage: 20,
    pagination: true,
    paginationClass: 'btn btn-secondary',
    pagClosest: 5,
    globalSearchExcludeColumns: [6, 7],
    paginationClassActive: 'btn btn-primary',
    inputPlaceholder: 'Buscar',
    inputStyle: inputStyle,
    sortColumn: 1,
    onUpdate: function() {}
  })
  $('[data-toggle=tooltip]').tooltip()
  var thElements = document.querySelectorAll('.fancySearchRow th')
  thElements.forEach(function(thElement) {
    thElement.colSpan = 6
  })

  // Configuramos la función sortable para reordenar las filas
  $('#table-here tbody').sortable({
    handle: '.order',
    update: function(event, ui) {
      var rows = $(this).find('tr:visible') // Filtrar solo las filas visibles
      var data = {
        ref: 'sliders',
        items: []
      }

      rows.each(function(index) {
        var row = $(this)
        var id = row.find('[data-label="id"]').text().trim() // Eliminar los espacios en blanco alrededor del ID
        var order = index + 1

        data.items.push({
          id: id,
          order: order
        })
      })

      console.log(data)
      // Realizar la llamada a tu controlador Laravel utilizando Axios
      axios.post('/admin/api/saveOrder', { 
        data: data, 
        })
        .then((response) => {
          // Manejar la respuesta del controlador
          console.log(response.data.success)
          console.log(response.data.items)
          // Actualizar el número de orden en la tabla
          rows.each(function(index) {
            var row = $(this)
            var orderCell = row.find('[data-label="orden"]')
            orderCell.text('<i class="fas fa-sync"></i>')
          })

          rows.each(function(index) {
            var row = $(this)
            var orderCell = row.find('[data-label="orden"]')
            orderCell.text(index + 1)
          })
        })
        .catch(function(error) {
          // Manejar errores de la llamada
          console.error(error)
        })
    }
  })
  //ONLOAD 
}

</script><?php /**PATH C:\wamp64\www\proyectos\new-default\httpdocs\resources\views/admin/components-views/tables/sliders-table.blade.php ENDPATH**/ ?>